EMBEDED_CPU_CORES = {
	[19] = "cortex-a12";
	["cortex-a12"] = {id = 19; arch = "armv7ve"};
	[20] = "cortex-a15";
	["cortex-a15"] = {id = 20; arch = "armv7ve"};
	[21] = "cortex-a17";
	["cortex-a17"] = {id = 21; arch = "armv7ve"};
	[22] = "cortex-a32";
	["cortex-a32"] = {id = 22; arch = "armv8-a+crc"};
	[23] = "cortex-a35";
	["cortex-a35"] = {id = 23; arch = "armv8-a+crc"};
	[15] = "cortex-a5";
	["cortex-a5"] = {id = 15; arch = "armv7-a+mp+sec"};
	[24] = "cortex-a53";
	["cortex-a53"] = {id = 24; arch = "armv8-a+crc"};
	[25] = "cortex-a55";
	["cortex-a55"] = {id = 25; arch = "armv8.2-a"};
	[26] = "cortex-a57";
	["cortex-a57"] = {id = 26; arch = "armv8-a+crc"};
	[16] = "cortex-a7";
	["cortex-a7"] = {id = 16; arch = "armv7ve"};
	[27] = "cortex-a72";
	["cortex-a72"] = {id = 27; arch = "armv8-a+crc"};
	[28] = "cortex-a73";
	["cortex-a73"] = {id = 28; arch = "armv8-a+crc"};
	[29] = "cortex-a75";
	["cortex-a75"] = {id = 29; arch = "armv8.2-a"};
	[30] = "cortex-a76";
	["cortex-a76"] = {id = 30; arch = "armv8.2-a"};
	[31] = "cortex-a77";
	["cortex-a77"] = {id = 31; arch = "armv8.2-a"};
	[17] = "cortex-a8";
	["cortex-a8"] = {id = 17; arch = "armv7-a+sec"};
	[18] = "cortex-a9";
	["cortex-a9"] = {id = 18; arch = "armv7-a+mp+sec"};
	[4] = "cortex-m0";
	["cortex-m0"] = {id = 4; arch = "armv6s-m"};
	[5] = "cortex-m0plus";
	["cortex-m0plus"] = {id = 5; arch = "armv6s-m"};
	[6] = "cortex-m1";
	["cortex-m1"] = {id = 6; arch = "armv6s-m"};
	[10] = "cortex-m23";
	["cortex-m23"] = {id = 10; arch = "armv8-m.base"};
	[7] = "cortex-m3";
	["cortex-m3"] = {id = 7; arch = "armv7-m"};
	[11] = "cortex-m33";
	["cortex-m33"] = {id = 11; arch = "armv8-m.main+dsp"};
	[8] = "cortex-m4";
	["cortex-m4"] = {id = 8; arch = "armv7e-m"};
	[12] = "cortex-m52";
	["cortex-m52"] = {id = 12; arch = "armv8.1-m.main"};
	[13] = "cortex-m55";
	["cortex-m55"] = {id = 13; arch = "armv8.1-m.main+mve"};
	[9] = "cortex-m7";
	["cortex-m7"] = {id = 9; arch = "armv7e-m"};
	[14] = "cortex-m85";
	["cortex-m85"] = {id = 14; arch = "armv8.1-m.main+pacbti+mve"};
	[32] = "cortex-r4";
	["cortex-r4"] = {id = 32; arch = "armv7-r"};
	[33] = "cortex-r5";
	["cortex-r5"] = {id = 33; arch = "armv7-r+idiv"};
	[36] = "cortex-r52";
	["cortex-r52"] = {id = 36; arch = "armv8-r+crc"};
	[37] = "cortex-r52plus";
	["cortex-r52plus"] = {id = 37; arch = "armv8-r+crc"};
	[34] = "cortex-r7";
	["cortex-r7"] = {id = 34; arch = "armv7-r+idiv"};
	[35] = "cortex-r8";
	["cortex-r8"] = {id = 35; arch = "armv7-r+idiv"};
	[38] = "risc-v";
	["risc-v"] = {id = 38; arch = "risc-v"};
};

EMBEDED_CPU_DB = {
	["AirMCU"] = {
		{"air001"; 5; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1};}};
		{"air32f103cb"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x20000, 1};}};
		{"air32f103cc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1};}};
	};
	["CMSemicon"] = {
		{"bat32g133gc20nb"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00500000, 0x0600, 1}}};
		{"bat32g133gc20sa"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00500000, 0x0600, 1}}};
		{"bat32g133gc24na"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00500000, 0x0600, 1}}};
		{"bat32g133gc24ss"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00500000, 0x0600, 1}}};
		{"bat32g157gk48fa"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08500200, 0x0C00, 1}}};
		{"bat32g157gk64fb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08500200, 0x0C00, 1}}};
	};
	["Geehy"] = {
		{"apm32a091rc"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32a103cb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32a407vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32a407zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32e103cc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103ce"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103rc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103re"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103vc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103zc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32e103ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f003f4"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00020400, 0x0010, 1}}};
		{"apm32f003f6"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00020400, 0x0010, 1}}};
		{"apm32f030c6"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030cc"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030f4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030f8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030g4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030g6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030g8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030k6"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f030rc"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f051c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f051c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f051k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f051k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f051r6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f051r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f072c8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f072cb"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f072r8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f072rb"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f072v8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f072vb"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f091cb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f091cc"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f091rb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f091rc"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f091vb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f091vc"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103c4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103c6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103c8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103cb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103cc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103r4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103r6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103r8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103rb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103rc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103rd"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x60000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103re"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103t4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103t6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103t8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103tb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103v8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103vb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103vc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103vd"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x60000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103zc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103zd"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x60000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f103ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f105r8"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f105rb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f105rc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f105v8"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f105vb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f105vc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f107rb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f107rc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f107vb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f107vc"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32f405rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f405vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f405zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407ie"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f407zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f415rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f415vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f415zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f417ie"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f417ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f417ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f417vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f417ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32f417zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"apm32s103c8"; 7; {{0x20000000, 0x9000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32s103cb"; 7; {{0x20000000, 0x9000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32s103rb"; 7; {{0x20000000, 0x9000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32s103tb"; 7; {{0x20000000, 0x9000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"apm32s103vb"; 7; {{0x20000000, 0x9000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
	};
	["GigaDevice"] = {
		{"gd32a503cb"; 11; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32a503cc"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32a503kb"; 11; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32a503kc"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32a503rb"; 11; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32a503rc"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32a503rd"; 11; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x20000, 1}}};
		{"gd32a503vb"; 11; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32a503vc"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32a503vd"; 11; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x20000, 1}}};
		{"gd32c103cb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c103rb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c103tb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c103vb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c113cb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c113rb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c113tb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32c113vb"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e103c8"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e103cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e103r8"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e103rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e103t8"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e103tb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e103v8"; 8; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e103vb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e113c8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e113cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e113r8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e113rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e113t8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e113tb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e113v8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e113vb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32e230c4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e230c6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e230c8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e230f4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e230f6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e230f8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e230g4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e230g6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e230g8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e230k4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e230k6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e230k8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e231c4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e231c6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e231c8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e232e4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e232e6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e232e8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e232k4"; 10; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32e232k6"; 10; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32e232k8"; 10; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32e501kb"; 11; {{0x20000000, 0x14000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32e501kc"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e501ke"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e501rb"; 11; {{0x20000000, 0x14000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32e501rc"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e501re"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503cc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503ce"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503rc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503re"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503vc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503ve"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503zc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e503ze"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e505rb"; 11; {{0x20000000, 0x14000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32e505rc"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e505re"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e505vc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e505ve"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e505zc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e505ze"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e507rc"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e507re"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e507vc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e507ve"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e507zc"; 11; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32e507ze"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f101c4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f101c6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f101c8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f101cb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f101r4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f101r6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f101r8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f101rb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f101rc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f101rd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f101re"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f101rf"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f101rg"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f101ri"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f101rk"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f101t4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f101t6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f101t8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f101tb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f101v8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f101vb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f101vc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f101vd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f101ve"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f101vf"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f101vg"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f101vi"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f101vk"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f101zc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f101zd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f101ze"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f101zf"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f101zg"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f101zi"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f101zk"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f103c4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f103c6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f103c8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f103cb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f103r4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f103r6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f103r8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f103rb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f103rc"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f103rd"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f103re"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f103rf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f103rg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f103ri"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f103rk"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f103t4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f103t6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f103t8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f103tb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f103v8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f103vb"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f103vc"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f103vd"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f103ve"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f103vf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f103vg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f103vi"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f103vk"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f103zc"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f103zd"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f103ze"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f103zf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f103zg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f103zi"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f103zk"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f105r8"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f105rb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f105rc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f105rd"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f105re"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f105rf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f105rg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f105v8"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f105vb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f105vc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f105vd"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f105ve"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f105vf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f105vg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f105zc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f105zd"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f105ze"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f105zf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f105zg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f107rb"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f107rc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f107rd"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f107re"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f107rf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f107rg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f107vb"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f107vc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f107vd"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f107ve"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f107vf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f107vg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f107zc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f107zd"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"gd32f107ze"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f107zf"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x40000, 1}}};
		{"gd32f107zg"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f130c4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f130c6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f130c8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f130f4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f130f6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f130f8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f130g4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f130g6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f130g8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f130k4"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f130k6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f130k8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f130r8"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f150c4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f150c6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f150c8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f150g4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f150g6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f150g8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f150k4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f150k6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f150k8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f150r4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f150r6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f150r8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f170c4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f170c6"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f170c8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f170r8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f170t4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f170t6"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f170t8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f190c4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f190c6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f190c8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f190r4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f190r6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f190r8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f190t4"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f190t6"; 7; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f190t8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f205rc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f205re"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f205rg"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f205rk"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f205vc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f205ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f205vg"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f205vk"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f205zc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f205ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f205zg"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f205zk"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f207ie"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f207ig"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f207ik"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f207rc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f207re"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f207rg"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f207rk"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f207vc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f207ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f207vg"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f207vk"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f207zc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f207ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f207zg"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f207zk"; 7; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f303cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f303cc"; 8; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f303ce"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f303cg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f303rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f303rc"; 8; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f303re"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f303rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f303ri"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f303rk"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f303vb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f303vc"; 8; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f303ve"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f303vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f303vi"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f303vk"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f303zc"; 8; {{0x20000000, 0xC000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f303ze"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f303zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f303zi"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f303zk"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f305rb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f305rc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f305re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f305rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f305vc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f305ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f305vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f305zc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f305ze"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f305zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f307rc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f307re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f307rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f307vc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f307ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f307vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f307zc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f307ze"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f307zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f310c8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f310f4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f310f6"; 8; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f310f8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f310g8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f310k6"; 8; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f310k8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f330c4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f330c6"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f330c8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f330cb"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f330f4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f330f6"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f330f8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f330g4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f330g6"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f330g8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f330k4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f330k6"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f330k8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f330r8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f330rb"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f350c4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f350c6"; 8; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f350c8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f350cb"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f350g4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f350g6"; 8; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f350g8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f350k4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f350k6"; 8; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f350k8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f350r4"; 8; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32f350r6"; 8; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32f350r8"; 8; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32f350rb"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32f403rc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f403re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f403rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f403ri"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f403rk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f403vc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f403ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f403vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f403vi"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f403vk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f403zc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32f403ze"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f403zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x80000, 1}}};
		{"gd32f403zi"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x180000, 1}}};
		{"gd32f403zk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x280000, 1}}};
		{"gd32f405ie"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f405ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f405ik"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f405re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f405rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f405rk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f405ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f405vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f405vk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f405ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f405zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f405zk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f407ie"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f407ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f407ik"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f407re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f407rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f407rk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f407ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f407vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f407vk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f407ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f407zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f407zk"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f425re"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f425rg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f425rk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f425vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f425vk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f425zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f425zk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f427ie"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f427ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f427ik"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f427re"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f427rg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f427rk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f427ve"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f427vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f427vk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f427ze"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f427zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f427zk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f450ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f450ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"gd32f450ik"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f450ve"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f450vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f450vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"gd32f450vk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f450ze"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f450zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f450zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"gd32f450zk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f470ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f470ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"gd32f470ik"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f470ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f470vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f470vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"gd32f470vk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32f470ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"gd32f470zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32f470zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"gd32f470zk"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x200000, 1}}};
		{"gd32h737igk6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h737igt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h737iik6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h737iit6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h737imk6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h737imt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h737vgt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h737vit6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h737vmt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h737zgt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h737zit6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h737zmt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h757vgj6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h757vgt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h757vij6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h757vit6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h757vmj6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h757vmt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h757zgt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h757zit6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h757zmt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h759igk6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h759igt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x100000, 1}}};
		{"gd32h759iik6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h759iit6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32h759imk6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32h759imt6"; 9; {{0x20000000, 0x4000, 0}; {0x08000000, 0x3C0000, 1}}};
		{"gd32l233c8t6"; 10; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32l233cbt6"; 10; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32l233cct6"; 10; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32l233k8q6"; 10; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32l233k8t6"; 10; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32l233kbq6"; 10; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32l233kbt6"; 10; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32l233r8t6"; 10; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32l233rbt6"; 10; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32l233rct6"; 10; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"gd32vf103c4t6"; 38; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32vf103c6t6"; 38; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32vf103c8t6"; 38; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32vf103cbt6"; 38; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32vf103r4t6"; 38; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32vf103r6t6"; 38; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32vf103r8t6"; 38; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32vf103rbt6"; 38; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32vf103t4u6"; 38; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"gd32vf103t6u6"; 38; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}}};
		{"gd32vf103t8u6"; 38; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32vf103tbu6"; 38; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32vf103v8t6"; 38; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}}};
		{"gd32vf103vbt6"; 38; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"gd32vw553hiq6"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32vw553hiq7"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32vw553hmq6"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x400000, 1}}};
		{"gd32vw553hmq7"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x400000, 1}}};
		{"gd32vw553kiq6"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32vw553kiq7"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x200000, 1}}};
		{"gd32vw553kmq6"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x400000, 1}}};
		{"gd32vw553kmq7"; 38; {{0x20000000, 0x10000, 0}; {0x08000000, 0x400000, 1}}};
	};
	["Holtek"] = {
		{"ht32f0006"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f0008"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f12345"; 7; {{0x20000000, 0x4000, 0}}};
		{"ht32f12364"; 7; {{0x20000000, 0x20000, 0}}};
		{"ht32f12365"; 7; {{0x20000000, 0x10000, 0}}};
		{"ht32f12366"; 7; {{0x20000000, 0x20000, 0}}};
		{"ht32f1251"; 7; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x1FF00000, 0x0400, 2}}};
		{"ht32f1252"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x1FF00000, 0x0400, 2}}};
		{"ht32f1253"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x7C00, 1}; {0x1FF00000, 0x0400, 2}}};
		{"ht32f1653"; 7; {{0x00000000, 0x0000, 0}}};
		{"ht32f1654"; 7; {{0x00000000, 0x0000, 0}}};
		{"ht32f1655"; 7; {{0x00000000, 0x0000, 0}}};
		{"ht32f1656"; 7; {{0x00000000, 0x0000, 0}}};
		{"ht32f1755"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x1FC00, 1}; {0x1FF00000, 0x0400, 2}}};
		{"ht32f1765"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x1FC00, 1}; {0x1FF00000, 0x0400, 2}}};
		{"ht32f22366"; 7; {{0x20000000, 0x20000, 0}}};
		{"ht32f2755"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x1FC00, 1}; {0x1FF00000, 0x0400, 2}}};
		{"ht32f50220"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f50230"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f50231"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f50241"; 4; {{0x20000000, 0x2000, 0}}};
		{"ht32f50343"; 4; {{0x20000000, 0x3000, 0}}};
		{"ht32f52142"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x1FF00000, 0x0200, 1}}};
		{"ht32f52220"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52230"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x7C00, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52231"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52241"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0xFC00, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52243"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52253"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FC00, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52331"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52341"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0xFC00, 1}; {0x1FF00000, 0x0200, 1}}};
		{"ht32f52342"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x1FF00000, 0x0200, 1}}};
		{"ht32f52344"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52352"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FE00, 1}; {0x1FF00000, 0x0200, 1}}};
		{"ht32f52354"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x1FC00, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52357"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f52367"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x3FC00, 1}; {0x1FF00000, 0x0400, 1}}};
		{"ht32f54231"; 4; {{0x00000000, 0x0000, 0}}};
		{"ht32f54241"; 4; {{0x00000000, 0x0000, 0}}};
		{"ht32f54243"; 4; {{0x00000000, 0x0000, 0}}};
		{"ht32f54253"; 4; {{0x00000000, 0x0000, 0}}};
		{"ht32f57331"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f57341"; 4; {{0x20000000, 0x2000, 0}}};
		{"ht32f57342"; 4; {{0x20000000, 0x2000, 0}}};
		{"ht32f57352"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f5826"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f5828"; 4; {{0x20000000, 0x2000, 0}}};
		{"ht32f59041"; 4; {{0x20000000, 0x2000, 0}}};
		{"ht32f59741"; 4; {{0x20000000, 0x2000, 0}}};
		{"ht32f61352"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f61355"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f61356"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f61357"; 4; {{0x20000000, 0x4000, 0}}};
		{"ht32f65230"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f65232"; 4; {{0x20000000, 0x1000, 0}}};
		{"ht32f65240"; 4; {{0x20000000, 0x2000, 0}}};
	};
	["HPMicro"] = {
		{"hpm5301xegx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5321xcbx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5321xcfx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5321xegx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5331xcbx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5331xcfx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5331xegx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5361xcbx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5361xcfx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm5361xegx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x100000, 1}}};
		{"hpm6110xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6110xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6120xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6120xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6220xepx"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6220xpax"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6240xepx"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6240xpax"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6260xepx"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6260xpax"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6264xepx"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6264xpax"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6280xepx"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6280xepx_cpu1"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6280xpax"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6280xpax_cpu1"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x10000000, 1}}};
		{"hpm6284xepx"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6284xepx_cpu1"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6284xpax"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6284xpax_cpu1"; 38; {{0x01080000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6320xepx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6320xpax"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6340xepx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6340xpax"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6350xepx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6350xpax"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6360xepx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6360xpax"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6364xepx"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6364xpax"; 38; {{0x00000000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6430xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6430xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6450xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6450xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6730xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6730xanx_cpu1"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6730xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6730xvmx_cpu1"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6750xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6750xanx_cpu1"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6750xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6750xvmx_cpu1"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"hpm6754xanx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6754xanx_cpu1"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6754xvmx"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
		{"hpm6754xvmx_cpu1"; 38; {{0x01000000, 0x20000, 0}; {0x80000000, 0x400000, 1}}};
	};
	["HSXP"] = {
		{"hk32f030md4p6"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0018, 1}}};
		{"hk32f030mf4p6"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0018, 1}}};
		{"hk32f030mf4u6"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0018, 1}}};
		{"hk32f030mj4m6"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0018, 1}}};
	};
	["Infineon"] = {
		{"cy8c4013xxx"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"cy8c4014xxx"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4024xxx-sxxx"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4025xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4045xxx-dxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4045xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4046xxx-dxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4124xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4124xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4125xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4125xxx-mxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4125xxx-psxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4125xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4126xxx-mxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4126xxx-sxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4126xxx-sxxx_id25x"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4127xxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4127xxx-mxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4127xxx-sxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4128xxx-blxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cy8c4128xxx-sxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cy8c4145xxx-psxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4145xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4146xxx-sxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4146xxx-sxxx_id25x"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4147xxx-sxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4148xxx-sxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cy8c4149xxx-sxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"cy8c4244xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4245xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4245xxx-dxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4245xxx-mxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4246xxx-dxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4246xxx-lxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4246xxx-mxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4247xxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4247xxx-blxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4247xxx-lxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4247xxx-mxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4248xxx-blxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cy8c4248xxx-lxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cy8c4546xxx-sxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4547xxx-sxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4548xxx-sxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cy8c4724xxx-sxxx"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4725xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4744xxx-sxxx"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4745xxx-sxxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c4746xxx-sxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cy8c4747xxx-sxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c4a24xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4a25xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"cy8c4a45xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c5265xxxlp"; 7; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c5266xxxlp"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5267xxxlp"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c5268xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5287xxxlp"; 7; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5288xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5465xxxlp"; 7; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"cy8c5466xxxlp"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5467xxxlp"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c5468xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5488xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5666xxxlp"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5667xxxlp"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c5668xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5688xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5866xxxlp"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5867xxxlp"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"cy8c5868xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c5888xxxlp"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cy8c6xx4_cm0p"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x40000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx4_cm0p_sect128kb"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x40000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx4_cm0p_sect128kb_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x40000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx4_cm0p_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x40000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx4_cm4"; 8; {{0x08002400, 0x8000, 0}; {0x10000000, 0x40000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx4_cm4_sect128kb"; 8; {{0x08002400, 0x8000, 0}; {0x10000000, 0x40000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx5_cm0p"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx5_cm0p_sect256kb"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx5_cm0p_sect256kb_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx5_cm0p_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx5_cm4"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx5_cm4_sect256kb"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx6_cm0p"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx6_cm0p_sect256kb"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx6_cm0p_sect256kb_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx6_cm0p_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx6_cm4"; 8; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx6_cm4_sect256kb"; 8; {{0x08002400, 0x8000, 0}; {0x10000000, 0x80000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx7_cm0p"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx7_cm0p_sect256kb"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx7_cm0p_sect256kb_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx7_cm0p_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx7_cm4"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx7_cm4_sect256kb"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx8_cm0p"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx8_cm0p_sect256kb"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx8_cm0p_sect256kb_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx8_cm0p_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx8_cm4"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xx8_cm4_sect256kb"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x100000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xxa_cm0p"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x200000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xxa_cm0p_sect256kb"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x200000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xxa_cm0p_sect256kb_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x200000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xxa_cm0p_tm"; 4; {{0x08002400, 0x8000, 0}; {0x10000000, 0x200000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xxa_cm4"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x200000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cy8c6xxa_cm4_sect256kb"; 8; {{0x08026400, 0x8000, 0}; {0x10000000, 0x200000, 1}; {0x14000000, 0x8000, 1}; {0x16000800, 0x0800, 1}; {0x16001A00, 0x0200, 1}; {0x16005A00, 0x0C00, 1}; {0x16007C00, 0x0400, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx5_cm0p"; 4; {{0x08020000, 0xC000, 0}; {0x10000000, 0x60000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx5_cm0p_tm"; 4; {{0x08020000, 0xC000, 0}; {0x10000000, 0x60000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx5_cm4"; 8; {{0x08001800, 0x1E800, 0}; {0x10000000, 0x60000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx5_cm4_tm"; 8; {{0x08001800, 0x1E800, 0}; {0x10000000, 0x60000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx7_cm0p"; 4; {{0x08020000, 0xC000, 0}; {0x10000000, 0xD0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx7_cm0p_tm"; 4; {{0x08020000, 0xC000, 0}; {0x10000000, 0xD0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx7_cm4"; 8; {{0x08001800, 0x1E800, 0}; {0x10000000, 0xD0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xx7_cm4_tm"; 8; {{0x08001800, 0x1E800, 0}; {0x10000000, 0xD0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xxa_cm0p"; 4; {{0x080E0000, 0xC000, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xxa_cm0p_tm"; 4; {{0x080E0000, 0xC000, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xxa_cm4"; 8; {{0x08001800, 0xDE800, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyb06xxa_cm4_tm"; 8; {{0x08001800, 0xDE800, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cybl10xxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cybl10xxx-256"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cyble-012011-00"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cyble-014008-00"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cyble-022001-00"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cyble-214009-00"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cyble-214015-01"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cypd21xxx"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"cypd312xx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"cypd313xx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"cypd317xx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cypd319xx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cypm1011"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cypm1111"; 4; {{0x20000000, 0x3000, 0}; {0x00000000, 0x20000, 1}}};
		{"cypm1211"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"cypm1311"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cys06xxa_cm0p"; 4; {{0x080E0000, 0xC000, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cys06xxa_cm0p_tm"; 4; {{0x080E0000, 0xC000, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cys06xxa_cm4"; 8; {{0x08001800, 0xDE800, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cys06xxa_cm4_tm"; 8; {{0x08001800, 0xDE800, 0}; {0x10000000, 0x1D0000, 1}; {0x14000000, 0x8000, 1}; {0x18000000, 0x8000000, 1}}};
		{"cyshm35x24x-mxxx"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"cyshm35x25x-mxxx"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cyshm35x26x-lxxx"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"cyshm35x36x-lxxx"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x90200000, 0x0800, 1}}};
		{"cyt2b63bad_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63bad_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63bae_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63bae_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63bas_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63bas_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63cad_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63cad_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63cae_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63cae_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63cas_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b63cas_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64bad_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64bad_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64bae_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64bae_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64bas_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64bas_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64cad_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64cad_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64cae_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64cae_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64cas_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b64cas_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65bad_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65bad_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65bae_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65bae_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65bas_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65bas_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65cad_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65cad_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65cae_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65cae_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65cas_m0"; 4; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b65cas_m4"; 8; {{0x08000C00, 0xEC00, 0}; {0x10000000, 0x90000, 1}; {0x14000000, 0x10000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73bas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b73cas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74bas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b74cas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75bas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b75cas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77bas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b77cas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78bas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cab_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cab_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cac_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cac_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cad_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cad_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cae_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cae_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cas_m0"; 4; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b78cas_m4"; 8; {{0x08000C00, 0x1EC00, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x18000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93baa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93baa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93bas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93caa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93caa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b93cas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94baa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94baa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94bas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94caa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94caa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b94cas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95baa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95baa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95bas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95caa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95caa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b95cas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97baa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97baa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97bas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97caa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97caa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b97cas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98baa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98baa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98bas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98caa_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98caa_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cab_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cab_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cac_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cac_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cae_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cae_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cas_m0"; 4; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2b98cas_m4"; 8; {{0x08000C00, 0x3EC00, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3baa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3baa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3bae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3bae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3caa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3caa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3cae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3cae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3cas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl3cas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4baa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4baa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4bae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4bae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4caa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4caa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4cae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4cae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4cas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl4cas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5baa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5baa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5bae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5bae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5caa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5caa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5cae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5cae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5cas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl5cas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7baa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7baa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7bae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7bae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7caa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7caa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7cae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7cae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7cas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl7cas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8baa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8baa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8bae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8bae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8caa_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8caa_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8cae_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8cae_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8cas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2bl8cas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2cl7bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2cl7bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2cl8bas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2cl8bas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2clhbas_m0"; 4; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt2clhbas_m4"; 8; {{0x08000C00, 0x7EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5cea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5cea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5ceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5ceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5cee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5cee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5ces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb5ces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7cea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7cea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7ceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7ceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7cee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7cee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7ces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb7ces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8cea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8cea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8ceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8ceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8cee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8cee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8ces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bb8ces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbcea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbcea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbcee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbcee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3bbbces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bac_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bac_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bbc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bbc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bcc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bcc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bdc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bdc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bec_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bec_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bfc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bfc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bgc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bgc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bha_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bha_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bhc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dl9bhc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabac_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabac_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabbc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabbc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabcc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabcc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabdc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabdc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabec_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabec_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabfc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabfc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabgc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabgc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabha_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabha_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabhc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlabhc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbac_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbac_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbbc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbbc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbcc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbcc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbdc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbdc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbec_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbec_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbfc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbfc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbgc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbgc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbha_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbha_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbhc_m0"; 4; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt3dlbbhc_m7"; 9; {{0x28000C00, 0x5EC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5cea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5cea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5cea_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5ceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5ceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5ceb_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5cee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5cee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5cee_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5ces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5ces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb5ces_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7cea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7cea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7cea_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7ceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7ceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7ceb_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7cee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7cee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7cee_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7ces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7ces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb7ces_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8cea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8cea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8cea_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8ceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8ceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8ceb_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8cee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8cee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8cee_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8ces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8ces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bb8ces_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbcea_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbcea_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbcea_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbceb_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbceb_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbceb_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbcee_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbcee_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbcee_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbces_m0"; 4; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbces_m7_0"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bbbces_m7_1"; 9; {{0x28000C00, 0xBEC00, 0}; {0x10000000, 0x410000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cda_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cda_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cda_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdb_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdb_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdb_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdc_m0"; 4; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdc_m7_0"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdc_m7_1"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdd_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdd_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cdd_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cde_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cde_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cde_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cds_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cds_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cds_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cea_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cea_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cea_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ceb_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ceb_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ceb_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cec_m0"; 4; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cec_m7_0"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cec_m7_1"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ced_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ced_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ced_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cee_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cee_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8cee_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ces_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ces_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bf8ces_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcha_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcha_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcha_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchb_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchb_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchb_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchc_m0"; 4; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchc_m7_0"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchc_m7_1"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchd_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchd_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchd_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbche_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbche_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbche_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchs_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchs_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbchs_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcja_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcja_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcja_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjb_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjb_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjb_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjc_m0"; 4; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjc_m7_0"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjc_m7_1"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjd_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjd_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjd_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcje_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcje_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcje_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjs_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjs_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfbcjs_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccha_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccha_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccha_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchb_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchb_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchb_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchc_m0"; 4; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchc_m7_0"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchc_m7_1"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchd_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchd_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchd_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcche_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcche_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcche_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchs_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchs_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfcchs_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccja_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccja_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccja_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjb_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjb_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjb_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjc_m0"; 4; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjc_m7_0"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjc_m7_1"; 9; {{0x28000C00, 0xEC000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjd_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjd_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjd_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccje_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccje_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccje_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjs_m0"; 4; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjs_m7_0"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4bfccjs_m7_1"; 9; {{0x28000C00, 0xFEC00, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4dndbha_m0"; 4; {{0x28000800, 0x9F000, 0}; {0x10000000, 0x630000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4dndbha_m7_0"; 9; {{0x28000C00, 0x9EC00, 0}; {0x10000000, 0x630000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyt4dndbha_m7_1"; 9; {{0x28000C00, 0x9EC00, 0}; {0x10000000, 0x630000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007600, 0x0200, 1}; {0x17007C00, 0x0200, 1}}};
		{"cyw20829"; 11; {{0x20008100, 0x10000, 0}; {0x60000000, 0x8000000, 1}}};
		{"cyw20829_tm"; 11; {{0x20008100, 0x10000, 0}; {0x60000000, 0x8000000, 1}}};
		{"cyw43907"; 32; {{0x004A0000, 0x100000, 0}; {0x14000000, 0x800000, 1}}};
		{"imc100t_0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"imc300a_0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"imc300c_0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"imd700a_128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"imd701a_128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"imm100a_0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"imm100t_0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"mb9af102n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af102r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af104n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af104r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af105n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af105r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af111k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9af111l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af111m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af111n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af112k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9af112l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af112m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af112n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af114l"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af114m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af114n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af115m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9af115n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9af116m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9af116n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9af121k"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0xFFF8, 1}}};
		{"mb9af121l"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0xFFF8, 1}}};
		{"mb9af131k"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af131ka"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af131l"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af131m"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af131n"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af132k"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af132ka"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af132l"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af132m"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af132n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af141l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af141la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af141m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af141ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af141n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af141na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af142l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af142la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af142m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af142ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af142n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af142na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af144l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af144la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af144m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af144ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af144n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af144na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af154m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af154n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af154r"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af155m"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af155n"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af155r"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af156m"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af156n"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af156r"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af311k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9af311l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af311m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af311n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9af312k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9af312l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af312m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af312n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9af314l"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af314m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af314n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9af315m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9af315n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9af316m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9af316n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9af341l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af341la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af341m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af341ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af341n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af341na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af342l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af342la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af342m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af342ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af342n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af342na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af344l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af344la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af344m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af344ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af344n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af344na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9af421k"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0xFFF8, 1}}};
		{"mb9af421l"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0xFFF8, 1}}};
		{"mb9afa31l"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9afa31la"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9afa31m"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9afa31n"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"mb9afa32l"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9afa32la"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9afa32m"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9afa32n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9afa41l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa41la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa41m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa41ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa41n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa41na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa42l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa42la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa42m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa42ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa42n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa42na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa44l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa44la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa44m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa44ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa44n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afa44na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb41l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb41la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb41m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb41ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb41n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb41na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb42l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb42la"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb42m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb42ma"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb42n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb42na"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb44l"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb44la"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb44m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb44ma"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb44n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9afb44na"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf102n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9bf102r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mb9bf104n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf104r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf105n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf105r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf106n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf106r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf112n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf112r"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf114n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf114r"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf115n"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf115r"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf116n"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf116r"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf116s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf116t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf117s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf117t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf118s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf118t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf121j"; 7; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0xFFF8, 1}}};
		{"mb9bf121k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf121l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf121m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf122k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf122l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf122m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf124k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf124l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf124m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf128s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf128t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf129s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf129t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf164k"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf164l"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf165k"; 8; {{0x1FFFA000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf165l"; 8; {{0x1FFFA000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf166k"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf166l"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf166m"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf166n"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf166r"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf167m"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf167n"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf167r"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf168m"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf168n"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf168r"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf216s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf216t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf217s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf217t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf218s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf218t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf304n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf304r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf305n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf305r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf306n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf306r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf312n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf312r"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf314n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf314r"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf315n"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf315r"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf316n"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf316r"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf316s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf316t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf317s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf317t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf318s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf318t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf321k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf321l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf321m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf322k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf322l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf322m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf324k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf324l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf324m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf328s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf328t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf329s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf329t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf364k"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf364l"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf365k"; 8; {{0x1FFFA000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf365l"; 8; {{0x1FFFA000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf366k"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf366l"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf366m"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf366n"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf366r"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf367m"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf367n"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf367r"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf368m"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf368n"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf368r"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf404n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf404r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf405n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf405r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf406n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf406r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf412n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf412r"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf414n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf414r"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf415n"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf415r"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf416n"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf416r"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf416s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf416t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf417s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf417t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf418s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf418t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf428s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf428t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf429s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf429t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf464k"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf464l"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf465k"; 8; {{0x1FFFA000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf465l"; 8; {{0x1FFFA000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf466k"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf466l"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf466m"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf466n"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf466r"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf467m"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf467n"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf467r"; 8; {{0x1FFF4000, 0xC000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf468m"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf468n"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf468r"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf504n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf504r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"mb9bf505n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf505r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
		{"mb9bf506n"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf506r"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf512n"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf512r"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf514n"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf514r"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf515n"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf515r"; 7; {{0x1FFFA000, 0xC000, 0}; {0x00000000, 0x60000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf516n"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf516r"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf516s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf516t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf517s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf517t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf518s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf518t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf521k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf521l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf521m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf522k"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf522l"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf522m"; 7; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf524k"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf524l"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf524m"; 7; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x8000, 1}}};
		{"mb9bf528s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf528t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x100000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf529s"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf529t"; 7; {{0x1FFEC000, 0x28000, 0}; {0x00000000, 0x180000, 1}; {0x00508000, 0x10000, 1}}};
		{"mb9bf564k"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf564l"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf565k"; 8; {{0x1FFFA000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf565l"; 8; {{0x1FFFA000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf566k"; 8; {{0x1FFF8000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf566l"; 8; {{0x1FFF8000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf566m"; 8; {{0x1FFF8000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf566n"; 8; {{0x1FFF8000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf566r"; 8; {{0x1FFF8000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf567m"; 8; {{0x1FFF4000, 0x8000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf567n"; 8; {{0x1FFF4000, 0x8000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf567r"; 8; {{0x1FFF4000, 0x8000, 0}; {0x00000000, 0xC0000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf568m"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf568n"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf568r"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x200C0000, 0x8000, 1}}};
		{"mb9bf616s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf616t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bf617s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf617t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bf618s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bf618t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bfd16s"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bfd16t"; 7; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mb9bfd17s"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bfd17t"; 7; {{0x1FFF4000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"mb9bfd18s"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9bfd18t"; 7; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mb9df125"; 32; {{0x01A00000, 0xC000, 0}; {0x01000000, 0x100000, 1}; {0x017F0000, 0x10000, 1}}};
		{"mb9df126"; 32; {{0x01A00000, 0x10000, 0}; {0x01000000, 0x200000, 1}; {0x017E0000, 0x20000, 1}}};
		{"mb9ef126"; 32; {{0x01A00000, 0xC000, 0}; {0x01000000, 0x200000, 1}; {0x017E0000, 0x20000, 1}}};
		{"mb9ef226"; 32; {{0x01A00000, 0x10000, 0}; {0x01000000, 0x200000, 1}; {0x017E0000, 0x20000, 1}}};
		{"s6e1a11b0a"; 4; {{0x20000000, 0x1800, 0}; {0x00000000, 0xE000, 1}}};
		{"s6e1a11c0a"; 4; {{0x20000000, 0x1800, 0}; {0x00000000, 0xE000, 1}}};
		{"s6e1a12b0a"; 4; {{0x20000000, 0x1800, 0}; {0x00000000, 0x16000, 1}}};
		{"s6e1a12c0a"; 4; {{0x20000000, 0x1800, 0}; {0x00000000, 0x16000, 1}}};
		{"s6e1b34e0a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b34f0a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b34g0a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b36e0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b36f0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b36g0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b84e0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b84eha"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b84f0a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b84fha"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b84g0a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b84gha"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x4C000, 1}}};
		{"s6e1b86e0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b86eha"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b86f0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b86fha"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b86g0a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1b86gha"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x8C000, 1}}};
		{"s6e1c11b0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0xFFF0, 1}}};
		{"s6e1c11c0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0xFFF0, 1}}};
		{"s6e1c11d0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0xFFF0, 1}}};
		{"s6e1c12b0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FFF0, 1}}};
		{"s6e1c12c0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FFF0, 1}}};
		{"s6e1c12d0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FFF0, 1}}};
		{"s6e1c31b0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0xFFF0, 1}}};
		{"s6e1c31c0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0xFFF0, 1}}};
		{"s6e1c31d0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0xFFF0, 1}}};
		{"s6e1c32b0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FFF0, 1}}};
		{"s6e1c32c0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FFF0, 1}}};
		{"s6e1c32d0a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x1FFF0, 1}}};
		{"s6e2c18h0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c18j0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c18l0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c19h0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c19j0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c19l0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c1ah0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c1aj0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c1al0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c28h0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c28j0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c28l0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c29h0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c29j0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c29l0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c2ah0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c2aj0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c2al0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c38h0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c38j0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c38l0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c39h0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c39j0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c39l0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c3ah0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c3aj0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c3al0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c48h0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c48j0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c48l0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c49h0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c49j0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c49l0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c4ah0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c4aj0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c4al0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c58h0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c58j0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c58l0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c59h0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c59j0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c59l0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c5ah0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c5aj0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2c5al0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8h0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8hha"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8j0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8jfa"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8jga"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8jha"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8l0a"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc8lha"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc9h0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc9hha"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc9j0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc9jha"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc9l0a"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2cc9lha"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x180000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccah0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccahha"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccaj0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccajfa"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccajga"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccajha"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccal0a"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2ccalha"; 8; {{0x1FFD0000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0x00400000, 0x10000, 1}}};
		{"s6e2d35g0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d35gaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d35gja"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d35j0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d35jaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d55g0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d55gaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d55gja"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d55j0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2d55jaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2df5g0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2df5gaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2df5gja"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2df5j0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2df5jaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2dh5g0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2dh5gaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2dh5gja"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2dh5j0a"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6e2dh5jaa"; 8; {{0x00000000, 0x0000, 0}}};
		{"s6j3118haa"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j3119haa"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j311ahaa"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j324cksm"; 33; {{0x02000100, 0x10000, 0}}};
		{"s6j326cksa"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j326clsa"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j328ck"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j328cl"; 33; {{0x00000000, 0x0000, 0}}};
		{"s6j331eja"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j331ekc"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j331eke"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j332cjb"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j332cjt"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j332cks"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j332ejb"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334bjd"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x190000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334chb"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334cje"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334cjt"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334cks"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x210000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334dje"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x310000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334djt"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x310000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334eja"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334eje"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"s6j334ejt"; 33; {{0x02000000, 0x60000, 0}; {0x019F0000, 0x410000, 1}; {0x0E000000, 0x1C000, 1}}};
		{"tle9842"; 4; {{0x18000000, 0x0800, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0x8000, 1}; {0x11008000, 0x1000, 1}}};
		{"tle9842-2"; 4; {{0x18000000, 0x0800, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0x9000, 1}; {0x11009000, 0x1000, 1}}};
		{"tle9843"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xB000, 1}; {0x1100B000, 0x1000, 1}}};
		{"tle9843-2"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xC000, 1}; {0x1100C000, 0x1000, 1}}};
		{"tle9844"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xF000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9844-2"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xF000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9845"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xB000, 1}; {0x1100B000, 0x1000, 1}}};
		{"tle9850qx"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xB000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9851qxw"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xF000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9852qx"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xB000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9853qx"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xB000, 1}; {0x1100B000, 0x1000, 1}}};
		{"tle9854qx"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0xF000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9855qx"; 4; {{0x18000000, 0x1000, 0}; {0x10FFFFFC, 0x0004, 1}; {0x11000000, 0x17000, 1}; {0x11017000, 0x1000, 1}}};
		{"tle9861"; 7; {{0x18000400, 0x0800, 0}; {0x11000000, 0x8000, 1}; {0x11008000, 0x1000, 1}}};
		{"tle9862"; 7; {{0x18000400, 0x1C00, 0}; {0x11000000, 0x3F000, 1}; {0x1103F000, 0x1000, 1}}};
		{"tle9867"; 7; {{0x18000400, 0x1400, 0}; {0x11000000, 0xF000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9868"; 7; {{0x18000400, 0x0C00, 0}; {0x11000000, 0x1F000, 1}; {0x1101F000, 0x1000, 1}}};
		{"tle9869"; 7; {{0x18000400, 0x1000, 0}; {0x11000000, 0x1F000, 1}; {0x1101F000, 0x1000, 1}}};
		{"tle9871"; 7; {{0x18000400, 0x0800, 0}; {0x11000000, 0x8000, 1}; {0x11008000, 0x1000, 1}}};
		{"tle9872"; 7; {{0x18000400, 0x1C00, 0}; {0x11000000, 0x3F000, 1}; {0x1103F000, 0x1000, 1}}};
		{"tle9873"; 7; {{0x18000400, 0x0800, 0}; {0x11000000, 0xB000, 1}; {0x1100B000, 0x1000, 1}}};
		{"tle9877"; 7; {{0x18000400, 0x1400, 0}; {0x11000000, 0xF000, 1}; {0x1100F000, 0x1000, 1}}};
		{"tle9879"; 7; {{0x18000400, 0x1400, 0}; {0x11000000, 0x1F000, 1}; {0x1101F000, 0x1000, 1}}};
		{"tle9881"; 7; {{0x18000400, 0x1000, 0}; {0x12002000, 0x1E000, 1}; {0x11006000, 0x2000, 1}; {0x11000000, 0x6000, 1}}};
		{"tle9883"; 7; {{0x18000400, 0x1000, 0}; {0x12002000, 0x3E000, 1}; {0x11006000, 0x2000, 1}; {0x11000000, 0x6000, 1}}};
		{"tle9891"; 7; {{0x18000400, 0x1000, 0}; {0x12002000, 0x1E000, 1}; {0x11006000, 0x2000, 1}; {0x11000000, 0x6000, 1}}};
		{"tle9893"; 7; {{0x18000400, 0x1000, 0}; {0x12002000, 0x3E000, 1}; {0x11006000, 0x2000, 1}; {0x11000000, 0x6000, 1}}};
		{"umf1110"; 4; {{0x20000000, 0x4000, 0}; {0x10000000, 0x22000, 1}}};
		{"umf1120"; 4; {{0x20000000, 0x4000, 0}; {0x10000000, 0x41000, 1}}};
		{"umf5110"; 4; {{0x20000000, 0x4000, 0}; {0x10000000, 0x22000, 1}}};
		{"umf5120"; 4; {{0x20000000, 0x4000, 0}; {0x10000000, 0x41000, 1}}};
		{"xmc1100-0008"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x2000, 1}}};
		{"xmc1100-0016"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x4000, 1}}};
		{"xmc1100-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1100-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1200-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc1201-0016"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x4000, 1}}};
		{"xmc1201-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1201-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1201-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1201-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc1202-0016"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x4000, 1}}};
		{"xmc1202-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1202-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1203-0016"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x4000, 1}}};
		{"xmc1203-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1203-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1203-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1203-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc1301-0008"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x2000, 1}}};
		{"xmc1301-0016"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x4000, 1}}};
		{"xmc1301-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1301-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1302-0008"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x2000, 1}}};
		{"xmc1302-0016"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x4000, 1}}};
		{"xmc1302-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1302-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1302-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1302-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc1401-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1401-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1402-0032"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x8000, 1}}};
		{"xmc1402-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1402-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1402-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc1403-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1403-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1403-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc1404-0064"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x10000, 1}}};
		{"xmc1404-0128"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x20000, 1}}};
		{"xmc1404-0200"; 4; {{0x20000000, 0x4000, 0}; {0x10001000, 0x32000, 1}}};
		{"xmc4100-128"; 8; {{0x1FFFE000, 0x8000, 0}; {0x0C000000, 0x20000, 1}}};
		{"xmc4104-128"; 8; {{0x1FFFE000, 0x8000, 0}; {0x0C000000, 0x20000, 1}}};
		{"xmc4104-64"; 8; {{0x1FFFE000, 0x8000, 0}; {0x0C000000, 0x10000, 1}}};
		{"xmc4108-64"; 8; {{0x1FFFE000, 0x8000, 0}; {0x0C000000, 0x10000, 1}}};
		{"xmc4200-256"; 8; {{0x1FFFE000, 0x8000, 0}; {0x0C000000, 0x40000, 1}}};
		{"xmc4300-256"; 8; {{0x1FFF0000, 0x20000, 0}; {0x0C000000, 0x40000, 1}}};
		{"xmc4400-256"; 8; {{0x1FFFC000, 0x4000, 0}; {0x0C000000, 0x40000, 1}}};
		{"xmc4400-512"; 8; {{0x1FFFC000, 0x4000, 0}; {0x0C000000, 0x80000, 1}}};
		{"xmc4402-256"; 8; {{0x1FFFC000, 0x4000, 0}; {0x0C000000, 0x40000, 1}}};
		{"xmc4500-1024"; 8; {{0x10000000, 0x10000, 0}; {0x0C000000, 0x100000, 1}}};
		{"xmc4500-768"; 8; {{0x10000000, 0x10000, 0}; {0x0C000000, 0xC0000, 1}}};
		{"xmc4502-768"; 8; {{0x10000000, 0x10000, 0}; {0x0C000000, 0xC0000, 1}}};
		{"xmc4504-512"; 8; {{0x10000000, 0x10000, 0}; {0x0C000000, 0x80000, 1}}};
		{"xmc4700-1536"; 8; {{0x1FFE8000, 0x45000, 0}; {0x0C000000, 0x180000, 1}}};
		{"xmc4700-2048"; 8; {{0x1FFE8000, 0x58000, 0}; {0x0C000000, 0x200000, 1}}};
		{"xmc4800-1024"; 8; {{0x1FFEE000, 0x32000, 0}; {0x0C000000, 0x100000, 1}}};
		{"xmc4800-1536"; 8; {{0x1FFE8000, 0x45000, 0}; {0x0C000000, 0x180000, 1}}};
		{"xmc4800-2048"; 8; {{0x1FFE8000, 0x58000, 0}; {0x0C000000, 0x200000, 1}}};
		{"xmc7100-1088_cm0p_tm"; 4; {{0x28001000, 0x10000, 0}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-1088_cm7_0_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x110000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-2112_cm0p_tm"; 4; {{0x28001000, 0x10000, 0}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-2112_cm7_0_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-2112_cm7_1_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x210000, 1}; {0x14000000, 0x20000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-4160_cm0p_tm"; 4; {{0x28001000, 0x10000, 0}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-4160_cm7_0_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
		{"xmc7100-4160_cm7_1_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
		{"xmc7200-8384_cm0p_tm"; 4; {{0x28001000, 0x10000, 0}; {0x60000000, 0x8000000, 1}}};
		{"xmc7200-8384_cm7_0_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
		{"xmc7200-8384_cm7_1_tm"; 9; {{0x28001000, 0x10000, 0}; {0x10000000, 0x830000, 1}; {0x14000000, 0x40000, 1}; {0x17000800, 0x0800, 1}; {0x17001A00, 0x0200, 1}; {0x17006400, 0x0C00, 1}; {0x17007C00, 0x0200, 1}; {0x60000000, 0x8000000, 1}}};
	};
	["Maxim"] = {
		{"max32510"; 7; {{0x20000000, 0x18000, 0}; {0x10000000, 0x80000, 1}}};
		{"max32550"; 7; {{0x20000000, 0x40000, 0}; {0x10000000, 0x100000, 1}}};
		{"max32552"; 7; {{0x20000000, 0x60000, 0}; {0x10000000, 0x100000, 1}; {0x08000000, 0x1000000, 1}}};
		{"max32555"; 7; {{0x20000000, 0x18000, 0}; {0x10000000, 0x80000, 1}}};
		{"max32558"; 7; {{0x20000000, 0x18000, 0}; {0x10000000, 0x80000, 1}}};
		{"max32560"; 7; {{0x20000000, 0x60000, 0}; {0x10000000, 0x100000, 1}; {0x08000000, 0x1000000, 1}}};
		{"max32561"; 7; {{0x20000000, 0x60000, 0}; {0x10000000, 0x100000, 1}; {0x08000000, 0x1000000, 1}}};
		{"max32565"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x1000000, 1}}};
		{"max32566"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x1000000, 1}}};
		{"max32570"; 8; {{0x20000000, 0xBE000, 0}; {0x10000000, 0x80000, 1}; {0x10080000, 0x80000, 1}; {0x08000000, 0x8000000, 1}}};
		{"max32600"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"max32620"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x200000, 1}}};
		{"max32621"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x200000, 1}}};
		{"max32625itk"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"max32625itkl"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"max32625iwy"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"max32625iwyl"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"max32626itk"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"max32626iwy"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"max32630"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}}};
		{"max32631"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}}};
		{"max32635"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x1000000, 1}}};
		{"max32650"; 8; {{0x20000000, 0x100000, 0}; {0x10000000, 0x300000, 1}}};
		{"max32651"; 8; {{0x20000000, 0x100000, 0}; {0x10000000, 0x300000, 1}}};
		{"max32652"; 8; {{0x20000000, 0x100000, 0}; {0x10000000, 0x300000, 1}}};
		{"max32655"; 8; {{0x20000000, 0x20000, 0}; {0x10000000, 0x80000, 1}}};
		{"max32660"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"max32665"; 8; {{0x20000000, 0x8C000, 0}; {0x10000000, 0x80000, 1}; {0x10080000, 0x80000, 1}}};
		{"max32666"; 8; {{0x20000000, 0x8C000, 0}; {0x10000000, 0x80000, 1}; {0x10080000, 0x80000, 1}}};
		{"max32667"; 8; {{0x20000000, 0x30000, 0}; {0x10000000, 0x80000, 1}; {0x10080000, 0x80000, 1}}};
		{"max32668"; 8; {{0x20000000, 0x30000, 0}; {0x10000000, 0x80000, 1}; {0x10080000, 0x80000, 1}}};
		{"max32670"; 8; {{0x20000000, 0x20000, 0}; {0x10000000, 0x60000, 1}}};
		{"max32671"; 8; {{0x20000000, 0x20000, 0}; {0x10000000, 0x60000, 1}}};
		{"max32672"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x80000, 1}; {0x10080000, 0x80000, 1}}};
		{"max32675"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x60000, 1}}};
		{"max32690"; 8; {{0x20000000, 0x100000, 0}; {0x10000000, 0x300000, 1}}};
		{"max78000"; 8; {{0x20000000, 0x20000, 0}; {0x10000000, 0x80000, 1}}};
	};
	["MediaTek"] = {
		{"mt2523d"; 8; {{0x04008000, 0x2000, 0}; {0x08000000, 0x4000000, 1}}};
		{"mt2523g"; 8; {{0x04008000, 0x2000, 0}; {0x08000000, 0x4000000, 1}}};
		{"mt2523s"; 8; {{0x04008000, 0x2000, 0}; {0x08000000, 0x2000000, 1}}};
		{"mt7686"; 8; {{0x04200000, 0x60000, 0}; {0x08000000, 0x4000000, 1}}};
		{"mt7697"; 8; {{0x20000000, 0x40000, 0}; {0x10000000, 0x4000000, 1}}};
		{"mt7697d"; 8; {{0x20000000, 0x40000, 0}; {0x10000000, 0x4000000, 1}}};
	};
	["Microchip"] = {
		{"atsam3a2c"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3a4c"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x40000, 1}}};
		{"atsam3a8c"; 7; {{0x20000000, 0x10000, 0}; {0x00080000, 0x80000, 1}}};
		{"atsam3n00a"; 7; {{0x20000000, 0x1000, 0}; {0x00400000, 0x4000, 1}}};
		{"atsam3n00b"; 7; {{0x20000000, 0x1000, 0}; {0x00400000, 0x4000, 1}}};
		{"atsam3n0a"; 7; {{0x20000000, 0x2000, 0}; {0x00400000, 0x8000, 1}}};
		{"atsam3n0b"; 7; {{0x20000000, 0x2000, 0}; {0x00400000, 0x8000, 1}}};
		{"atsam3n0c"; 7; {{0x20000000, 0x2000, 0}; {0x00400000, 0x8000, 1}}};
		{"atsam3n1a"; 7; {{0x20000000, 0x2000, 0}; {0x00400000, 0x10000, 1}}};
		{"atsam3n1b"; 7; {{0x20000000, 0x2000, 0}; {0x00400000, 0x10000, 1}}};
		{"atsam3n1c"; 7; {{0x20000000, 0x2000, 0}; {0x00400000, 0x10000, 1}}};
		{"atsam3n2a"; 7; {{0x20000000, 0x4000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam3n2b"; 7; {{0x20000000, 0x4000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam3n2c"; 7; {{0x20000000, 0x4000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam3n4a"; 7; {{0x20000000, 0x6000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam3n4b"; 7; {{0x20000000, 0x6000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam3n4c"; 7; {{0x20000000, 0x6000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam3s1a"; 7; {{0x20000000, 0x4000, 0}; {0x00400000, 0x10000, 1}}};
		{"atsam3s1b"; 7; {{0x20000000, 0x4000, 0}; {0x00400000, 0x10000, 1}}};
		{"atsam3s1c"; 7; {{0x20000000, 0x4000, 0}; {0x00400000, 0x10000, 1}}};
		{"atsam3s2a"; 7; {{0x20000000, 0x8000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam3s2b"; 7; {{0x20000000, 0x8000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam3s2c"; 7; {{0x20000000, 0x8000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam3s4a"; 7; {{0x20000000, 0xC000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam3s4b"; 7; {{0x20000000, 0xC000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam3s4c"; 7; {{0x20000000, 0xC000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam3s8b"; 7; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam3s8c"; 7; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam3sd8b"; 7; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam3sd8c"; 7; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam3u1c"; 7; {{0x20000000, 0x2000, 0}; {0x00080000, 0x10000, 1}}};
		{"atsam3u1e"; 7; {{0x20000000, 0x2000, 0}; {0x00080000, 0x10000, 1}}};
		{"atsam3u2c"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3u2e"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3u4c"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x20000, 1}; {0x00100000, 0x20000, 1}}};
		{"atsam3u4e"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x20000, 1}; {0x00100000, 0x20000, 1}}};
		{"atsam3x2c"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3x2e"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3x2g"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3x2h"; 7; {{0x20000000, 0x4000, 0}; {0x00080000, 0x20000, 1}}};
		{"atsam3x4c"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x40000, 1}}};
		{"atsam3x4e"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x40000, 1}}};
		{"atsam3x4g"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x40000, 1}}};
		{"atsam3x4h"; 7; {{0x20000000, 0x8000, 0}; {0x00080000, 0x40000, 1}}};
		{"atsam3x8c"; 7; {{0x20000000, 0x10000, 0}; {0x00080000, 0x80000, 1}}};
		{"atsam3x8e"; 7; {{0x20000000, 0x10000, 0}; {0x00080000, 0x80000, 1}}};
		{"atsam3x8g"; 7; {{0x20000000, 0x10000, 0}; {0x00080000, 0x80000, 1}}};
		{"atsam3x8h"; 7; {{0x20000000, 0x10000, 0}; {0x00080000, 0x80000, 1}}};
		{"atsam4c16c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x100000, 1}}};
		{"atsam4c32c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x200000, 1}}};
		{"atsam4c32e"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x200000, 1}}};
		{"atsam4c4c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x40000, 1}}};
		{"atsam4c8c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"atsam4cmp16c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x100000, 1}}};
		{"atsam4cmp32c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x200000, 1}}};
		{"atsam4cmp8c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"atsam4cms16c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x100000, 1}}};
		{"atsam4cms32c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x200000, 1}}};
		{"atsam4cms4c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x40000, 1}}};
		{"atsam4cms8c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"atsam4cmsp16c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x100000, 1}}};
		{"atsam4cp16b"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x100000, 1}}};
		{"atsam4cp16c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x100000, 1}}};
		{"atsam4cp8b"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"atsam4e16ca"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4e16cb"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4e16ea"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4e8ca"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4e8cb"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4e8ea"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4lc1aa"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc1ba"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc1ca"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc2aa"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc2ba"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc2ca"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc4aa"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc4ba"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc4ca"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc8aa"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc8ba"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4lc8ca"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls1aa"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls1ba"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls1ca"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls2aa"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls2ba"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls2ca"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls4aa"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls4ba"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls4ca"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls8aa"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls8ba"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4ls8ca"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00800000, 0x0200, 1}}};
		{"atsam4n16ba"; 8; {{0x20000000, 0x14000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4n16ca"; 8; {{0x20000000, 0x14000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4n8aa"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4n8ba"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4n8ca"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4s16aa"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4s16ba"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4s16ca"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4s2aa"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam4s2ba"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam4s2ca"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x20000, 1}}};
		{"atsam4s4aa"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam4s4ba"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam4s4ca"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsam4s8aa"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4s8ba"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4s8ca"; 8; {{0x20000000, 0x20000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsam4sa16ba"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4sa16ca"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4sd16ba"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4sd16bb"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4sd16ca"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsam4sd32ba"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsam4sd32bb"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsam4sd32ca"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsam4sp32aa"; 8; {{0x20000000, 0x28000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsama5d21c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d22c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d23c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d24c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d25c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d26c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d27c"; 15; {{0x00200000, 0x20000, 0}; {0xD0000000, 0x2000000, 1}}};
		{"atsama5d28c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d29c"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d31a"; 15; {{0x00300000, 0x20000, 0}}};
		{"atsama5d33a"; 15; {{0x00300000, 0x20000, 0}}};
		{"atsama5d34a"; 15; {{0x00300000, 0x20000, 0}}};
		{"atsama5d35a"; 15; {{0x00300000, 0x20000, 0}}};
		{"atsama5d36a"; 15; {{0x00300000, 0x20000, 0}}};
		{"atsama5d41a"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d41b"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d42a"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d42b"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d43a"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d43b"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d44a"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsama5d44b"; 15; {{0x00200000, 0x20000, 0}}};
		{"atsamb11g18a"; 4; {{0x10000000, 0x8000, 0}; {0x60000000, 0x40000, 1}}};
		{"atsamc20e15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20e16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20e17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20e18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20g15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20g17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20j15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20j16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20j17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20j18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20n17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc20n18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21e15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21e16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21e17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21e18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21g15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21g17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21j15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21j16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21j17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21j18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21n17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamc21n18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd09c13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd09d14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10c12a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10c13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10c14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d12a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d12am"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d12as"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d13am"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d13as"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d14am"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d14as"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10d14au"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10e12a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10e13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd10e14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11c12a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11c13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11c14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11d12a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11d13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11d14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11d14am"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11d14as"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11d14au"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11e12a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11e13a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd11e14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20e1fa"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd20j18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e15l"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e16l"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e17d"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e17l"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21e18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g15l"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g16l"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g17d"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g17l"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j17d"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd21j18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamd51g18a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51g19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51j18a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51j19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51j20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51n19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51n20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51p19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamd51p20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsamda1e14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1e15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1e16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1g14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1g15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1g16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1j14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1j15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamda1j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsame51g18a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51g19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51j18a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51j19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51j20a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51n19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51n20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51p19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame51p20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame53j18a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame53j19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame53j20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame53n19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame53n20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame54n19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame54n20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame54p19a"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame54p20a"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}; {0x04000000, 0x1000000, 1}}};
		{"atsame70j19a"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsame70j20a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsame70j21a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsame70n19a"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsame70n20a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsame70n21a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsame70q19a"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsame70q20a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsame70q21a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsamg51g18a"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsamg51n18a"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsamg53g19a"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg53n18a"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsamg53n19a"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg54g19b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg54j19b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg54n19b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg55g18b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsamg55g19b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg55j18b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x40000, 1}}};
		{"atsamg55j19a"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamg55n19b"; 8; {{0x20000000, 0x10000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamha0e14ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha0e15ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha0e16ab"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha0g14ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha0g15ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha0g16ab"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha0g17ab"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1e14ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1e15ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1e16ab"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g14a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g14ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0200, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g15ab"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g16ab"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamha1g17a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml10d14a"; 10; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml10d15a"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml10d16a"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml10e14a"; 10; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml10e15a"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml10e16a"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml11d14a"; 10; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml11d15a"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml11d16a"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml11e14a"; 10; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml11e15a"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml11e16a"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21e15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00400000, 0x0400, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21e16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21e17b"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21e18b"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21g16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21g17b"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21g18b"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21j17b"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml21j18b"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22g17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22j16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22j17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22j18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22n16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22n17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsaml22n18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21e14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21e15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21e16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21e17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21e18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21e19a"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21g14a"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21g15a"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21g16a"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21g17a"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr21g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr30e18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr30g18a"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr34j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr34j17b"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr34j18b"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr35j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr35j17b"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamr35j18b"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"atsamrh707f18a"; 9; {{0x21000000, 0x60000, 0}; {0x10000000, 0x20000, 1}}};
		{"atsamrh71f20a"; 9; {{0x21000000, 0x60000, 0}; {0x10000000, 0x20000, 1}}};
		{"atsamrh71f20b"; 9; {{0x21000000, 0x60000, 0}; {0x10000000, 0x20000, 1}}};
		{"atsamrh71f20c"; 9; {{0x21000000, 0x60000, 0}; {0x10000000, 0x20000, 1}}};
		{"atsams70j19a"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsams70j20a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsams70j21a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsams70n19a"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsams70n20a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsams70n21a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsams70q19a"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsams70q20a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsams70q21a"; 9; {{0x20400000, 0x60000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsamv21e14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"atsamv21e15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"atsamv21e16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"atsamv21g14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"atsamv21g15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"atsamv21g16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"atsamv21j14b"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"atsamv21j15b"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"atsamv21j16b"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"atsamv70j19b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamv70j20b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsamv70n19b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv70n20b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x100000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv70q19b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv70q20b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x100000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv71j19b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}}};
		{"atsamv71j20b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x100000, 1}}};
		{"atsamv71j21b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x200000, 1}}};
		{"atsamv71n19b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv71n20b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x100000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv71n21b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x200000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv71q19b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x80000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv71q20b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x100000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamv71q21b"; 9; {{0x20400000, 0x40000, 0}; {0x00400000, 0x200000, 1}; {0x80000000, 0x4000000, 1}}};
		{"atsamw25"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x00804000, 0x0100, 1}}};
		{"cec1702"; 8; {{0x000B0000, 0x68000, 0}; {0x60000000, 0x200000, 1}}};
		{"dec1501"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"dec1515"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"mec1501"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"mec1503"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"mec1507"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"mec1515"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"mec170x"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x1000000, 1}}};
		{"pic32cm1216"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x00400000, 0x1000, 1}; {0x00804000, 0x0100, 1}}};
		{"pic32cm2532jh"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"pic32cm2532le00"; 10; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00804000, 0x0100, 1}; {0x0080C000, 0x0100, 1}}};
		{"pic32cm2532ls00"; 10; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}; {0x0080C000, 0x0100, 1}}};
		{"pic32cm2532ls60"; 10; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}; {0x0080C000, 0x0100, 1}}};
		{"pic32cm5164jh"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x00400000, 0x2000, 1}; {0x00804000, 0x0100, 1}}};
		{"pic32cm5164le00"; 10; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00804000, 0x0100, 1}; {0x0080C000, 0x0100, 1}}};
		{"pic32cm5164ls00"; 10; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00400000, 0x4000, 1}; {0x00804000, 0x0100, 1}; {0x0080C000, 0x0100, 1}}};
		{"pic32cm5164ls60"; 10; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00400000, 0x4000, 1}; {0x00804000, 0x0100, 1}; {0x0080C000, 0x0100, 1}}};
		{"pic32cm6408"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x00400000, 0x0800, 1}; {0x00804000, 0x0100, 1}}};
		{"pic32cx0525sg12"; 8; {{0x000E0000, 0x38000, 0}; {0x60000000, 0x80000, 1}}};
		{"pic32cx1025mtc_m4_0"; 8; {{0x20000000, 0x40000, 0}; {0x01000000, 0x100000, 1}}};
		{"pic32cx1025mtc_m4_1"; 8; {{0x20000000, 0x40000, 0}}};
		{"pic32cx1025mtg"; 8; {{0x20000000, 0x40000, 0}; {0x01000000, 0x100000, 1}}};
		{"pic32cx1025mtsh_m4_0"; 8; {{0x20000000, 0x40000, 0}; {0x01000000, 0x100000, 1}}};
		{"pic32cx1025mtsh_m4_1"; 8; {{0x20000000, 0x40000, 0}}};
		{"pic32cx1025sg41100"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}}};
		{"pic32cx1025sg41128"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}}};
		{"pic32cx1025sg60100"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}}};
		{"pic32cx1025sg60128"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}}};
		{"pic32cx1025sg61100"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}}};
		{"pic32cx1025sg61128"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00804000, 0x0200, 1}}};
		{"pic32cx2051mtc_m4_0"; 8; {{0x20000000, 0x80000, 0}; {0x01000000, 0x200000, 1}}};
		{"pic32cx2051mtc_m4_1"; 8; {{0x20000000, 0x80000, 0}}};
		{"pic32cx2051mtg"; 8; {{0x20000000, 0x80000, 0}; {0x01000000, 0x200000, 1}}};
		{"pic32cx2051mtsh_m4_0"; 8; {{0x20000000, 0x80000, 0}; {0x01000000, 0x200000, 1}}};
		{"pic32cx2051mtsh_m4_1"; 8; {{0x20000000, 0x80000, 0}}};
		{"pic32cx5112mtc_m4_0"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"pic32cx5112mtc_m4_1"; 8; {{0x20000000, 0x20000, 0}}};
		{"pic32cx5112mtg"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"pic32cx5112mtsh_m4_0"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"pic32cx5112mtsh_m4_1"; 8; {{0x20000000, 0x20000, 0}}};
		{"pic32cz2051ca80"; 9; {{0x20020000, 0x80000, 0}; {0x0C000000, 0x200000, 1}; {0x08000000, 0x20000, 1}}};
		{"pic32cz2051ca90"; 9; {{0x20020000, 0x80000, 0}; {0x0C000000, 0x200000, 1}; {0x08000000, 0x20000, 1}}};
		{"pic32cz4010ca80"; 9; {{0x20020000, 0x100000, 0}; {0x0C000000, 0x400000, 1}; {0x08000000, 0x20000, 1}}};
		{"pic32cz4010ca90"; 9; {{0x20020000, 0x100000, 0}; {0x0C000000, 0x400000, 1}; {0x08000000, 0x20000, 1}}};
		{"pic32cz8110ca80"; 9; {{0x20020000, 0x100000, 0}; {0x0C000000, 0x800000, 1}; {0x08000000, 0x20000, 1}}};
		{"pic32cz8110ca90"; 9; {{0x20020000, 0x100000, 0}; {0x0C000000, 0x800000, 1}; {0x08000000, 0x20000, 1}}};
		{"sama7g54"; 16; {{0x00100000, 0x20000, 0}}};
	};
	["MindMotion"] = {
		{"mm32a0144c1tm"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32a0144c4pm"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32a0144c4qm"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32a0144c6pm"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0010a1n"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0010a1nv"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0010a1t"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0010a1tv"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0010a6t"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0020b1n"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0020b1t"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0040b1n"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0040b1t"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0131c3n"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0131c4p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0131c4q"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0131c6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0131c7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0132c4p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0132c4q"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0132c6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0132c7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0133c4p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0133c4q"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0133c6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0133c7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141b1t"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141b4p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141b4q"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141b6p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141c1t"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141c4p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141c4q"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0141c6p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0144c1t"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0144c4p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0144c4q"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0144c6p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0162d3n"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0162d4q"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0162d6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0162d7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0163d3n"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0163d4q"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0163d6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0163d7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0271d6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0271d7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0271d8p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0272d6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0272d7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0272d8p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0273d6p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0273d7p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f0273d8p"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031c6t"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031c8t"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031f4p"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031f6p"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031g6u"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031k4u"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031k6t"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031k6u"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031k8t"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f031k8u"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103c8t"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103cbt"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103k8t"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103k8u"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103kbt"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103kbu"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103r8t"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f103rbt"; 7; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273e6p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273e7p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273e8p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273e9p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273g6p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273g7p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273g8p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273g9p"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32f3273gaq"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0001a1n"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0001a1t"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0001a6t"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0001a6t1"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0141c1tv"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0141c3nv"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0141c4pv"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0141c4qv"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0163d3nv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0163d4pv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0163d4qv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32g0163d6pv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0020b1n"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0020b1t"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0131b6p"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0131b7p"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0131c6p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0131c7p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0136b6p"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0136b7p"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0136c6p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l0136c7p"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l050xx"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l051xx"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l052xx"; 4; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l061xx"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l062xx"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l072xx"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32l073xx"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32spin0280d4pv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32spin0280d6pv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32spin0280d6qv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32spin0280d7pv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
		{"mm32spin0280dapv"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0010, 1}}};
	};
	["Nations"] = {
		{"n32g030c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g030f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g030f8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g030k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g030k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g031c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g031f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g031f8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g031k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g031k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032c8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032f8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032p6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032p8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g032r8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF600, 0x0010, 1}}};
		{"n32g401f8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430c6"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430c8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430f6"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430f8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430g6"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430g8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430k6"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g430k8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g432c8"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g432cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g432k8"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g432kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g432r8"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g432rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435c8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435g8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435gb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435k8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435r8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g435rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452cb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452cc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452ce"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452mb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452mc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452me"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452qc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452qe"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452rb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452rc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452re"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452vc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g452ve"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455cb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455cc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455ce"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455mb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455mc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455me"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455rb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455rc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455re"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455tb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455vb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455vc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g455ve"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457mc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457me"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457qe"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457rc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457re"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457vc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g457ve"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g4frhc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g4frhe"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g4frkc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g4frke"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g4frme"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32g4frre"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l401c8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l401cb"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l403k8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l403kb"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l406c8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l406cb"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l406mb"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l406r8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l406rb"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l433k8"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l433kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l436c8"; 8; {{0x20000000, 0x6000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l436cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l436mb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l436r8"; 8; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32l436rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32wb452ce"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32wb452le"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
		{"n32wb452re"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFF800, 0x0800, 1}}};
	};
	["Nordic Semi"] = {
		{"nrf51422_xxaa"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51422_xxab"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51422_xxac"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51801_xxab"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x30000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51802_xxaa"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51822_xxaa"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51822_xxab"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf51822_xxac"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x0400, 1}}};
		{"nrf52805_xxaa"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x30000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52810_xxaa"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x30000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52811_xxaa"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x30000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52820_xxaa"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52832_xxaa"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52832_xxab"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52833_xxaa"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf52840_xxaa"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x10001000, 0x1000, 1}}};
		{"nrf5340_xxaa_app"; 11; {{0x20000000, 0x80000, 0}; {0x00FF8000, 0x0100, 1}; {0x00FF8100, 0x0300, 1}; {0x00000000, 0x100000, 1}}};
		{"nrf5340_xxaa_net"; 11; {{0x21000000, 0x10000, 0}; {0x01FF8000, 0x0800, 1}; {0x01000000, 0x40000, 1}}};
		{"nrf9131_xxca"; 11; {{0x20000000, 0x40000, 0}; {0x00FF8000, 0x0100, 1}; {0x00FF8108, 0x02F8, 1}; {0x00000000, 0x100000, 1}}};
		{"nrf9160_xxaa"; 11; {{0x20000000, 0x40000, 0}; {0x00FF8000, 0x0038, 1}; {0x00FF8108, 0x02F8, 1}; {0x00000000, 0x100000, 1}}};
		{"nrf9161_xxca"; 11; {{0x20000000, 0x40000, 0}; {0x00FF8000, 0x0100, 1}; {0x00FF8108, 0x02F8, 1}; {0x00000000, 0x100000, 1}}};
	};
	["Nuvoton"] = {
		{"m031eb0ae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"m031ec1ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m031fb0ae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"m031fc1ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m031kg6ae"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m031kg8ae"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m031kiaae"; 4; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"m031lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m031ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m031le3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m031lg6ae"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m031lg8ae"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m031sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m031sd2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m031se3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m031sg6ae"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m031sg8ae"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m031siaae"; 4; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"m031tb0ae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"m031tc1ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m031td2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m031te3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m032ec1ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m032fc1ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m032kg6ae"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m032kg8ae"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m032kiaae"; 4; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"m032lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m032ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m032le3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m032lg6ae"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m032lg8ae"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m032se3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m032sg6ae"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m032sg8ae"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m032siaae"; 4; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"m032tc1ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m032td2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m0516ldc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0516lde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0516ldn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0516zdc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0516zde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0516zdn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0518lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0518ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0518sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0518sd2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0519ld3ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0519le3ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"m0519sd3ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0519se3ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"m0519ve3ae"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"m052ldc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m052lde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m052ldn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m052zdc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m052zde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m052zdn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m054ldc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m054lde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m054ldn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m054zdc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m054zde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m054zdn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m0564le4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"m0564lg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"m0564se4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"m0564sg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"m0564vg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"m058ldc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058lde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058ldn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058sfan"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058slan"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058ssan"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058szan"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058zdc"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058zde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m058zdn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"m071mc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m071md2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"m071qe4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"m071qg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"m071r1d3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m071r1e3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m071sd3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m071se2ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m071vg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"m0a21eb1ac"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"m0a21ec1ac"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m0a21ob1ac"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"m0a21oc1ac"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m0a23ec1ac"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m0a23oc1ac"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"m2351ciaae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m2351kiaae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m2351siaae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m2351ziaae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m2354kjfae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m2354ljfae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m2354sjfae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m251eb2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m251ec2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m251fb2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m251fc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m251ke3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m251kg6ae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m251lc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m251ld2ae"; 10; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"m251le3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m251lg6ae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m251sc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m251sd2ae"; 10; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"m251se3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m251sg6ae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m251zb2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"m251zc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m251zd2ae"; 10; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"m252ec2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m252fc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m252ke3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m252kg6ae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m252lc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m252ld2ae"; 10; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"m252le3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m252lg6ae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m252sc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m252sd2ae"; 10; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"m252se3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m252sg6ae"; 10; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m252zc2ae"; 10; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"m252zd2ae"; 10; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"m253ld3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m253le3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m253ze3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m254kd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m254ke3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m254qd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m254qe3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m254sd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m254se3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m256kd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m256ke3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m256qd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m256qe3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m256sd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m256se3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m258kd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m258ke3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m258qd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m258qe3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m258sd3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"m258se3ae"; 10; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"m261kiaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m261siaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m261ziaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m262kiaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m262siaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m262ziaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m263kiaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m263siaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m263ziaae"; 10; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"m451lc3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0xA000, 1}}};
		{"m451ld3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m451le6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m451lg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m451mlc3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0xA000, 1}}};
		{"m451mld3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m451mle6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m451mlg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m451msc3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0xA000, 1}}};
		{"m451msd3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m451rc3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0xA000, 1}}};
		{"m451rd3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m451re6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m451rg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m451ve6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m451vg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m4521le6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m4521re6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m4521se6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m452lc3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0xA000, 1}}};
		{"m452ld3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m452le6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m452lg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m452rd3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m452re6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m452rg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m452ve6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m452vg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m453lc3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0xA000, 1}}};
		{"m453ld3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m453le6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m453lg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m453rd3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m453re6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m453rg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m453vd3ae"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x12000, 1}}};
		{"m453ve6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m453vg6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"m463kgcae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m463lgcae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m463sgcae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m463ygcae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m467hjhan"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m467jjhan"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m467kjhan"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m467sjhan"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00080000, 0x80000, 1}}};
		{"m471ki8ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"m471md6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}}};
		{"m471r1e6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m471se6ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"m471vi8ae"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"m481le8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m481lg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481lgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481lgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481lidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m481se8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m481sg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481sg8ae2a"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481sgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481sgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481sgcae2a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481sidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m481ze8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m481zg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481zgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481zgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481zgdae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m481zidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m482kgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482kgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482kidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m482le8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m482lg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482lgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482lgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482lidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m482se8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m482sg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482sgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482sgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482sidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m482ze8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m482zg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482zgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m482zidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m483kg8ae2a"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483kgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483kgcae2a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483kidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m483se8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"m483sg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483sg8ae2a"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483sgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483sgcae"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483sgcae2a"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"m483sidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m484kidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m484sgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m484sgaae2u"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m484sidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m484sidae2u"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m485kidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m485lidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m485sidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m485zidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m487jidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m487kidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"m487kmcan"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x280000, 1}}};
		{"m487sgaae"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"m487sidae"; 8; {{0x20000000, 0x28000, 0}; {0x00000000, 0x80000, 1}}};
		{"mini51fde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51lan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51lde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51tan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51tde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51xlae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51xzae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51zan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini51zde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}}};
		{"mini52fde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52lan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52lde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52tan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52tde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52xlae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52xzae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52zan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini52zde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mini54fde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54lan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54lde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54tan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54tde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54xfhc"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54xlae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54xzae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54zan"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini54zde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mini55lde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4600, 1}}};
		{"mini55tde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4600, 1}}};
		{"mini55zde"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4600, 1}}};
		{"mini57ede"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x7600, 1}}};
		{"mini57fde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x7600, 1}}};
		{"mini57tde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x7600, 1}}};
		{"mini58fde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mini58lde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mini58tde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mini58zde"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100ka0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100ka1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100ka2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100ka3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100kb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100kb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100kb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100kb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100kc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100kc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100kc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100kc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100kd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100kd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100kd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100kd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100ke0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100ke1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100ke2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100ke3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100la0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100la1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100la2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100la3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100lb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100lb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100lb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100lb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100lc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100lc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100lc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100lc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100ld0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100ld1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100ld2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100ld3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100le0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100le1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100le2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100le3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100nc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100nd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100nd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100ne3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100sa0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100sa1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100sa2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100sa3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano100sb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100sb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100sb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100sb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano100sc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100sc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100sc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100sc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano100sd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100sd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100sd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100sd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano100se0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100se1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100se2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano100se3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano102lb1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano102lc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano102sc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano102zb1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano102zc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano103ld3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano103sd3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano103zd3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110ka0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110ka1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110ka2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110ka3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110kb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110kb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110kb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110kb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110kc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110kc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110kc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110kc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110kd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110kd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110kd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110kd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110ke0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110ke1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110ke2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110ke3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110la0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110la1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110la2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110la3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110lb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110lb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110lb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110lb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110lc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110lc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110lc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110lc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110ld0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110ld1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110ld2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110ld3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110le0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110le1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110le2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110le3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110rd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110rd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110sa0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110sa1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110sa2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110sa3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano110sb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110sb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110sb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110sb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano110sc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110sc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110sc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110sc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano110sd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110sd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110sd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110sd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano110se0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110se1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110se2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano110se3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano112lb1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano112lc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano112rb1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano112rc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano112sb1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano112sc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano112vc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120ka0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120ka1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120ka2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120ka3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120kb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120kb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120kb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120kb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120kc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120kc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120kc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120kc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120kd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120kd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120kd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120kd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120ke0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120ke1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120ke2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120ke3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120la0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120la1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120la2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120la3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120lb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120lb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120lb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120lb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120lc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120lc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120lc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120lc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120ld0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120ld1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120ld2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120ld3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120le0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120le1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120le2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120le3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120sa0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120sa1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120sa2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120sa3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano120sb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120sb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120sb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120sb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano120sc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120sc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120sc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120sc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano120sd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120sd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120sd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120sd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano120se0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120se1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120se2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano120se3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130ka0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130ka1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130ka2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130ka3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130kb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130kb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130kb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130kb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130kc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130kc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130kc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130kc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130kd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130kd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130kd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130kd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130ke0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130ke1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130ke2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130ke3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130la0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130la1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130la2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130la3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130lb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130lb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130lb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130lb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130lc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130lc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130lc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130lc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130ld0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130ld1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130ld2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130ld3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130le0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130le1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130le2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130le3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130sa0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130sa1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130sa2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130sa3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nano130sb0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130sb1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130sb2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130sb3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nano130sc0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130sc1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130sc2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130sc3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nano130sd0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130sd1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130sd2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130sd3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nano130se0bn"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130se1bn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130se2bn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nano130se3bn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc029fae"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc029kge"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc029lan"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc029lde"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc029lee"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc029lge"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc029mde"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc029nan"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc029sde"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc029see"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc029sge"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc029tan"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc029zan"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100lc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100lc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100lc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100ld1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100ld2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100ld3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100le1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100le2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100le3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100rc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100rc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100rc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100rd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100rd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100rd3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100re1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100re2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100re3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100vc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100vc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100vc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100vd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100vd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100vd3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100ve1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100ve2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100ve3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100yc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100yc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100yc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100yd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100yd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100yd3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc100ye1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100ye2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc100ye3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120la1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120la2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120la3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120lb1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120lb2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120lb3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120lc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120lc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120lc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120ld1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120ld2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120ld3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120le1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120le2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120le3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120ra1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120ra2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120ra3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120rb1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120rb2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120rb3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120rc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120rc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120rc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120rd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120rd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120rd3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120re1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120re2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120re3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120va1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120va2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120va3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120vb1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120vb2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120vb3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120vc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120vc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120vc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120vd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120vd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120vd3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120ve1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120ve2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120ve3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120ya1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120ya2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120ya3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc120yb1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120yb2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120yb3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc120yc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120yc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120yc3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120yd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120yd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120yd3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0001F000, 0x1000, 1}}};
		{"nuc120ye1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120ye2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc120ye3dn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc121lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc121sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc121zc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122lc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122lc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122lc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122lc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122ld1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122ld1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122ld2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122ld2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122sc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122sc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122sc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122sc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122sd1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122sd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122sd2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122sd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122zc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122zc1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122zc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122zc2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc122zd1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122zd1dn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122zd2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc122zd2dn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc123la1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123la2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123la3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123la4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123lb1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123lb2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123lb3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123lb4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123lc1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123lc2ae1"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123lc2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123lc2an1"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123lc3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123lc4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123ld1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123ld2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123ld3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123ld4ae0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123ld4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123le1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123le2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123le3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123le4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123sa1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123sa2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123sa3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123sa4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123sb1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123sb2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123sb3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123sb4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123sc1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123sc2ae1"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123sc2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123sc2an1"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123sc3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123sc4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123sd1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123sd2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123sd3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123sd4ae0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123sd4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123se1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123se2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123se3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123se4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123za1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123za2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123za3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123za4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc123zb1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123zb2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123zb3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123zb4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc123zc1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123zc2ae1"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123zc2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123zc2an1"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123zc3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123zc4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc123zd1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123zd2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123zd3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc123zd4ae0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123zd4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123ze1an0"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123ze2an0"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123ze3an0"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc123ze4an0"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc125lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc125sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc125zc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc1262le4ae"; 10; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc1262ne4ae"; 10; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc1262se4ae"; 10; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc126le4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc126lg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc126ne4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc126se4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc126sg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc126vg4ae"; 4; {{0x20000000, 0x5000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc130la1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130la2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130la3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130lb1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130lb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130lb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130lc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130lc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130lc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130ld1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130ld2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130ld3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130le1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130le2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130le3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130ra1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130ra2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130ra3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130rb1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130rb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130rb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130rc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130rc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130rc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130rd1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130rd2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130rd3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130re1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130re2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130re3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130va1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130va2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130va3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130vb1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130vb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130vb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130vc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130vc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130vc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130vd1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130vd2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130vd3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130ve1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130ve2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130ve3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130ya1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130ya2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130ya3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc130yb1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130yb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130yb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc130yc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130yc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130yc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc130yd1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130yd2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130yd3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc130ye1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130ye2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc130ye3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc1311lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc1311ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc131lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc131ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x9000, 1}}};
		{"nuc131sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc131sd2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x11000, 1}}};
		{"nuc140la1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140la2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140la3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140lb1cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140lb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140lb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140lc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140lc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140lc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140ld1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140ld2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140ld3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140le1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140le2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140le3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140ra1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140ra2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140ra3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140rb1cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140rb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140rb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140rc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140rc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140rc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140rd1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140rd2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140rd3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140re1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140re2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140re3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140va1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140va2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140va3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140vb1cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140vb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140vb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140vc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140vc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140vc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140vd2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140vd3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140ve1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140ve2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140ve3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140ya1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140ya2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140ya3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x2000, 1}}};
		{"nuc140yb1cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140yb2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140yb3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x4000, 1}}};
		{"nuc140yc1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140yc2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140yc3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc140yd1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140yd2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140yd3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc140ye1cn"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140ye2cn"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc140ye3cn"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200lc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200lc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200lc3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200ld1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200ld2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200ld3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200le1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200le2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200le3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200sc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200sc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200sc3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200sd1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200sd2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200sd3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200se1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200se2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200se3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200vc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200vc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200vc3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc200vd1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200vd2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200vd3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc200ve1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200ve2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc200ve3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220lc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220lc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220lc3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220ld1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220ld2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220ld3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220le1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220le2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220le3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220sc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220sc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220sc3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220sd1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220sd2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220sd3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220se1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220se2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220se3an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220vc1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220vc2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220vc3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc220vd1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220vd2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220vd3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc220ve1an"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220ve2an"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc220ve3an"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc230lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc230ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc230le3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc230sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc230sd2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc230se3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc230ve3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc240lc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc240ld2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc240le3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc240sc2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"nuc240sd2ae"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"nuc240se3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc240ve3ae"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"nuc442jg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc442ji8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc442kg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc442ki8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc442rg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc442ri8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc442vg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc442vi8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc472hg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc472hi8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc472jg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc472ji8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc472kg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc472ki8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"nuc472vg8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"nuc472vi8ae"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
	};
	["NXP"] = {
		{"ctn730"; 4; {{0x00100400, 0x2B00, 0}; {0x00203000, 0x27800, 1}; {0x00201200, 0x0E00, 1}}};
		{"ctn732"; 4; {{0x00100400, 0x2B00, 0}; {0x00203000, 0x27800, 1}; {0x00201200, 0x0E00, 1}}};
		{"em773"; 4; {{0x00000000, 0x0000, 0}}};
		{"imx502"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx503"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx507"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx508"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx512"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx513"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx514"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx515"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx516"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx535"; 17; {{0x00000000, 0x0000, 0}}};
		{"imx537"; 17; {{0x00000000, 0x0000, 0}}};
		{"jn5188"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x50000, 1}}};
		{"jn5188t"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x50000, 1}}};
		{"jn5189"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"jn5189t"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"k32l2a31xxxxa"; 4; {{0x1FFF8000, 0x20000, 0}; {0x00000000, 0x40000, 1}}};
		{"k32l2a41xxxxa"; 4; {{0x1FFF8000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"k32l2b11xxxxa"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x10000, 1}}};
		{"k32l2b21xxxxa"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"k32l2b31xxxxa"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"k32l3axxxxxxxx_m0"; 4; {{0x09000000, 0x20000, 0}; {0x00001000, 0xFF000, 1}; {0x01000000, 0x40000, 1}}};
		{"k32l3axxxxxxxx_m4"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x01000000, 0x40000, 1}}};
		{"k32w032s1m2xxxxx_m0"; 4; {{0x09000000, 0x20000, 0}; {0x00001000, 0xFF000, 1}; {0x01000000, 0x40000, 1}}};
		{"k32w032s1m2xxxxx_m4"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x01000000, 0x40000, 1}}};
		{"k32w041"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"k32w041a"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"k32w041am"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}; {0x10000000, 0x400000, 1}}};
		{"k32w061"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"k32w1480"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}}};
		{"kw45b41z52"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45b41z53"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45b41z82"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45b41z83"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45z41052"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45z41053"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45z41082"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}; {0x48800000, 0x40000, 1}}};
		{"kw45z41083"; 11; {{0x30004000, 0x8000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}; {0x48800000, 0x40000, 1}}};
		{"lpc1101lvuk"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1102"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1102lvuk"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1102uk"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1104uk"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1110"; 4; {{0x10000000, 0x0400, 0}; {0x00000000, 0x1000, 1}}};
		{"lpc1111/002"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1111/101"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1111/102"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1111/103"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1111/201"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1111/202"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1111/203"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1112/101"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112/102"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112/103"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112/201"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112/202"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112/203"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112fhn33/102"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112lv/003"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1112lv/103"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1113/201"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc1113/202"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc1113/203"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc1113/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc1113/302"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc1113/303"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc1114/102"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/201"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/202"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/203"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/302"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/303"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114/323"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0xC000, 1}}};
		{"lpc1114/333"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0xE000, 1}}};
		{"lpc1114lv/103"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1114lv/303"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1115/303"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1124"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1125"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc11a02uk"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc11a04uk"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11a11/001"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc11a12/101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc11a13/201"; 4; {{0x10000000, 0x1800, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc11a14/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11c12/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc11c14/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11c22/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc11c24/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11d14/302"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11e11/101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc11e12/201"; 4; {{0x10000000, 0x1800, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc11e13/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc11e14/401"; 4; {{0x10000000, 0x2800, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11e35/501"; 4; {{0x10000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc11e36/501"; 4; {{0x10000000, 0x3000, 0}; {0x00000000, 0x18000, 1}}};
		{"lpc11e37/501"; 4; {{0x10000000, 0x3000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc11e66"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc11e67"; 4; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc11e68"; 4; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc11u12"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc11u13"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc11u14"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11u23"; 4; {{0x10000000, 0x1800, 0}; {0x00000000, 0x6000, 1}}};
		{"lpc11u24/301"; 4; {{0x10000000, 0x1800, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11u24/401"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc11u34/311"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0xA000, 1}}};
		{"lpc11u34/421"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0xC000, 1}}};
		{"lpc11u35/401"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc11u35/501"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc11u36/401"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x18000, 1}}};
		{"lpc11u37/401"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc11u37/501"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc11u66"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc11u67"; 4; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc11u68"; 4; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1224/101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1224/121"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0xC000, 1}}};
		{"lpc1225/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1225/321"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x14000, 1}}};
		{"lpc1226/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x18000, 1}}};
		{"lpc1227/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc12d27/301"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc1311"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc1313"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1315"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1316"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0xC000, 1}}};
		{"lpc1317"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1342"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc1343"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1345"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1346"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0xC000, 1}}};
		{"lpc1347"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1517"; 7; {{0x02000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1518"; 7; {{0x02000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc1519"; 7; {{0x02000000, 0x9000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1547"; 7; {{0x02000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1548"; 7; {{0x02000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc1549"; 7; {{0x02000000, 0x9000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1751"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc1752"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1754"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc1756"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1758"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1759"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1763"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1764"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc1765"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1766"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1767"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1768"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1769"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1772"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc1774"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc1776"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1777"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1778"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1785"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1786"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc1787"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1788"; 7; {{0x10000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc1810"; 7; {{0x10000000, 0x10000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc1812"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1813"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1815"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x60000, 1}; {0x1B000000, 0x60000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1817"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1820"; 7; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc1822"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1823"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1825"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x60000, 1}; {0x1B000000, 0x60000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1827"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1830"; 7; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc1833"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1837"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1850"; 7; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc1853"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc1857"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc18s10"; 7; {{0x10000000, 0x10000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc18s30"; 7; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc18s37"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc18s50"; 7; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc18s57"; 7; {{0x10080000, 0xA000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4072"; 8; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x28000000, 0x4000000, 1}}};
		{"lpc4074"; 8; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x28000000, 0x4000000, 1}}};
		{"lpc4076"; 8; {{0x10000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x28000000, 0x4000000, 1}}};
		{"lpc4078"; 8; {{0x10000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x28000000, 0x4000000, 1}}};
		{"lpc4088"; 8; {{0x10000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x28000000, 0x4000000, 1}}};
		{"lpc4310_m0"; 4; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4310_m4"; 8; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4312_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4312_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4313_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4313_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4315_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4315_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x60000, 1}; {0x1B000000, 0x60000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4317_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4317_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4320_m0"; 4; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4320_m4"; 8; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4322_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4322_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4323_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4323_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4325_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4325_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x60000, 1}; {0x1B000000, 0x60000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4327_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4327_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4330_m0"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4330_m4"; 8; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4333_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4333_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4337_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4337_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4350_m0"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4350_m4"; 8; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4353_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4353_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x40000, 1}; {0x1B000000, 0x40000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4357_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4357_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4367_m0app"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4367_m0sub"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4367_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc4370_m0app"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4370_m0sub"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc4370_m4"; 8; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s20_m0"; 4; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s20_m4"; 8; {{0x10000000, 0x18000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s30_m0"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s30_m4"; 8; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s37_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s37_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s50_m0"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s50_m4"; 8; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s57_m0"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s57_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s67_m0app"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s67_m0sub"; 4; {{0x10000000, 0x8000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s67_m4"; 8; {{0x10000000, 0x8000, 0}; {0x1A000000, 0x80000, 1}; {0x1B000000, 0x80000, 1}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s70_m0app"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s70_m0sub"; 4; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc43s70_m4"; 8; {{0x10000000, 0x20000, 0}; {0x14000000, 0x4000000, 1}}};
		{"lpc51u68"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54005"; 8; {{0x20000000, 0x10000, 0}; {0x10000000, 0x8000000, 1}}};
		{"lpc54016"; 8; {{0x20000000, 0x10000, 0}; {0x10000000, 0x8000000, 1}}};
		{"lpc54018"; 8; {{0x20000000, 0x10000, 0}; {0x10000000, 0x8000000, 1}}};
		{"lpc54018j2m"; 8; {{0x20000000, 0x10000, 0}; {0x10000000, 0x200000, 1}}};
		{"lpc54018j4m"; 8; {{0x20000000, 0x10000, 0}; {0x10000000, 0x400000, 1}}};
		{"lpc54101j256_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54101j256_m4"; 8; {{0x02000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54101j512_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54101j512_m4"; 8; {{0x02000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc54102j256_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54102j256_m4"; 8; {{0x02000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54102j512_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54102j512_m4"; 8; {{0x02000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc54111j128_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54111j128_m4"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc54111j256_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54111j256_m4"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54112j256_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54112j256_m4"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54113j128_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54113j128_m4"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc54113j256_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54113j256_m4"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54114j256_m0"; 4; {{0x00000000, 0x0000, 0}}};
		{"lpc54114j256_m4"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc54604j256"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54604j256 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54604j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54604j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54605j256"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54605j256 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54605j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54605j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54606j256"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54606j256 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54606j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54606j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54607j256"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54607j256 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54607j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54607j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54608j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54608j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54616j256"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54616j256 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54616j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54616j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54618j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54618j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54628j512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54628j512 (allow ecrp)"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x8000000, 1}}};
		{"lpc54s005"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x8000000, 1}}};
		{"lpc54s016"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x8000000, 1}}};
		{"lpc54s018"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x8000000, 1}}};
		{"lpc54s018j2m"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x200000, 1}}};
		{"lpc54s018j4m"; 8; {{0x20000000, 0x28000, 0}; {0x10000000, 0x400000, 1}}};
		{"lpc5502"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x10000, 1}}};
		{"lpc5504"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc5506"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x3D600, 1}}};
		{"lpc5512"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc5514"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lpc5516"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x3D600, 1}}};
		{"lpc5526"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc5526jbd100"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc5526jbd64"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc5526jev98"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lpc5528"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc5528jbd100"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc5528jbd64"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc5528jev98"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"lpc5534"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x08000000, 0x4000000, 1}}};
		{"lpc5536"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x3DC00, 1}; {0x08000000, 0x4000000, 1}}};
		{"lpc55s04"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x20000, 1}}};
		{"lpc55s06"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x3D600, 1}; {0x10000000, 0x3D600, 1}}};
		{"lpc55s14"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x20000, 1}}};
		{"lpc55s16"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x3D600, 1}; {0x10000000, 0x3D600, 1}}};
		{"lpc55s26jbd100"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"lpc55s26jbd64"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"lpc55s26jev98"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"lpc55s28"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"lpc55s28jbd100"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"lpc55s28jbd64"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"lpc55s28jev98"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"lpc55s36"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0x3DC00, 1}; {0x10000000, 0x3DC00, 1}; {0x08000000, 0x4000000, 1}}};
		{"lpc55s66_m33_0"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"lpc55s66_m33_1"; 11; {{0x04000000, 0x8000, 0}}};
		{"lpc55s69_m33_0"; 11; {{0x04000000, 0x8000, 0}; {0x00000000, 0x9DE00, 1}; {0x10000000, 0x9DE00, 1}}};
		{"lpc55s69_m33_1"; 11; {{0x04000000, 0x8000, 0}}};
		{"lpc802m001"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x3F80, 1}}};
		{"lpc802m011"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x3F80, 1}}};
		{"lpc802uk"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x3F80, 1}}};
		{"lpc804m101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x7F80, 1}}};
		{"lpc804m111"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x7F80, 1}}};
		{"lpc804uk"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x7F80, 1}}};
		{"lpc810m021"; 4; {{0x10000000, 0x0400, 0}; {0x00000000, 0x1000, 1}}};
		{"lpc811m001"; 4; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lpc812m101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc822m101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc824m201"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc832m101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lpc834m101"; 4; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc844m201"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc845m301"; 4; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc864m201"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lpc865m201"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lpc8n04"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x7800, 1}}};
		{"mcimx6d4"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6d5"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6d6"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6d7"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6g0"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6g1"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6g2"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6g3"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6l2"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6l3"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6l7"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6l8"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6q4"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6q5"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6q6"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6q7"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6s1"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6s4"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6s5"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6s6"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6s7"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6s8"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6u1"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6u4"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6u5"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6u6"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6u7"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6u8"; 18; {{0x00000000, 0x0000, 0}}};
		{"mcimx6x1_a9"; 18; {{0x00900000, 0x20000, 0}; {0x70000000, 0x2000000, 1}}};
		{"mcimx6x1_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"mcimx6x2_a9"; 18; {{0x00900000, 0x20000, 0}; {0x70000000, 0x2000000, 1}}};
		{"mcimx6x2_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"mcimx6x3_a9"; 18; {{0x00900000, 0x20000, 0}; {0x70000000, 0x2000000, 1}}};
		{"mcimx6x3_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"mcimx6x4_a9"; 18; {{0x00900000, 0x20000, 0}; {0x70000000, 0x2000000, 1}}};
		{"mcimx6x4_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"mcimx6y0"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6y1"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6y2"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx6y7"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x2000000, 1}}};
		{"mcimx7d3_a7_0"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d3_a7_1"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d3_m4"; 8; {{0x1FFF8000, 0x8000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d5_a7_0"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d5_a7_1"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d5_m4"; 8; {{0x1FFF8000, 0x8000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d7_a7_0"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d7_a7_1"; 16; {{0x00900000, 0x20000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7d7_m4"; 8; {{0x1FFF8000, 0x8000, 0}; {0x60000000, 0x10000000, 1}}};
		{"mcimx7u3_a7"; 16; {{0x20000000, 0x10000, 0}; {0xC0000000, 0x10000000, 1}}};
		{"mcimx7u3_m4"; 8; {{0x20000000, 0x10000, 0}; {0x04000000, 0x8000000, 1}}};
		{"mcimx7u5_a7"; 16; {{0x20000000, 0x10000, 0}; {0xC0000000, 0x10000000, 1}}};
		{"mcimx7u5_m4"; 8; {{0x20000000, 0x10000, 0}; {0x04000000, 0x8000000, 1}}};
		{"mcxn546_m33_0"; 11; {{0x20010000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"mcxn546_m33_1"; 11; {{0x00000000, 0x0000, 0}}};
		{"mcxn547_m33_0"; 11; {{0x20010000, 0x10000, 0}; {0x00000000, 0x200000, 1}; {0x10000000, 0x200000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"mcxn547_m33_1"; 11; {{0x00000000, 0x0000, 0}}};
		{"mcxn946_m33_0"; 11; {{0x20010000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x100000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"mcxn946_m33_1"; 11; {{0x00000000, 0x0000, 0}}};
		{"mcxn947_m33_0"; 11; {{0x20010000, 0x10000, 0}; {0x00000000, 0x200000, 1}; {0x10000000, 0x200000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"mcxn947_m33_1"; 11; {{0x00000000, 0x0000, 0}}};
		{"mimx8dl1_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8dx1_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8dx2_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8dx3_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8dx4_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8dx5_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8dx6_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8md6_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8md7_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8ml3_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8ml4_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8ml6_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8ml8_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mm1_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mm2_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mm3_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mm4_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mm5_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mm6_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mn1_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mn2_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mn3_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mn4_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mn5_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mn6_m7"; 9; {{0x00000000, 0x0000, 0}}};
		{"mimx8mq5_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mq6_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8mq7_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qm5_m4_0"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qm5_m4_1"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qm6_m4_0"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qm6_m4_1"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qx1_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qx2_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qx3_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qx4_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qx5_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8qx6_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8sl1_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8ux5_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimx8ux6_m4"; 8; {{0x20000000, 0x40000, 0}}};
		{"mimxrt1011xxx4a"; 9; {{0x20200000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1011xxx5a"; 9; {{0x20200000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1015xxx4a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1015xxx5a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1021xxx4a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1021xxx4b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1021xxx5a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1021xxx5b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1024xxx4a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x400000, 1}}};
		{"mimxrt1024xxx5a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x400000, 1}}};
		{"mimxrt1041xxx5b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1041xxx6b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1042xxx5b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1042xxx6b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1051xxxxa"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt1051xxxxb"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt1052xxxxa"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt1052xxxxb"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt1061xxx5a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1061xxx5b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1061xxx6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1061xxx6b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1062xxx5a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1062xxx5b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1062xxx6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1062xxx6b"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt1064xxx5a"; 9; {{0x20000000, 0x10000, 0}; {0x70000000, 0x400000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1064xxx6a"; 9; {{0x20000000, 0x10000, 0}; {0x70000000, 0x400000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt106a-alexa"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt106a-alexa2"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x20000000, 1}}};
		{"mimxrt106advl6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt106cdvl6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt106fdvl6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt106ldvl6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt106sdvl6a"; 9; {{0x20000000, 0x10000, 0}; {0x60000000, 0x4000000, 1}}};
		{"mimxrt1165xxx5_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1165xxx5_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1165xxx6_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1165xxx6_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1166xxx5_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1166xxx5_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1166xxx6_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1166xxx6_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1171xxx8_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1171xxxa_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1172xxx8_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1172xxxa_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1173xxx8_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1173xxx8_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1175xxx8_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1175xxx8_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1175xxxa_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1175xxxa_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1176xxx8_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1176xxx8_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1176xxxa_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1176xxxa_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1177xxxa_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1177xxxa_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt117hxxxa_m4"; 8; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt117hxxxa_m7"; 9; {{0x20200000, 0x10000, 0}; {0x30000000, 0x10000000, 1}; {0x60000000, 0x10000000, 1}}};
		{"mimxrt1181xxx2_m33"; 11; {{0x20000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1181xxx2_m7"; 9; {{0x00000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1182xxx2_m33"; 11; {{0x20000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1182xxx2_m7"; 9; {{0x00000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1187xxx8_m33"; 11; {{0x20000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1187xxx8_m7"; 9; {{0x00000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1189xxx8_m33"; 11; {{0x20000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt1189xxx8_m7"; 9; {{0x00000000, 0x20000, 0}; {0x28000000, 0x8000000, 1}; {0x38000000, 0x8000000, 1}}};
		{"mimxrt533s_m33"; 11; {{0x20000000, 0x300000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt555s_m33"; 11; {{0x20000000, 0x500000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt595s_m33"; 11; {{0x20000000, 0x500000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt633s"; 11; {{0x20000000, 0x300000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt633s_m33"; 11; {{0x20000000, 0x300000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt633sfawbr"; 11; {{0x20000000, 0x300000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt685s"; 11; {{0x20000000, 0x480000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt685s_m33"; 11; {{0x20000000, 0x480000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mimxrt685sfawbr"; 11; {{0x20000000, 0x480000, 0}; {0x08000000, 0x4000000, 1}; {0x18000000, 0x4000000, 1}}};
		{"mk02fn128xxx10"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mk02fn64xxx10"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mk10dn128xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mk10dn32xxx5"; 8; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"mk10dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk10dn64xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mk10dx128xxx10"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk10dx128xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk10dx128xxx7"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk10dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk10dx256xxx7"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk10dx32xxx5"; 8; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk10dx64xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk10dx64xxx7"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk10fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk10fx512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk11dn512axxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk11dn512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk11dx128axxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk11dx128xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk11dx256axxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk11dx256xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk12dn512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk12dx128xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk12dx256xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk20dn128xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mk20dn32xxx5"; 8; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"mk20dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk20dn64xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mk20dx128xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk20dx128xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk20dx128xxx7"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk20dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk20dx256xxx7"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk20dx32xxx5"; 8; {{0x1FFFF000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk20dx64xxx5"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk20dx64xxx7"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk20fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk20fx512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk21dn512axxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk21dn512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk21dx128axxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk21dx128xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk21dx256axxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk21dx256xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk21fn1m0axxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk21fn1m0xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk21fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk21fx512axxx12"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk21fx512xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk21fx512xxx12"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk22dn512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk22dx128xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk22dx256xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mk22fn128xxx10"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"mk22fn128xxx12"; 8; {{0x1FFFC000, 0xC000, 0}; {0x00000000, 0x20000, 1}}};
		{"mk22fn1m0axxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk22fn1m0xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk22fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk22fn256xxx12"; 8; {{0x1FFFC000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"mk22fn512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk22fx512axxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk22fx512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk22fx512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk24fn1m0xxx12"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk24fn256xxx12"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}}};
		{"mk26fn2m0xxx18"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk27fn2m0axxx15"; 8; {{0x1FFC0000, 0x80000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk27fn2m0xxx15"; 8; {{0x1FFC0000, 0x80000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk28fn2m0axxx15"; 8; {{0x1FFC0000, 0x80000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk28fn2m0xxx15"; 8; {{0x1FFC0000, 0x80000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk30dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk30dx128xxx10"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk30dx128xxx7"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk30dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk30dx256xxx7"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk30dx64xxx7"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk40dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk40dx128xxx10"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk40dx128xxx7"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk40dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk40dx256xxx7"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk40dx64xxx7"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk50dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk50dx128xxx7"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk50dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk50dx256xxx7"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk51dn256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mk51dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk51dx128xxx7"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk51dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk51dx256xxx7"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mk52dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk53dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk53dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk60dn256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mk60dn512xxx10"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"mk60dx256xxx10"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk60fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk60fn1m0xxx15"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk60fx512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk60fx512xxx15"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk61fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk61fn1m0xxx15"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk61fx512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk61fx512xxx15"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk63fn1m0xxx12"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk64fn1m0xxx12"; 8; {{0x1FFF0000, 0x30000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk64fx512xxx12"; 8; {{0x1FFF0000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x20000, 1}}};
		{"mk65fn2m0xxx18"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk65fx1m0xxx18"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk66fn2m0xxx18"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x200000, 1}}};
		{"mk66fx1m0xxx18"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x40000, 1}}};
		{"mk70fn1m0xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk70fn1m0xxx15"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"mk70fx512xxx12"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk70fx512xxx15"; 8; {{0x1FFF0000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x80000, 1}}};
		{"mk80fn256xxx15"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}; {0x68000000, 0x4000000, 1}; {0x6C000000, 0x4000000, 1}}};
		{"mk80fn256xxx15_parallelmode"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}; {0x68000000, 0x8000000, 1}}};
		{"mk81fn256xxx15"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}; {0x68000000, 0x4000000, 1}; {0x6C000000, 0x4000000, 1}}};
		{"mk81fn256xxx15_parallelmode"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}; {0x68000000, 0x8000000, 1}}};
		{"mk82fn256xxx15"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}; {0x68000000, 0x4000000, 1}; {0x6C000000, 0x4000000, 1}}};
		{"mk82fn256xxx15_parallelmode"; 8; {{0x1FFF0000, 0x40000, 0}; {0x00000000, 0x40000, 1}; {0x68000000, 0x8000000, 1}}};
		{"mke02z16xxx2"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mke02z16xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mke02z32xxx2"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mke02z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mke02z64xxx2"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"mke02z64xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"mke04z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke04z64xxx4"; 4; {{0x1FFFF800, 0x1800, 0}; {0x00000000, 0x10000, 1}}};
		{"mke04z8xxx4"; 4; {{0x1FFFFF00, 0x0400, 0}; {0x00000000, 0x2000, 1}}};
		{"mke06z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke06z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mke12z128xxx7"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke12z256xxx7"; 4; {{0x1FFFC000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke12z512xxx9"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mke13z128xxx7"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke13z256xxx7"; 4; {{0x1FFFC000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke13z512xxx9"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mke14d128xxx3"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke14d128xxx7"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke14d256xxx3"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke14d256xxx7"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke14f256xxx16"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mke14f512xxx16"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"mke14z128xxx7"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mke14z256xxx7"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mke14z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mke14z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mke15d128xxx3"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke15d128xxx7"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke15d256xxx3"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke15d256xxx7"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke15z128xxx7"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"mke15z256xxx7"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"mke15z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mke15z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mke16f256xxx16"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mke16f512xxx16"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"mke16z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mke16z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mke17z128xxx7"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"mke17z256xxx7"; 4; {{0x1FFFC000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"mke17z512xxx9"; 4; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mke18f256xxx16"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"mke18f512xxx16"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"mkl02z16xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mkl02z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl02z8xxx4"; 4; {{0x1FFFFF00, 0x0400, 0}; {0x00000000, 0x2000, 1}}};
		{"mkl03z16xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mkl03z32xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl03z8xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"mkl04z16xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mkl04z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl04z8xxx4"; 4; {{0x1FFFFF00, 0x0400, 0}; {0x00000000, 0x2000, 1}}};
		{"mkl05z16xxx4"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"mkl05z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl05z8xxx4"; 4; {{0x1FFFFF00, 0x0400, 0}; {0x00000000, 0x2000, 1}}};
		{"mkl13z32xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl13z64xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl14z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl14z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl15z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl15z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl15z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl16z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl16z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl16z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl16z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl17z128xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl17z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl17z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl17z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl24z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl24z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl25z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl25z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl25z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl26z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl26z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl26z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl26z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl27z128xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl27z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl27z32xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl27z64xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl28z256xxx7"; 4; {{0x1FFFA000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl28z512xxx7"; 4; {{0x1FFFA000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"mkl33z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl33z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl33z32xxx4"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkl33z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl34z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl36z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl36z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl36z64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkl43z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl43z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl46z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl46z256xxx4"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkl81z128xxx7"; 4; {{0x1FFFA000, 0x18000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkl82z128xxx7"; 4; {{0x1FFFA000, 0x18000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm13z64xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkm14z128axxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm14z128xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm14z64axxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkm14z64xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkm32z64xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkm33z128axxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm33z128xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm33z64axxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkm33z64xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkm34z128axxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm34z128xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkm34z256xxx7"; 4; {{0x1FFFE000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkm35z256xxx7"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkm35z512xxx7"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mkm38z128xxx5"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mks20fn128xxx12"; 8; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"mks20fn256xxx12"; 8; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mks22fn128xxx12"; 8; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"mks22fn256xxx12"; 8; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkv10z128xxx7"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv10z16xxx7"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"mkv10z32xxx7"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"mkv10z64xxx7"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkv10z64xxx7p"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkv11z128xxx7"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv11z128xxx7p"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv11z64xxx7"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkv30f128xxx10"; 8; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv30f64xxx10"; 8; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkv31f128xxx10"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv31f256xxx12"; 8; {{0x1FFFC000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkv31f512xxx12"; 8; {{0x1FFF8000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"mkv42f128xxx16"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv42f256xxx16"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkv42f64xxx16"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkv44f128xxx16"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv44f256xxx16"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkv44f64xxx16"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"mkv46f128xxx16"; 8; {{0x1FFFE000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkv46f256xxx16"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkv56f1m0xxx24"; 9; {{0x00000000, 0x10000, 0}; {0x10000000, 0x100000, 1}}};
		{"mkv56f512xxx24"; 9; {{0x00000000, 0x10000, 0}; {0x10000000, 0x80000, 1}}};
		{"mkv58f1m0xxx24"; 9; {{0x00000000, 0x10000, 0}; {0x10000000, 0x100000, 1}}};
		{"mkv58f512xxx24"; 9; {{0x00000000, 0x10000, 0}; {0x10000000, 0x80000, 1}}};
		{"mkw01z128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkw20z160xxx4"; 4; {{0x1FFFF000, 0x5000, 0}; {0x00000000, 0x20000, 1}; {0x00020000, 0x8000, 1}}};
		{"mkw21d128xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"mkw21d256xxx5"; 8; {{0x1FFFC000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkw21d512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mkw21z256xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkw21z512xxx4"; 4; {{0x1FFF8000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mkw22d512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mkw24d512xxx5"; 8; {{0x1FFF8000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"mkw30z160xxx4"; 4; {{0x1FFFF000, 0x5000, 0}; {0x00000000, 0x20000, 1}; {0x00020000, 0x8000, 1}}};
		{"mkw31z256xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkw31z512xxx4"; 4; {{0x1FFF8000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mkw34a512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mkw35a512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mkw35z512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mkw36a512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mkw36z512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mkw37a512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mkw37z512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mkw38a512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mkw38z512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mkw39a512xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x40000, 1}}};
		{"mkw40z160xxx4"; 4; {{0x1FFFF000, 0x5000, 0}; {0x00000000, 0x20000, 1}; {0x00020000, 0x8000, 1}}};
		{"mkw41z256xxx4"; 4; {{0x1FFFC000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"mkw41z512xxx4"; 4; {{0x1FFF8000, 0x20000, 0}; {0x00000000, 0x40000, 1}; {0x00040000, 0x40000, 1}}};
		{"mwct1014s"; 8; {{0x1FFF8000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"mwct1015s"; 8; {{0x1FFF0000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x10000, 1}}};
		{"mwct1016s"; 8; {{0x1FFE0000, 0x20000, 0}; {0x00000000, 0x200000, 1}; {0x10000000, 0x10000, 1}}};
		{"mwct2016s"; 9; {{0x20000000, 0x10000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"mwct2d16s"; 9; {{0x20000000, 0x10000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"mwct2d17s"; 9; {{0x20000000, 0x10000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0x100000, 1}; {0x00600000, 0x100000, 1}; {0x00700000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"ncj29d5"; 11; {{0x20004000, 0x6000, 0}; {0x00200000, 0x20000, 1}}};
		{"nhs3100"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x7800, 1}; {0x30000000, 0x0E80, 1}}};
		{"nhs3152"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x7800, 1}; {0x30000000, 0x0E80, 1}}};
		{"nhs3153"; 4; {{0x10000000, 0x2000, 0}; {0x00000000, 0x7800, 1}; {0x30000000, 0x0E80, 1}}};
		{"nhs52s04"; 11; {{0x04000000, 0x4000, 0}; {0x00000000, 0xFE000, 1}}};
		{"nxh2004"; 4; {{0x00400000, 0x10000, 0}; {0x00000000, 0x9EC00, 1}}};
		{"nxh2004_m0_0"; 4; {{0x00400000, 0x10000, 0}; {0x00000000, 0x9EC00, 1}}};
		{"nxh2004_m0_1"; 4; {{0x00400000, 0x10000, 0}; {0x00000000, 0x9EC00, 1}}};
		{"nxh3675"; 4; {{0x00400000, 0x10000, 0}; {0x00000000, 0x9EC00, 1}}};
		{"nxh3675_m0_0"; 4; {{0x00400000, 0x10000, 0}; {0x00000000, 0x9EC00, 1}}};
		{"nxh3675_m0_1"; 4; {{0x00400000, 0x10000, 0}; {0x00000000, 0x9EC00, 1}}};
		{"pck20ln128"; 8; {{0x1FFFE000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"pn7360au"; 4; {{0x00100400, 0x2B00, 0}; {0x00203000, 0x14000, 1}; {0x00201200, 0x0E00, 1}}};
		{"pn7362au"; 4; {{0x00100400, 0x2B00, 0}; {0x00203000, 0x27800, 1}; {0x00201200, 0x0E00, 1}}};
		{"pn7412au"; 4; {{0x00100400, 0x2B00, 0}; {0x00203000, 0x27800, 1}; {0x00201200, 0x0E00, 1}}};
		{"pn7462au"; 4; {{0x00100400, 0x2B00, 0}; {0x00203000, 0x27800, 1}; {0x00201200, 0x0E00, 1}}};
		{"pn7640"; 11; {{0x20003000, 0x5000, 0}; {0x00218000, 0x1E000, 1}}};
		{"pn7642"; 11; {{0x20003000, 0x5000, 0}; {0x00208000, 0x2D000, 1}}};
		{"qn9020"; 4; {{0x10008000, 0x8000, 0}}};
		{"qn9030"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x50000, 1}}};
		{"qn9030t"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x50000, 1}}};
		{"qn9080a"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"qn9080a (allow crp)"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"qn9080b"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"qn9080b (allow crp)"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"qn9080c"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"qn9080c (allow crp)"; 8; {{0x20000000, 0x20000, 0}; {0x01000000, 0x80000, 1}}};
		{"qn9090"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"qn9090t"; 8; {{0x04000000, 0x16000, 0}; {0x00000000, 0x9DE00, 1}}};
		{"rw610"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000000, 1}; {0x18000000, 0x20000000, 1}}};
		{"rw612"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000000, 1}; {0x18000000, 0x20000000, 1}}};
		{"s32k116"; 4; {{0x1FFFFC00, 0x3C00, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x8000, 1}}};
		{"s32k118"; 4; {{0x1FFFFC00, 0x5C00, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x8000, 1}}};
		{"s32k142"; 8; {{0x1FFFC000, 0x7000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32k142w"; 8; {{0x1FFFC000, 0x7000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32k144"; 8; {{0x1FFF8000, 0xF000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32k144w"; 8; {{0x1FFF8000, 0xF000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32k146"; 8; {{0x1FFF0000, 0x1F000, 0}; {0x00000000, 0x100000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32k148"; 8; {{0x1FFE0000, 0x3F000, 0}; {0x00000000, 0x180000, 1}; {0x10000000, 0x80000, 1}}};
		{"s32k311"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x80000, 1}; {0x00480000, 0x74000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32k312"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k314"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0x100000, 1}; {0x00600000, 0x100000, 1}; {0x00700000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k322"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k322_m7_1"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k324"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0x100000, 1}; {0x00600000, 0x100000, 1}; {0x00700000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k324_m7_1"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0x100000, 1}; {0x00600000, 0x100000, 1}; {0x00700000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k342"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k344"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x100000, 1}; {0x00500000, 0x100000, 1}; {0x00600000, 0x100000, 1}; {0x00700000, 0xF4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k358"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x200000, 1}; {0x00600000, 0x200000, 1}; {0x00800000, 0x200000, 1}; {0x00A00000, 0x1F4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32k388"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x200000, 1}; {0x00600000, 0x200000, 1}; {0x00800000, 0x200000, 1}; {0x00A00000, 0x1F4000, 1}; {0x10000000, 0x20000, 1}}};
		{"s32m241"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32m242"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32m243"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32m244"; 8; {{0x1FFFC000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32m276"; 9; {{0x20000000, 0x8000, 0}; {0x00400000, 0x80000, 1}; {0x00480000, 0x74000, 1}; {0x10000000, 0x10000, 1}}};
		{"s32v232_a53_a0"; 24; {{0x00000000, 0x0000, 0}}};
		{"s32v232_a53_b0"; 24; {{0x00000000, 0x0000, 0}}};
		{"s32v234_a53_a0"; 24; {{0x00000000, 0x0000, 0}}};
		{"s32v234_a53_a1"; 24; {{0x00000000, 0x0000, 0}}};
		{"s32v234_a53_b0"; 24; {{0x00000000, 0x0000, 0}}};
		{"s32v234_a53_b1"; 24; {{0x00000000, 0x0000, 0}}};
		{"s9keaz128xxxx"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"s9keaz64xxxx"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"s9keazn16xxxx"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"s9keazn32xxxx"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"s9keazn64xxxx"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"s9keazn8xxxx"; 4; {{0x1FFFFF00, 0x0400, 0}; {0x00000000, 0x2000, 1}}};
		{"skeaz128xxx4"; 4; {{0x1FFFF000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"skeaz64xxx4"; 4; {{0x1FFFF800, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"skeazn16xxx2"; 4; {{0x1FFFFE00, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"skeazn32xxx2"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x8000, 1}}};
		{"skeazn64xxx2"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"skeazn8xxx4"; 4; {{0x1FFFFF00, 0x0400, 0}; {0x00000000, 0x2000, 1}}};
		{"vf3xx"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf3xxr_a5"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf3xxr_a5_parallelmode"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf3xxr_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"vf4xx"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf5xx"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf5xxr_a5"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf5xxr_a5_parallelmode"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf5xxr_m4"; 8; {{0x3F000000, 0x40000, 0}}};
		{"vf6xx_a5"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf6xx_a5_parallelmode"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf6xx_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"vf7xx_a5"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf7xx_a5_parallelmode"; 15; {{0x3F000000, 0x40000, 0}; {0x20000000, 0x4000000, 1}}};
		{"vf7xx_m4"; 8; {{0x00000000, 0x0000, 0}}};
		{"wpr1516"; 4; {{0x1FFFFC00, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
	};
	["Panasonic"] = {
		{"mn1m7af00k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af00m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af00n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af01k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af01m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af01n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af02k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af02m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af02n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af03k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af03m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af03n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af10k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af10m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af10n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af11k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af11m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af11n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af12k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af12m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af12n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af13k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af13m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af13n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af50k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af50m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af50n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af51k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af51m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af51n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af52k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af52m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af52n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af53k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af53m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af53n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af60k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af60m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af60n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af61k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af61m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af61n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af62k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af62m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af62n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af63k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af63m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7af63n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf00k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf00m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf00n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf01k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf01m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf01n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf02k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf02m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf02n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf03k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf03m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf03n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf10k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf10m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf10n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf11k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf11m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf11n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf12k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf12m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf12n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf13k"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x40000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf13m"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x60000, 1}; {0x10800000, 0x10000, 1}}};
		{"mn1m7bf13n"; 9; {{0x20000000, 0x10000, 0}; {0x00800000, 0x80000, 1}; {0x10800000, 0x10000, 1}}};
	};
	["Raspberry PI"] = {
		{"rp2040_m0_0"; 4; {{0x20010000, 0x10000, 0}; {0x10000000, 0x4000000, 1}}};
		{"rp2040_m0_1"; 4; {{0x20010000, 0x10000, 0}; {0x10000000, 0x4000000, 1}}};
	};
	["Realtek"] = {
		{"rtl8720df"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl8720dm"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl8720dn"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl8721df"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl8721dm"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl8722dm"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl872xcs"; 10; {{0x00080000, 0x10000, 0}; {0x08000000, 0x1000000, 1}}};
		{"rtl8762a"; 4; {{0x20000000, 0x20000, 0}; {0x00500000, 0x40000, 1}}};
	};
	["Renesas"] = {
		{"da14592"; 11; {{0x20000000, 0x18000, 0}; {0x31000000, 0x40000, 1}; {0x32000000, 0x2000000, 1}}};
		{"da14701"; 11; {{0x10000000, 0x10000, 0}; {0x38000000, 0x8000000, 1}}};
		{"da14705"; 11; {{0x10000000, 0x10000, 0}; {0x38000000, 0x8000000, 1}}};
		{"da14706"; 11; {{0x10000000, 0x10000, 0}; {0x38000000, 0x8000000, 1}}};
		{"da14708"; 11; {{0x10000000, 0x10000, 0}; {0x38000000, 0x8000000, 1}}};
		{"r-in32m3-cl"; 7; {{0x20000000, 0x80000, 0}; {0x02000000, 0x2000000, 1}}};
		{"r-in32m3-ec"; 7; {{0x20000000, 0x80000, 0}; {0x02000000, 0x2000000, 1}}};
		{"r-in32m4-cl3"; 8; {{0x20000000, 0x80000, 0}; {0x02000000, 0x800000, 1}}};
		{"r7f0e0108"; 4; {{0x20000000, 0x20000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x40000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7f0e0118"; 4; {{0x20000000, 0x20000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x40000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7f0e014d"; 4; {{0x20000000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x180000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7f0e015d"; 4; {{0x20000000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x180000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7f0e016d"; 4; {{0x20000000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x180000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7f0e017d"; 4; {{0x20000000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x180000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7f0e01bd"; 4; {{0x20000000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x180000, 1}}};
		{"r7fa2a1ab"; 10; {{0x20000000, 0x8000, 0}; {0x01010008, 0x002C, 1}; {0x00000000, 0x40000, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa2e1a5"; 10; {{0x20004000, 0x4000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x8000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fa2e1a7"; 10; {{0x20004000, 0x4000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x10000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fa2e1a8"; 10; {{0x20004000, 0x4000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x18000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fa2e1a9"; 10; {{0x20004000, 0x4000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x20000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fa2e2a3"; 10; {{0x20004000, 0x2000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x4000, 1}; {0x40100000, 0x0800, 1}}};
		{"r7fa2e2a5"; 10; {{0x20004000, 0x2000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x8000, 1}; {0x40100000, 0x0800, 1}}};
		{"r7fa2e2a7"; 10; {{0x20004000, 0x2000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x10000, 1}; {0x40100000, 0x0800, 1}}};
		{"r7fa2e305"; 10; {{0x20004000, 0x2000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x8000, 1}; {0x40100000, 0x0800, 1}}};
		{"r7fa2e307"; 10; {{0x20004000, 0x2000, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x10000, 1}; {0x40100000, 0x0800, 1}}};
		{"r7fa2l1a9"; 10; {{0x20000000, 0x2E00, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x20000, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa2l1ab"; 10; {{0x20000000, 0x2E00, 0}; {0x01010010, 0x0024, 1}; {0x00000000, 0x40000, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa4e10b"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4e10b_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4e10d"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4e10d_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4e2b9"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x20000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa4e2b9_ramless"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x20000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa4m1ab"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa4m2ab"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2ab_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2ac"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x60000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2ac_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x60000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2ad"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2ad_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2af"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m2af_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m3ad"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m3ad_ramless"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m3ae"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0xC0000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m3ae_ramless"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0xC0000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m3af"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4m3af_ramless"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa4t1b9"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x20000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa4t1b9_ramless"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x20000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa4t1bb"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa4t1bb_ramless"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa4w1ad"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa4w1ad2cng"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa6e10d"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e10d_ramless"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e10f"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e10f_ramless"; 11; {{0x2001D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e2b9"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x20000, 1}; {0x08000000, 0x1000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e2b9_ramless"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x20000, 1}; {0x08000000, 0x1000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e2bb"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x1000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6e2bb_ramless"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x1000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m1ad"; 8; {{0x1FFE0000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x80000, 1}; {0x40100000, 0x2000, 1}; {0x28000000, 0x4000000, 1}}};
		{"r7fa6m2ad"; 8; {{0x1FFE0000, 0x60000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x80000, 1}; {0x40100000, 0x8000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m2af"; 8; {{0x1FFE0000, 0x60000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x100000, 1}; {0x40100000, 0x8000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m3af"; 8; {{0x1FFE0000, 0xA0000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x100000, 1}; {0x40100000, 0x10000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m3ah"; 8; {{0x1FFE0000, 0xA0000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x200000, 1}; {0x40100000, 0x10000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m4ad"; 11; {{0x2003D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m4ad_ramless"; 11; {{0x2003D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m4ae"; 11; {{0x2003D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0xC0000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m4ae_ramless"; 11; {{0x2003D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0xC0000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m4af"; 11; {{0x2003D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m4af_ramless"; 11; {{0x2003D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5ag"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x180000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5ag_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x180000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5ah"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x200000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5ah_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x200000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5bf"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5bf_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x100000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5bg"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x180000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5bg_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x180000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5bh"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x200000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6m5bh_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x200000, 1}; {0x08000000, 0x2000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fa6t1ab"; 8; {{0x1FFE0000, 0x8000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x40000, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa6t1ad"; 8; {{0x1FFE0000, 0x8000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x80000, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fa6t2ab"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2ab_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2ad"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2ad_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2bb"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2bb_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2bd"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2bd_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2cb"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2cb_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2cd"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2cd_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2db"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2db_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t2dd"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x4000, 1}}};
		{"r7fa6t2dd_ramless"; 11; {{0x2000D000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x80000, 1}; {0x08000000, 0x2000, 1}}};
		{"r7fa6t3bb"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa6t3bb_ramless"; 11; {{0x20007000, 0x3000, 0}; {0x0100A100, 0x0200, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x1000, 1}}};
		{"r7fa8d1af"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x100000, 1}; {0x12000000, 0x100000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8d1ah"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x1E0000, 1}; {0x12000000, 0x1E0000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8d1bf"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x100000, 1}; {0x12000000, 0x100000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8d1bh"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x1E0000, 1}; {0x12000000, 0x1E0000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8m1af"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x100000, 1}; {0x12000000, 0x100000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8m1ah"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x1E0000, 1}; {0x12000000, 0x1E0000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8t1af"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x100000, 1}; {0x12000000, 0x100000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fa8t1ah"; 14; {{0x22000000, 0x10000, 0}; {0x0300A100, 0x0080, 1}; {0x0300A200, 0x0100, 1}; {0x1300A180, 0x0080, 1}; {0x27030080, 0x02E0, 1}; {0x02000000, 0x1E0000, 1}; {0x12000000, 0x1E0000, 1}; {0x27000000, 0x3000, 1}; {0x37000000, 0x3000, 1}; {0x80000000, 0x10000000, 1}; {0x90000000, 0x10000000, 1}}};
		{"r7fs12476"; 4; {{0x20000000, 0x4000, 0}; {0x01010008, 0x0030, 1}; {0x00000000, 0x10000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fs12477"; 4; {{0x20000000, 0x4000, 0}; {0x01010008, 0x0030, 1}; {0x00000000, 0x20000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fs12877"; 4; {{0x20000000, 0x6000, 0}; {0x01010008, 0x0030, 1}; {0x00000000, 0x20000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fs12878"; 4; {{0x20000000, 0x6000, 0}; {0x01010008, 0x0030, 1}; {0x00000000, 0x40000, 1}; {0x40100000, 0x1000, 1}}};
		{"r7fs1ja78"; 10; {{0x20000000, 0x8000, 0}; {0x01010008, 0x002C, 1}; {0x00000000, 0x40000, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fs3a17c"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}; {0x60000000, 0x1000000, 1}}};
		{"r7fs3a37a"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}; {0x60000000, 0x1000000, 1}}};
		{"r7fs3a678"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}}};
		{"r7fs3a77c"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x4000, 1}; {0x60000000, 0x1000000, 1}}};
		{"r7fs5d37a"; 8; {{0x1FFE0000, 0x40000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x80000, 1}; {0x40100000, 0x2000, 1}; {0x28000000, 0x4000000, 1}}};
		{"r7fs5d57a"; 8; {{0x1FFE0000, 0x60000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x80000, 1}; {0x40100000, 0x8000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fs5d57c"; 8; {{0x1FFE0000, 0x60000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x100000, 1}; {0x40100000, 0x8000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fs5d97c"; 8; {{0x1FFE0000, 0xA0000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x100000, 1}; {0x40100000, 0x10000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fs5d97e"; 8; {{0x1FFE0000, 0xA0000, 0}; {0x0100A150, 0x0020, 1}; {0x00000000, 0x200000, 1}; {0x40100000, 0x10000, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fs7g27g"; 8; {{0x1FFE0000, 0xA0000, 0}; {0x00000000, 0x300000, 1}; {0x40100000, 0x10000, 1}; {0x40120040, 0x0030, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7fs7g27h"; 8; {{0x1FFE0000, 0xA0000, 0}; {0x00000000, 0x400000, 1}; {0x40100000, 0x10000, 1}; {0x40120040, 0x0030, 1}; {0x60000000, 0x4000000, 1}}};
		{"r7s721000"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721000_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721001"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721001_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721010"; 18; {{0x00000000, 0x0000, 0}}};
		{"r7s721011"; 18; {{0x00000000, 0x0000, 0}}};
		{"r7s721020"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721020_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721021"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721021_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721030"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721030_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721031"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721031_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721034"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s721034_dualspi"; 18; {{0x20020000, 0xE0000, 0}; {0x18000000, 0x4000000, 1}}};
		{"r7s910001"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910002"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910006"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910007"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910011"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910013"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910015_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910015_r4f"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910016_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910016_r4f"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910017_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910017_r4f"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910018_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910018_r4f"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910020"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910021"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910022"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910023"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910025"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910026"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910027"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910028"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910035"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910036"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910101"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910102"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910106"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910107"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910111"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910113"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910115"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910115_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910116"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910116_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910117"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910117_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910118"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910118_m3"; 7; {{0x00000000, 0x80000, 0}}};
		{"r7s910120"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910121"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910122"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910123"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910125"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910126"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910127"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910128"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910135"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s910136"; 32; {{0x24000000, 0x80000, 0}; {0x30000000, 0x4000000, 1}}};
		{"r7s921040vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921041vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921042vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921043vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921045vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921046vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921047vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921048vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921051vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921052vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921053vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921056vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921057vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r7s921058vcbg"; 18; {{0x80020000, 0x60000, 0}; {0x20000000, 0x10000000, 1}; {0x30000000, 0x4000000, 1}; {0x50000000, 0x4000000, 1}}};
		{"r8a77430_core0"; 20; {{0xE63A0000, 0x8000, 0}}};
		{"r8a77430_core1"; 20; {{0xE63A0000, 0x8000, 0}}};
		{"r8a77450_core0"; 16; {{0xE63A0000, 0x8000, 0}}};
		{"r8a77450_core1"; 16; {{0xE63A0000, 0x8000, 0}}};
		{"r9a02g020"; 38; {{0x20004000, 0x3000, 0}; {0x01010008, 0x0010, 1}; {0x00000000, 0xC000, 1}}};
		{"r9a06g032"; 16; {{0x00000000, 0x0000, 0}}};
		{"r9a06g032_a7cpu0"; 16; {{0x00000000, 0x0000, 0}}};
		{"r9a06g032_a7cpu1"; 16; {{0x00000000, 0x0000, 0}}};
		{"r9a06g032_m3"; 7; {{0x00000000, 0x0000, 0}}};
		{"r9a06g033"; 16; {{0x00000000, 0x0000, 0}}};
		{"r9a06g033_a7"; 16; {{0x00000000, 0x0000, 0}}};
		{"r9a06g033_m3"; 7; {{0x00000000, 0x0000, 0}}};
		{"r9a06g034"; 7; {{0x00000000, 0x0000, 0}}};
		{"r9a06g150"; 38; {{0x20004000, 0x3000, 0}; {0x0100A100, 0x0300, 1}; {0x00000000, 0x40000, 1}; {0x08000000, 0x4000, 1}}};
		{"r9a07g043u11"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g043u12"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044c12"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044c22"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044l"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044l13"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044l14"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044l23"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044l24"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g044lc"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g054l"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g054l13"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g054l14"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g054l23"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g054l24"; 11; {{0x00000000, 0x0000, 0}}};
		{"r9a07g063u01gbg"; 25; {{0x00010000, 0x10000, 0}; {0x20000000, 0x1000000, 1}}};
		{"r9a07g063u02gbg"; 25; {{0x00010000, 0x10000, 0}; {0x20000000, 0x1000000, 1}}};
		{"r9a07g074m01"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g074m04"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g074m05"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g074m08"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m01"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m05"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m0_core1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m2"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m21_cpu0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m21_cpu1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m22_cpu0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m22_cpu1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m24_cpu0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m24_cpu1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m26_cpu0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m26_cpu1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m27_cpu0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m27_cpu1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m28_cpu0"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x100000, 1}}};
		{"r9a07g075m28_cpu1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g075m2_core1"; 36; {{0x00000000, 0x0000, 0}}};
		{"r9a07g084m04"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x1000000, 1}}};
		{"r9a07g084m08"; 36; {{0x10000000, 0x8000, 0}; {0x60000000, 0x8000000, 1}; {0x68000000, 0x8000000, 1}; {0x70000000, 0x1000000, 1}}};
		{"ra4w1"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x01010008, 0x002C, 1}; {0x40100000, 0x2000, 1}}};
		{"raa305350gbm"; 4; {{0x00010000, 0x2000, 0}; {0x00000000, 0xC000, 1}}};
		{"zamc4100"; 4; {{0x20000000, 0x0800, 0}; {0x10000000, 0x8000, 1}}};
		{"zamc4200"; 4; {{0x20000000, 0x0800, 0}; {0x10000000, 0x8000, 1}}};
		{"zssc1956"; 4; {{0x20000000, 0x2000, 0}; {0x10000000, 0x18000, 1}}};
	};
	["SemiDrive"] = {
		{"d3246"; 33; {{0x00400000, 0x100000, 0}; {0x10000000, 0x8000000, 1}}};
		{"d3248"; 33; {{0x00400000, 0x100000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3104"; 33; {{0x00500000, 0x20000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3106"; 33; {{0x00500000, 0x20000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3110"; 33; {{0x00400000, 0x100000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3205"; 33; {{0x00500000, 0x80000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3206"; 33; {{0x00500000, 0x80000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3210"; 33; {{0x00400000, 0x100000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3340"; 33; {{0x00400000, 0x100000, 0}; {0x10000000, 0x8000000, 1}}};
		{"e3420"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3420_cpu1"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3420_cpu2"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3430"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3430_cpu1"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3430_cpu2"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3640"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3640_cpu1"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3640_cpu2"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3640_cpu3"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3640_cpu4"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3648"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3648_cpu1"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3648_cpu2"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3648_cpu3"; 33; {{0x00400000, 0x100000, 0}}};
		{"e3648_cpu4"; 33; {{0x00400000, 0x100000, 0}}};
	};
	["SiFive"] = {
		{"e20"; 38; {{0x00000000, 0x0000, 0}}};
		{"e21"; 38; {{0x00000000, 0x0000, 0}}};
		{"e21arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"e24"; 38; {{0x00000000, 0x0000, 0}}};
		{"e24arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"e31arty"; 38; {{0x80000000, 0x4000, 0}; {0x40000000, 0x8000000, 1}}};
		{"e34"; 38; {{0x00000000, 0x0000, 0}}};
		{"e34arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"e61"; 38; {{0x00000000, 0x0000, 0}}};
		{"e61-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"e76"; 38; {{0x00000000, 0x0000, 0}}};
		{"e76-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"e76arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"fe310"; 38; {{0x80000000, 0x4000, 0}; {0x20000000, 0x20000000, 1}}};
		{"p270"; 38; {{0x00000000, 0x0000, 0}}};
		{"p550"; 38; {{0x00000000, 0x0000, 0}}};
		{"s21"; 38; {{0x00000000, 0x0000, 0}}};
		{"s21arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"s51"; 38; {{0x00000000, 0x0000, 0}}};
		{"s51arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"s54"; 38; {{0x00000000, 0x0000, 0}}};
		{"s54arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"s61"; 38; {{0x00000000, 0x0000, 0}}};
		{"s61-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"s76"; 38; {{0x00000000, 0x0000, 0}}};
		{"s76-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"s76arty"; 38; {{0x80000000, 0x4000, 0}}};
		{"u54"; 38; {{0x00000000, 0x0000, 0}}};
		{"u54-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"u64"; 38; {{0x00000000, 0x0000, 0}}};
		{"u64-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"u74"; 38; {{0x00000000, 0x0000, 0}}};
		{"u74-mc"; 38; {{0x00000000, 0x0000, 0}}};
		{"x280"; 38; {{0x00000000, 0x0000, 0}}};
		{"x280-mc"; 38; {{0x00000000, 0x0000, 0}}};
	};
	["Silicon Labs"] = {
		{"bgm111"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm111a256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm111a256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm113"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm113a256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm113a256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm11s"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm11s12f256ga"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm11s22f256ga"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm121"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm121a256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm121a256v1"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm121a256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm121n256v1"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm121n256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm123"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm123a256v1"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm123a256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm123n256v1"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm123n256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"bgm13p22f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"bgm13p32f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"bgm13s22f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"bgm13s32f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"bgm210l022"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210la22"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210p022"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210p032"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210pa22"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210pa32"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210pb22"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm210pb32"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220pc22hna"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220pc22wga"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220sc12wga"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220sc12wga2"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220sc22hna"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220sc22hna2"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220sc22wga"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm220sc22wga2"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240pa22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240pa32vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240pa32vnn"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240pb22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240pb32vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240pb32vnn"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240sa22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm240sb22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"bgm241sb22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32g200f16"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g200f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g200f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g210f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g222f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g222f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g222f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g230f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g230f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g230f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g232f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g232f16"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g232f32"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g232f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g280f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g280f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g280f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g290f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g290f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g290f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g800f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g840f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g840f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g840f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g842f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g842f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g842f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g880f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g880f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g880f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g890f128"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g890f32"; 7; {{0x10000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32g890f64"; 7; {{0x10000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32gg11b110f2048"; 8; {{0x20000000, 0x60000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b120f2048"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b310f2048"; 8; {{0x20000000, 0x60000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b320f2048"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b420f2048"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b510f2048"; 8; {{0x20000000, 0x60000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b520f2048"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b820f2048"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg11b840f1024"; 8; {{0x20000000, 0x80000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x1000, 1}; {0x0FE04000, 0x1000, 1}; {0x0FE10000, 0x8000, 1}}};
		{"efm32gg12b110f1024"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b130f512"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b310f1024"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b330f512"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b390f1024"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b390f512"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b410f1024"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b430f512"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b510f1024"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b530f512"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b810f1024"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg12b830f512"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0xA000, 1}}};
		{"efm32gg230f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg230f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg232f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg232f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg280f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg280f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg290f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg290f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg295f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg295f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg330f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg330f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg332f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg332f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg380f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg380f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg390f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg390f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg395f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg395f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg840f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg840f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg842f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg842f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg880f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg880f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg890f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg890f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg895f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg895f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg900f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg900f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg940f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg940f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg942f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg942f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg980f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg980f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg990f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg990f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg995f1024"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32gg995f512"; 7; {{0x10000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32hg108f32"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg108f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg110f32"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg110f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg210f32"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg210f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg222f32"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg222f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg308f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg308f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg309f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg309f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg310f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg310f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg321f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg321f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg322f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg322f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg350f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32hg350f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32jg12bxxxf1024"; 7; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efm32jg13bxxxf256"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efm32jg13bxxxf512"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efm32jg1b100f128gm32"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1b100f256gm32"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1b200f128gm32"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1b200f128gm48"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1b200f256gm32"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1b200f256gm48"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1bxxxf128"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32jg1bxxxf256"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg230f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg230f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg230f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg232f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg232f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg232f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg280f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg280f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg280f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg290f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg290f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg290f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg295f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg295f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg295f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg330f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg330f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg330f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg332f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg332f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg332f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg360f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg360f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg360f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg380f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg380f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg380f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg390f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg390f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg390f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg395f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg395f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg395f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg840f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg840f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg840f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg842f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg842f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg842f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg880f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg880f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg880f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg890f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg890f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg890f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg895f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg895f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg895f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg900f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg940f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg940f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg940f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg942f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg942f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg942f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg980f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg980f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg980f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg990f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg990f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg990f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg995f128"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg995f256"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32lg995f64"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg12bxxxf1024"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efm32pg12bxxxf512"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efm32pg13bxxxf256"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efm32pg13bxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efm32pg1b100f128gm32"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1b100f256gm32"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1b200f128gm32"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1b200f128gm48"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1b200f256gm32"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1b200f256gm48"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1bxxxf128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg1bxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32pg22cxxxf128"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg22cxxxf256"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg22cxxxf32"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg22cxxxf512"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg22cxxxf64"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg23bxxxf128"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg23bxxxf256"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg23bxxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32pg23bxxxf64"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efm32tg108f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg108f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg108f4"; 7; {{0x10000000, 0x0400, 0}; {0x00000000, 0x1000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg108f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg110f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg110f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg110f4"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x1000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg110f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg11b120f128"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efm32tg11b140f64"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efm32tg11b320f128"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efm32tg11b340f64"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efm32tg11b520f128"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efm32tg11b540f64"; 4; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efm32tg210f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg210f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg210f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg222f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg222f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg222f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg225f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg225f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg225f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg230f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg230f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg230f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg232f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg232f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg232f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg822f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg822f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg822f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg825f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg825f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg825f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg840f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg840f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg840f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg842f16"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg842f32"; 7; {{0x10000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32tg842f8"; 7; {{0x10000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0200, 1}; {0x0FE04000, 0x0200, 1}}};
		{"efm32wg230f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg230f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg230f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg232f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg232f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg232f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg280f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg280f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg280f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg290f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg290f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg290f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg295f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg295f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg295f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg330f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg330f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg330f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg332f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg332f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg332f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg360f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg360f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg360f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg380f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg380f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg380f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg390f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg390f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg390f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg395f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg395f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg395f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg840f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg840f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg840f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg842f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg842f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg842f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg880f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg880f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg880f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg890f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg890f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg890f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg895f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg895f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg895f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg900f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg940f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg940f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg940f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg942f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg942f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg942f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg980f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg980f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg980f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg990f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg990f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg990f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg995f128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg995f256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32wg995f64"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"efm32zg108f16"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg108f32"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg108f4"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg108f8"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg110f16"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg110f32"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg110f4"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg110f8"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg210f16"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg210f32"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg210f4"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg210f8"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg222f16"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg222f32"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg222f4"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x1000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efm32zg222f8"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"efr32bg12pxxxf1024"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efr32bg12pxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efr32bg13pxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32bg14pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32bg1bxxxf0"; 8; {{0x00000000, 0x0000, 0}}};
		{"efr32bg1bxxxf128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32bg1bxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32bg1pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32bg1vxxxf0"; 8; {{0x00000000, 0x0000, 0}}};
		{"efr32bg1vxxxf128"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32bg1vxxxf256"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32bg21axxxf1024"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg21axxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg21axxxf768"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0xC0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg21bxxxf1024"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg21bxxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg21bxxxf768"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0xC0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg22cxxxf352"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg22cxxxf512"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg24axxxf1024"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg24axxxf1536"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg24bxxxf1024"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg24bxxxf1536"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32bg27cxxxf768"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0xC0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg12pxxxf1024"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efr32fg12pxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efr32fg13pxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg14pxxxf128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32fg14pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32fg1pxxxf128"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32fg1pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg1pxxxf64"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg1vxxxf128"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg1vxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg1vxxxf32"; 8; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg1vxxxf64"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32fg22cxxxf256"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg22cxxxf512"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg23axxxf128"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg23axxxf256"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg23axxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg23bxxxf128"; 11; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg23bxxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg25axxxf1152"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x120000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg25axxxf1920"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x1E0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg25bxxxf1152"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x120000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg25bxxxf1920"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x1E0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg28axxxf1024"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32fg28bxxxf1024"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg12pxxxf1024"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efr32mg12pxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"efr32mg13pxxxf512"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32mg14pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32mg1bxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32mg1pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32mg1vxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"efr32mg21axxxf1024"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg21axxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg21axxxf768"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0xC0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg21bxxxf1024"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg21bxxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg21bxxxf768"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0xC0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg22cxxxf352"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg22cxxxf512"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg24axxxf1024"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg24axxxf1536"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg24bxxxf1024"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg24bxxxf1536"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32mg27cxxxf768"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0xC0000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32sg28bxxxf1024"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32zg14pxxxf256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4800, 1}}};
		{"efr32zg23axxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32zg23bxxxf512"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32zg28axxxf1024"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"efr32zg28bxxxf1024"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"em351"; 7; {{0x20000000, 0x3000, 0}; {0x08000000, 0x20000, 1}}};
		{"em351 (allow cib)"; 7; {{0x20000000, 0x3000, 0}; {0x08000000, 0x20000, 1}; {0x08040800, 0x0800, 1}}};
		{"em357"; 7; {{0x20000000, 0x3000, 0}; {0x08000000, 0x30000, 1}}};
		{"em357 (allow cib)"; 7; {{0x20000000, 0x3000, 0}; {0x08000000, 0x30000, 1}; {0x08040800, 0x0800, 1}}};
		{"em3581"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"em3581 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3582"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"em3582 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3585"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3585 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3586"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3586 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3587"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3587 (allow cib)"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3588"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3588 (allow cib)"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3591"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"em3591 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3592"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"em3592 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3595"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3595 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3596"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3596 (allow cib)"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3597"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3597 (allow cib)"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"em3598"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}}};
		{"em3598 (allow cib)"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x08080800, 0x0800, 1}}};
		{"ezr32hg220f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"ezr32hg220f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"ezr32hg320f32"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"ezr32hg320f64"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0400, 1}; {0x0FE04000, 0x0400, 1}}};
		{"ezr32lg230f128rxx"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32lg230f256rxx"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32lg230f64rxx"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32lg330f128rxx"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32lg330f256rxx"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32lg330f64rxx"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32wg230f128rxx"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32wg230f256rxx"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32wg230f64rxx"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32wg330f128rxx"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32wg330f256rxx"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"ezr32wg330f64rxx"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"fgm230sa27hgn"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"fgm230sb27hgn"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm111"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"mgm111a256"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"mgm111a256v1"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"mgm111a256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"mgm111e256v1"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"mgm111e256v2"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}}};
		{"mgm12p"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm12p02f1024ga"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm12p02f1024ge"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm12p22f1024ga"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm12p22f1024ge"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm12p32f1024ga"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm12p32f1024ge"; 8; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x9800, 1}}};
		{"mgm13p02f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13p02f512ge"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13p12f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13p12f512ge"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13s02f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13s02f512gn"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13s12f512ga"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm13s12f512gn"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"mgm210l022"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210la22"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210p022"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210p032"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210pa22"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210pa32"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210pb22"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm210pb32"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm220pc22hna"; 11; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240l022rnf"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240l022vnf"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240pa22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240pa32vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240pa32vnn"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240pb22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240pb32vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240pb32vnn"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240sa22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240sb22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"mgm240sd22vna"; 11; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"rm21z000f1024im32"; 11; {{0x20000000, 0x18000, 0}; {0x00000000, 0x100000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"rs9116c-sb01-b00"; 8; {{0x00200000, 0x20000, 0}; {0x08012000, 0xEE000, 1}}};
		{"rs9116c-sb01-qms"; 8; {{0x00200000, 0x20000, 0}; {0x08012000, 0xEE000, 1}}};
		{"sim3c134"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c136"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c144"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c146"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c154"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c156"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c157"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3c164"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3c166"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3c167"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3l134"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l136"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l144"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l146"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l154"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l156"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l157"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3l164"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3l166"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3l167"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3u134"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u136"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u144"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u146"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u154"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u156"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u157"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x0003FFFC, 0x0004, 1}}};
		{"sim3u164"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3u166"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"sim3u167"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"zgm130s"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"zgm130s037hgn"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"zgm130s037hgn1"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x0FE00000, 0x0800, 1}; {0x0FE04000, 0x0800, 1}; {0x0FE10000, 0x4000, 1}}};
		{"zgm230sa27hgn"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"zgm230sa27hnn"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"zgm230sb27hgn"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
		{"zgm230sb27hnn"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0FE00000, 0x0400, 1}}};
	};
	["Sonix"] = {
		{"sn32f706"; 4; {{0x00000000, 0x0000, 0}}};
		{"sn32f707"; 4; {{0x00000000, 0x0000, 0}}};
	};
	["ST"] = {
		{"bluenrg-132"; 4; {{0x20000000, 0x3000, 0}; {0x10040000, 0x28000, 1}}};
		{"bluenrg-134"; 4; {{0x20000000, 0x3000, 0}; {0x10040000, 0x28000, 1}}};
		{"bluenrg-232"; 4; {{0x20000000, 0x3000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-234"; 4; {{0x20000000, 0x3000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-248"; 4; {{0x20000000, 0x3000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-332ac"; 4; {{0x20000000, 0x6000, 0}; {0x10040000, 0x30000, 1}}};
		{"bluenrg-332at"; 4; {{0x20000000, 0x6000, 0}; {0x10040000, 0x30000, 1}}};
		{"bluenrg-332vc"; 4; {{0x20000000, 0x6000, 0}; {0x10040000, 0x30000, 1}}};
		{"bluenrg-332vt"; 4; {{0x20000000, 0x6000, 0}; {0x10040000, 0x30000, 1}}};
		{"bluenrg-345ac"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-345at"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-345mc"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-345mt"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-345vc"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-345vt"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-355ac"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-355at"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-355mc"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-355mt"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-355vc"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"bluenrg-355vt"; 4; {{0x20000000, 0x8000, 0}; {0x10040000, 0x40000, 1}}};
		{"lis331eb"; 4; {{0x20000000, 0x10000, 0}; {0x10010000, 0x10000, 1}}};
		{"sr5e1e3_0"; 9; {{0x24000000, 0x8000, 0}; {0x08000000, 0xF0000, 1}; {0x080F0000, 0xF0000, 1}; {0x08F00000, 0x10000, 1}; {0x18000000, 0x28000, 1}; {0x18F00000, 0x8000, 1}}};
		{"sr5e1e3_1"; 9; {{0x24000000, 0x8000, 0}}};
		{"sr5e1e7_0"; 9; {{0x24000000, 0x8000, 0}; {0x08000000, 0xF0000, 1}; {0x080F0000, 0xF0000, 1}; {0x08F00000, 0x10000, 1}; {0x18000000, 0x28000, 1}; {0x18F00000, 0x8000, 1}}};
		{"sr5e1e7_1"; 9; {{0x24000000, 0x8000, 0}}};
		{"sr6g7c6_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28A00000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x28E00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6g7c6_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c6_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c6_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c6_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c6_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c6_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c8_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28A00000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x28E00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6g7c8_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c8_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c8_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c8_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c8_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6g7c8_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c4_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6p6c4_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c4_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c4_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c4_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c4_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c4_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c8_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6p6c8_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c8_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c8_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c8_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c8_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p6c8_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c4_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28A00000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x28E00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6p7c4_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c4_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c4_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c4_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c4_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c4_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c8_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28A00000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x28E00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6p7c8_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c8_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c8_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c8_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c8_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p7c8_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p7g7x_cluster_0_r52_0"; 36; {{0x60000000, 0x4000, 0}; {0x28000000, 0x1C0000, 1}; {0x281C0000, 0x200000, 1}; {0x28400000, 0x1C0000, 1}; {0x285C0000, 0x200000, 1}; {0x28800000, 0x200000, 1}; {0x28A00000, 0x200000, 1}; {0x28C00000, 0x200000, 1}; {0x28E00000, 0x200000, 1}; {0x29000000, 0x200000, 1}; {0x29400000, 0x200000, 1}; {0x29E00000, 0x80000, 1}; {0x29F80000, 0x8000, 1}; {0x29FB8000, 0x4000, 1}}};
		{"sr6p7g7x_cluster_0_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7g7x_cluster_1_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7g7x_cluster_1_r52_1"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7g7x_cluster_2_r52_0"; 36; {{0x00000000, 0x0000, 0}}};
		{"sr6p7g7x_dme"; 8; {{0x00000000, 0x0000, 0}}};
		{"sr6p7g7x_dsph"; 8; {{0x00000000, 0x0000, 0}}};
		{"stcomet05"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x000E0000, 0x20000, 1}}};
		{"stcomet10"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"stm32c011d6"; 4; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32c011f4"; 4; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"stm32c011f6"; 4; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32c011j4"; 4; {{0x20000000, 0x1800, 0}; {0x08000000, 0x4000, 1}}};
		{"stm32c011j6"; 4; {{0x20000000, 0x1800, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32c031c4"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x4000, 1}}};
		{"stm32c031c6"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32c031f4"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x4000, 1}}};
		{"stm32c031f6"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32c031g4"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x4000, 1}}};
		{"stm32c031g6"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32c031k4"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x4000, 1}}};
		{"stm32c031k6"; 4; {{0x20000000, 0x3000, 0}; {0x08000000, 0x8000, 1}}};
		{"stm32f030c6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f030c8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f030cc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f030f4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f030k6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f030r8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f030rc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f031c4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f031c6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f031e6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f031f4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f031f6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f031g4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f031g6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f031k4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f031k6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f038c6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f038e6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f038f6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f038g6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f038k6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f042c4"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f042c6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f042f4"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f042f6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f042g4"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f042g6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f042k4"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f042k6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f042t4"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f042t6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f048c6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f048g6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f048t6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f050c4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f050c6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f050f4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f050f6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f050g4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f050g6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f050k4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f050k6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f051c4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f051c6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f051c8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f051k4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f051k6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f051k8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f051r4"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f051r6"; 4; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f051r8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f051t8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f052c8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f052cb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f052r8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f052rb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f052v8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f052vb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f058c8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f058r8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f058t8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f070c6"; 4; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f070cb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f070f6"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f070rb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f071c8"; 4; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f071cb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f071rb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f071v8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f071vb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f072c8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f072cb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f072r8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f072rb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f072v8"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f072vb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f078cb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f078rb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f078vb"; 4; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f091cb"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f091cc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f091rb"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f091rc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f091vb"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f091vc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f098cc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f098rc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f098vc"; 4; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f100c4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f100c6"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f100c8"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f100cb"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f100r4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f100r6"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f100r8"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f100rb"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f100rc"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f100rd"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f100re"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f100v8"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f100vb"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f100vc"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f100vd"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f100ve"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f100zc"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f100zd"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f100ze"; 7; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f101c4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f101c6"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f101c8"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f101cb"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f101r4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f101r6"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f101r8"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f101rb"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f101rc"; 7; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f101rd"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f101re"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f101rf"; 7; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0xC0000, 1}}};
		{"stm32f101rg"; 7; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x100000, 1}}};
		{"stm32f101t4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f101t6"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f101t8"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f101tb"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f101v8"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f101vb"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f101vc"; 7; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f101vd"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f101ve"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f101vf"; 7; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0xC0000, 1}}};
		{"stm32f101vg"; 7; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x100000, 1}}};
		{"stm32f101zc"; 7; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f101zd"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f101ze"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f101zf"; 7; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0xC0000, 1}}};
		{"stm32f101zg"; 7; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x100000, 1}}};
		{"stm32f102c4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f102c6"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f102c8"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f102cb"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f102r4"; 7; {{0x20000000, 0x1000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f102r6"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f102r8"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f102rb"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f103c4"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f103c6"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f103c8"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f103cb"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f103r4"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f103r6"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f103r8"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f103rb"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f103rc"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f103rd"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f103re"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f103rf"; 7; {{0x20000000, 0x18000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0xC0000, 1}}};
		{"stm32f103rg"; 7; {{0x20000000, 0x18000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x100000, 1}}};
		{"stm32f103t4"; 7; {{0x20000000, 0x1800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f103t6"; 7; {{0x20000000, 0x2800, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f103t8"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f103tb"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f103v8"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f103vb"; 7; {{0x20000000, 0x5000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f103vc"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f103vd"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f103ve"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f103vf"; 7; {{0x20000000, 0x18000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0xC0000, 1}}};
		{"stm32f103vg"; 7; {{0x20000000, 0x18000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x100000, 1}}};
		{"stm32f103zc"; 7; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f103zd"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f103ze"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f103zf"; 7; {{0x20000000, 0x18000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0xC0000, 1}}};
		{"stm32f103zg"; 7; {{0x20000000, 0x18000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x100000, 1}}};
		{"stm32f105r8"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f105rb"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f105rc"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f105v8"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f105vb"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f105vc"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f107rb"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f107rc"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f107vb"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f107vc"; 7; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f205rb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205rc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205re"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205rf"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0xC0000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205rg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205vb"; 7; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205vc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205vf"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0xC0000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205vg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205zc"; 7; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205zf"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0xC0000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f205zg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207ic"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207ie"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207if"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0xC0000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207ig"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207vc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207vf"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0xC0000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207vg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207zc"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207zf"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0xC0000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f207zg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f215re"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f215rg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f215ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f215vg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f215ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f215zg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f217ie"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f217ig"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f217ve"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f217vg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f217ze"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f217zg"; 7; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x1FFFC000, 0x0010, 1}}};
		{"stm32f301c6"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f301c8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f301k6"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f301k8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f301r6"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f301r8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f301x4"; 8; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f302c6"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f302c8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f302cb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f302cc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f302k6"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f302k8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f302r6"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f302r8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f302rb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f302rc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f302rd"; 8; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f302re"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f302vb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f302vc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f302vd"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f302ve"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f302x4"; 8; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f302zd"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f302ze"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f303c6"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f303c8"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f303cb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f303cc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f303k6"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f303k8"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f303r6"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f303r8"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f303rb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f303rc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f303rd"; 8; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f303re"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f303vb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f303vc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f303vd"; 8; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f303ve"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f303zd"; 8; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x60000, 1}}};
		{"stm32f303ze"; 8; {{0x20000000, 0x10000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f318c8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f318k8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f328c8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f334c4"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f334c6"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f334c8"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f334k4"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f334k6"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f334k8"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f334r4"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x4000, 1}}};
		{"stm32f334r6"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x8000, 1}}};
		{"stm32f334r8"; 8; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f358cc"; 8; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f358rc"; 8; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f358vc"; 8; {{0x20000000, 0xC000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f372c8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f372cb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f372cc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f372r8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f372rb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f372rc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f372v8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f372vb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f372vc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f373c8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f373cb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f373cc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f373r8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f373rb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f373rc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f373v8"; 8; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32f373vb"; 8; {{0x20000000, 0x6000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32f373vc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f378cc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f378rc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f378vc"; 8; {{0x20000000, 0x8000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32f398ve"; 8; {{0x20000000, 0x14000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x80000, 1}}};
		{"stm32f401cb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32f401cc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32f401cd"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f401ce"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f401rb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32f401rc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32f401rd"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f401re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f401vb"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32f401vc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32f401vd"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f401ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f405oe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f405og"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f405rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f405vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f405zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f407ie"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f407ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f407ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f407vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f407ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f407zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f410c8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32f410cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32f410r8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32f410rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32f410t8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32f410tb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32f411cc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32f411cd"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f411ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f411rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32f411re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f411vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32f411ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f412ce"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f412cg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f412re"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f412rg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f412ve"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f412vg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f412ze"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f412zg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f413cg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f413ch"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f413mg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f413mh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f413rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f413rh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f413vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f413vh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f413zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f413zh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f415og"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f415rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f415vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f415zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f417ie"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f417ig"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f417ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f417vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f417ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f417zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32f423ch"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f423mh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f423rh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f423vh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f423zh"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x180000, 1}}};
		{"stm32f427ag"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f427zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ag"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429be"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429bg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429bi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ie"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ne"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ng"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ni"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ve"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429ze"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f429zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f437zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439bg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439bi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439ng"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439ni"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f439zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f446mc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f446me"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f446rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f446re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f446vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f446ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f446zc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x60000, 1}}};
		{"stm32f446ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32f469ae"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ag"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469be"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469bg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469bi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ie"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ne"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ng"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ni"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ve"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469ze"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f469zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479ag"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479bg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479bi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479ig"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479ii"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479ng"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479ni"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f479zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF7800, 0x0210, 1}}};
		{"stm32f722ic"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722ie"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722rc"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722re"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722vc"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722ve"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722zc"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f722ze"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f723ic"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f723ie"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f723vc"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f723ve"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f723zc"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f723ze"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f730i8"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f730r8"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f730v8"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f730z8"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f732ie"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f732re"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f732ve"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f732ze"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f733ie"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f733ve"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f733ze"; 9; {{0x20020000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f745ie"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f745ig"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f745ve"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f745vg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f745ze"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f745zg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746be"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746bg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746ie"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746ig"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746ne"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746ng"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746ve"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746vg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746ze"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f746zg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f750n8"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f750v8"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f750z8"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756be"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756bg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756ie"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756ig"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756ne"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756ng"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756ve"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756vg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756ze"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f756zg"; 9; {{0x20020000, 0x2C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765bg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765bi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765ig"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765ii"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765ng"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765ni"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765vg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765vi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765zg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f765zi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767bg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767bi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767ig"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767ii"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767ng"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767ni"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767vg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767vi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767zg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f767zi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f768ai"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769ag"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769ai"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769bg"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769bi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769ig"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769ii"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769ng"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f769ni"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f777bi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f777ii"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f777ni"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f777vi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f777zi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f778ai"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f779ai"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f779bi"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f779ii"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32f779ni"; 9; {{0x20020000, 0x5C000, 0}; {0x08000000, 0x200000, 1}; {0x1FFF0000, 0x0020, 1}}};
		{"stm32g030c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g030c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g030f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g030j6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g030k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g030k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g031c4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031f4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031f8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031g4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031g6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031g8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031j4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031j6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031k4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g031y8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041f8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041g6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041g8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041j6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g041y8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g050c6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g050c8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g050f6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g050k6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g050k8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g051c4"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051c6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051c8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051f6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051f8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051g6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051g8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051k4"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051k6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g051k8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061c4"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061c6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061c8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061f6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061f8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061g6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061g8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061k4"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x4000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061k6"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g061k8"; 4; {{0x20000000, 0x4000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g070cb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g070kb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g070rb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g071c6"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071c8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071cb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071eb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071g6"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071g8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071gb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071k6"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071k8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071kb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071r6"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071r8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g071rb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081c8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081cb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081eb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081g8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081gb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081k8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081kb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081r8"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g081rb"; 4; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b0ce"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g0b0ke"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g0b0re"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g0b0ve"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0008, 1}; {0x1FFF7818, 0x0010, 1}; {0x1FFF7848, 0x0010, 1}}};
		{"stm32g0b1cb"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1cc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1ce"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1kb"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1kc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1ke"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1mb"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1mc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1me"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1ne"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1rb"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1rc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1re"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1vb"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1vc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0b1ve"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1cc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1ce"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1kc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1ke"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1mc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1me"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1ne"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1rc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1re"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1vc"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08020000, 0x20000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g0c1ve"; 4; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0068, 1}; {0x1FFF7870, 0x0008, 1}}};
		{"stm32g431c6"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431c8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431k6"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431k8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431m6"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431m8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431mb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431r6"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431r8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431v6"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x8000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431v8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g431vb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g441cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g441kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g441mb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g441rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g441vb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g471cb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471cc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471mb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471mc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471me"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471pb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471pc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471pe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471qb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471qc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471qe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471rb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471vb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g471ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473cb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473cc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473mb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473mc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473me"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473pb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473pc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473pe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473qb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473qc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473qe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473rb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473vb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g473ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474cb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474cc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474mb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474mc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474me"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474pb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474pc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474pe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474qb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474qc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474qe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474rb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474vb"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x10000, 1}; {0x08040000, 0x10000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x20000, 1}; {0x08040000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g474ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g483ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g483me"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g483pe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g483qe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g483re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g483ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g484ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g484me"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g484pe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g484qe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g484re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g484ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}; {0x08040000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}; {0x1FFFF800, 0x0030, 1}}};
		{"stm32g491cc"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491ce"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491kc"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491ke"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491mc"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491me"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491rc"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491re"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491vc"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g491ve"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g4a1ce"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g4a1ke"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g4a1me"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g4a1re"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32g4a1ve"; 8; {{0x20000000, 0x1C000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32gbk1cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0030, 1}}};
		{"stm32h503cb"; 11; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x0C000000, 0x20000, 1}}};
		{"stm32h503eb"; 11; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x0C000000, 0x20000, 1}}};
		{"stm32h503kb"; 11; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x0C000000, 0x20000, 1}}};
		{"stm32h503rb"; 11; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x0C000000, 0x20000, 1}}};
		{"stm32h562ag"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h562ai"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h562ig"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h562ii"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h562rg"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h562ri"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h562vg"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h562vi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h562zg"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h562zi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h563ag"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h563ai"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h563ig"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h563ii"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h563mi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h563rg"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h563ri"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h563vg"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h563vi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h563zg"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32h563zi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h573ai"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h573ii"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h573mi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h573ri"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h573vi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h573zi"; 11; {{0x20000000, 0x40000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32h723ve"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h723vg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h723ze"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h723zg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h725ae"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h725ag"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h725ie"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h725ig"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h725re"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h725rg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h725ve"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h725vg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h725ze"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32h725zg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h730ab"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h730ib"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h730vb"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h730zb"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h733vg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h733zg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h735ag"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h735ig"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h735rg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h735vg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h735zg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32h742ag"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h742ai"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h742bg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h742bi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h742ig"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h742ii"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h742vg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h742vi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h742xg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h742xi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h742zg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h742zi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743ag"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h743ai"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743bg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h743bi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743ig"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h743ii"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743vg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h743vi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743xg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h743xi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743zg"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h743zi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h743zi_qspiflasheval"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745bg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745bg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745bi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745bi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745ig_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745ig_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745ii_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745ii_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745xg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745xg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745xi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745xi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745zg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745zg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h745zi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h745zi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747ag_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747ag_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747ai_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747ai_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747bg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747bg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747bi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747bi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747ig_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747ig_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747ii_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747ii_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747xg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747xg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h747xi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747xi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747zi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h747zi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h750ib"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h750vb"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h750xb"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h750zb"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h753ai"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h753bi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h753ii"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h753vi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h753xi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h753zi"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755bg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755bg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755bi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755bi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755ig_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755ig_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755ii_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755ii_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755xg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755xg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755xi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755xi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755zg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755zg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h755zi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h755zi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757ag_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757ag_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757ai_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757ai_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757bg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757bg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757bi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757bi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757ig_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757ig_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757ii_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757ii_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757xg_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757xg_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h757xi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757xi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757zi_m4"; 8; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h757zi_m7"; 9; {{0x24000000, 0x80000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3ag"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3ai"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3ig"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3ii"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3lg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3li"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3ng"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3ni"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3qi"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3rg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3ri"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3vg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3vi"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7a3zg"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x80000, 1}; {0x08100000, 0x80000, 1}}};
		{"stm32h7a3zi"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b0ab"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h7b0ib"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h7b0rb"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h7b0vb"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h7b0zb"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32h7b3ai"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3ii"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3li"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3ni"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3qi"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3ri"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3vi"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32h7b3zi"; 9; {{0x24000000, 0x20000, 0}; {0x08000000, 0x100000, 1}; {0x08100000, 0x100000, 1}}};
		{"stm32l010c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l010f4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l010k4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l010k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l010r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l010rb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011d3"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x2000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011d4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011e3"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x2000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011e4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011f3"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x2000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011f4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011g3"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x2000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011g4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011k3"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x2000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l011k4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l021d4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l021f4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l021g4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l021k4"; 4; {{0x20000000, 0x0800, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0200, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031c4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031e4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031e6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031f4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031g4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031g6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031k4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l031k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l041c4"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x4000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l041c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l041e6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l041f6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l041g6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l041k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0400, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051r6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051t6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l051t8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052k6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052r6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052t6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l052t8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l053c6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l053c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l053r6"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l053r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l062c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l062k8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l063c8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l063r8"; 4; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071c8"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x08080C00, 0x0C00, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071cb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071cz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071k8"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x08080C00, 0x0C00, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071kb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071kz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071rb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071rz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071v8"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x08080C00, 0x0C00, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071vb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l071vz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072cb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072cz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072kb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072kz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072rb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072rz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072v8"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x08080C00, 0x0C00, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072vb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l072vz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073cb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073cz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073rb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073rz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073v8"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x08080C00, 0x0C00, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073vb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l073vz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l081cb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l081cz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l081kz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l082cz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l082kb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l082kz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083cb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083cz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083rb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083rz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083v8"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x08080C00, 0x0C00, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083vb"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l083vz"; 4; {{0x20000000, 0x5000, 0}; {0x08000000, 0x30000, 1}; {0x08080000, 0x1800, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l100c6"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l100c6-a"; 7; {{0x20000000, 0x1000, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l100r8"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l100r8-a"; 7; {{0x20000000, 0x2000, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l100rb"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l100rb-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x0800, 2}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l100rc"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151c6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151c6-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151c8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151c8-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151cb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151cb-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151cc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151qc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151qd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151qe"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151r6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151r6-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151r8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151r8-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151rb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151rb-a"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151rc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151rc-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151rd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151re"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151uc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151v8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151v8-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151vb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151vb-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l151vc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151vc-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151vd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151ve"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151zc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l151zd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l151ze"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152c6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152c6-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152c8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152c8-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152cb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152cb-a"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152cc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152qc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152qd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152qe"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152r6"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152r6-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x8000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152r8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152r8-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152rb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152rb-a"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152rc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152rc-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152rd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152re"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152uc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152v8"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152v8-a"; 7; {{0x20000000, 0x2800, 0}; {0x08000000, 0x10000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152vb"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152vb-a"; 7; {{0x20000000, 0x4000, 0}; {0x08000000, 0x20000, 1}; {0x08080000, 0x1000, 1}; {0x1FF80000, 0x0010, 2}}};
		{"stm32l152vc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152vc-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152vd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152ve"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152zc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l152zd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l152ze"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162qc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l162qd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162rc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l162rc-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l162rd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162re"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162vc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l162vc-a"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l162vd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162vd-x"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162ve"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162zc"; 7; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x08080000, 0x2000, 1}; {0x1FF80000, 0x0020, 2}}};
		{"stm32l162zd"; 7; {{0x20000000, 0xC000, 0}; {0x08000000, 0x60000, 1}; {0x08080000, 0x3000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l162ze"; 7; {{0x20000000, 0x14000, 0}; {0x08000000, 0x80000, 1}; {0x08080000, 0x4000, 1}; {0x1FF80000, 0x0020, 2}; {0x1FF80080, 0x0020, 2}}};
		{"stm32l412c8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32l412cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l412k8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32l412kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l412r8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32l412rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l412t8"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x10000, 1}}};
		{"stm32l412tb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l422cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l422kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l422rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l422tb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l431cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l431cc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l431kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l431kc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l431rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l431rc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l431vc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l432kb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l432kc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l433cb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l433cc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l433rb"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x20000, 1}}};
		{"stm32l433rc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l433vc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l442kc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l443cc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l443rc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l443vc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l451cc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l451ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l451rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l451re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l451vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l451ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l452cc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l452ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l452rc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l452re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l452vc"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l452ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l462ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l462re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l462ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l471je"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l471jg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l471qe"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l471qg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l471rc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l471re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l471rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l471vc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l471ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l471vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l471ze"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l471zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l475je"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l475jg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l475qe"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l475qg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l475rc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l475re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l475rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l475vc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l475ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l475vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l475ze"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l475zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l476jc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l476je"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l476jg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l476me"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l476mg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l476qc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l476qe"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l476qg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l476rc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l476re"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l476rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l476vc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l476ve"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l476vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l476zc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l476ze"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l476zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l485jc"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32l485je"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l485jg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l486jg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l486qg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l486rg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l486vg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l486zg"; 8; {{0x20000000, 0x18000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496ae"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496ag"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496qe"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l496qg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496re"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l496rg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496ve"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l496vg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496wg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l496ze"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32l496zg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4a6ag"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4a6qg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4a6rg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4a6vg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4a6zg"; 8; {{0x20000000, 0x40000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5ae"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5ag"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5ce"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5cg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5qe"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5qg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5re"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5ve"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5ze"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4p5zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4q5ag"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4q5cg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4q5qg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4q5rg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4q5vg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4q5zg"; 8; {{0x20000000, 0x20000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r5ag"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r5ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r5qg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r5qi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r5vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r5vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r5zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r5zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r7ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r7vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r7zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r9ag"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r9ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r9vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r9vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4r9zg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32l4r9zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s5ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s5qi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s5vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s5zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s7ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s7vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s7zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s9ai"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s9vi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l4s9zi"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}}};
		{"stm32l552cc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32l552ce"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l552me"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l552qc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32l552qe"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l552rc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32l552re"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l552vc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32l552ve"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l552zc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l552ze"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l562ce"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l562me"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l562qe"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l562re"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l562ve"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32l562ze"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32mp131a"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp131c"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp131d"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp131f"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp133a"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp133c"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp133d"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp133f"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp135a"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp135c"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp135d"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp135f"; 16; {{0x2FFE0000, 0x20000, 0}}};
		{"stm32mp15xx_a7"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_a7_0_bank1"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_a7_0_bank2"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_a7_0_dualflash"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_a7_1_bank1"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_a7_1_bank2"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_a7_1_dualflash"; 16; {{0x2FFC0000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_m4"; 8; {{0x10000000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_m4_bank1"; 8; {{0x10000000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_m4_bank2"; 8; {{0x10000000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32mp15xx_m4_dualflash"; 8; {{0x10000000, 0x40000, 0}; {0x70000000, 0x10000000, 1}}};
		{"stm32u535cb"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x20000, 1}; {0x0C000000, 0x20000, 1}}};
		{"stm32u535cc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32u535ce"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u535je"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u535nc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32u535ne"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u535rb"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x20000, 1}; {0x0C000000, 0x20000, 1}}};
		{"stm32u535rc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32u535re"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u535vc"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x40000, 1}; {0x0C000000, 0x40000, 1}}};
		{"stm32u535ve"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u545ce"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u545je"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u545ne"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u545re"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u545ve"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32u575ag"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575ai"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u575cg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575ci"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u575og"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575oi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u575qg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575qi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u575rg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575ri"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u575vg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575vi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u575zg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u575zi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585ag"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585ai"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585cg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585ci"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585og"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585oi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585qe"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585qg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585qi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585rg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585ri"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585vg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585vi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585ze"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u585zg"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32u585zi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u595ai"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u595aj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u595qi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u595qj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u595ri"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u595rj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u595vi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u595vj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u595zi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u595zj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u599bj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u599ni"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u599nj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u599vi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u599vj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u599zi"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x200000, 1}; {0x0C000000, 0x200000, 1}}};
		{"stm32u599zj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u5a5zj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u5a9bj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32u5a9nj"; 11; {{0x20000000, 0x30000, 0}; {0x08000000, 0x400000, 1}; {0x0C000000, 0x400000, 1}}};
		{"stm32w108c8"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x10000, 1}}};
		{"stm32w108cb"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32w108cc"; 7; {{0x20000000, 0x3000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x40000, 1}}};
		{"stm32w108cz"; 7; {{0x20000000, 0x4000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x30000, 1}}};
		{"stm32w108hb"; 7; {{0x20000000, 0x2000, 0}; {0x06000000, 0x0010, 2}; {0x08000000, 0x20000, 1}}};
		{"stm32wb10cc"; 8; {{0x20000000, 0x3000, 0}; {0x08000000, 0x50000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wb10cc - fus"; 8; {{0x20000000, 0x3000, 0}; {0x08000000, 0x50000, 1}}};
		{"stm32wb15cc"; 8; {{0x20000000, 0x3000, 0}; {0x08000000, 0x50000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wb15cc - fus"; 8; {{0x20000000, 0x3000, 0}; {0x08000000, 0x50000, 1}}};
		{"stm32wb30ce"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb30ce - fus"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32wb35cc"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb35cc - fus"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32wb35ce"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb35ce - fus"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32wb50cg"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb50cg - fus"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32wb55cc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55cc - fus"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32wb55ce"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55ce - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32wb55cg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55cg - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32wb55rc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55rc - fus"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32wb55re"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55re - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32wb55rg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55rg - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32wb55vc"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55vc - fus"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x40000, 1}}};
		{"stm32wb55ve"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55ve - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x80000, 1}}};
		{"stm32wb55vg"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55vg - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32wb55vy"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0xA0000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb55vy - fus"; 8; {{0x20000000, 0x30000, 0}; {0x08000000, 0xA0000, 1}}};
		{"stm32wb5mmg"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x1FFF8000, 0x0004, 1}; {0x1FFF8008, 0x0004, 1}; {0x1FFF8010, 0x0004, 1}; {0x1FFF8018, 0x0004, 1}; {0x1FFF8020, 0x0004, 1}; {0x1FFF8028, 0x0004, 1}; {0x1FFF8030, 0x0004, 1}}};
		{"stm32wb5mmg - fus"; 8; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}}};
		{"stm32wba52ce"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32wba52cg"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32wba52ke"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x80000, 1}; {0x0C000000, 0x80000, 1}}};
		{"stm32wba52kg"; 11; {{0x20000000, 0x10000, 0}; {0x08000000, 0x100000, 1}; {0x0C000000, 0x100000, 1}}};
		{"stm32wl54cc_m0"; 4; {{0x20000000, 0x8000, 0}}};
		{"stm32wl54cc_m4"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wl54jc_m0"; 4; {{0x20000000, 0x8000, 0}}};
		{"stm32wl54jc_m4"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wl54uc_m0"; 4; {{0x20000000, 0x8000, 0}}};
		{"stm32wl54uc_m4"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wl55cc_m0"; 4; {{0x20000000, 0x8000, 0}}};
		{"stm32wl55cc_m4"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wl55jc_m0"; 4; {{0x20000000, 0x8000, 0}}};
		{"stm32wl55jc_m4"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wl55uc_m0"; 4; {{0x20000000, 0x8000, 0}}};
		{"stm32wl55uc_m4"; 8; {{0x20000000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4c8"; 8; {{0x20008000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4cb"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4cc"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4j8"; 8; {{0x20008000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4jb"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4jc"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4u8"; 8; {{0x20008000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4ub"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle4uc"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5c8"; 8; {{0x20008000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5cb"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5cc"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5j8"; 8; {{0x20008000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5jb"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5jc"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5u8"; 8; {{0x20008000, 0x5000, 0}; {0x08000000, 0x10000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5ub"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x20000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
		{"stm32wle5uc"; 8; {{0x20008000, 0x8000, 0}; {0x08000000, 0x40000, 1}; {0x1FFF7800, 0x0004, 1}; {0x1FFF7808, 0x0004, 1}; {0x1FFF7810, 0x0004, 1}; {0x1FFF7818, 0x0004, 1}; {0x1FFF7820, 0x0004, 1}; {0x1FFF7828, 0x0004, 1}; {0x1FFF7830, 0x0004, 1}}};
	};
	["Syntacore"] = {
		{"scr1-rv32"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr3-rv32"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr3-rv64"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr4-rv32"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr4-rv64"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr5-rv32"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr5-rv64"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr6-rv64"; 38; {{0xF0000000, 0x10000, 0}}};
		{"scr7-rv64"; 38; {{0xF0000000, 0x10000, 0}}};
	};
	["Telink"] = {
		{"tlsr9213a"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9215a"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9218a"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9513b"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9513c"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9515a"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9515d"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
		{"tlsr9518a"; 38; {{0x00000000, 0x20000, 0}; {0x20000000, 0x8000000, 1}}};
	};
	["TI"] = {
		{"am3352"; 17; {{0x40300000, 0x10000, 0}}};
		{"am3354"; 17; {{0x40300000, 0x10000, 0}}};
		{"am3356"; 17; {{0x40300000, 0x10000, 0}}};
		{"am3357"; 17; {{0x40300000, 0x10000, 0}}};
		{"am3358"; 17; {{0x40300000, 0x10000, 0}}};
		{"am3359"; 17; {{0x40300000, 0x10000, 0}}};
		{"am3505"; 17; {{0x40200000, 0x10000, 0}}};
		{"am3517"; 17; {{0x40200000, 0x10000, 0}}};
		{"am3703"; 17; {{0x00000000, 0x0000, 0}}};
		{"am3715"; 17; {{0x00000000, 0x0000, 0}}};
		{"am4372"; 18; {{0x00000000, 0x0000, 0}}};
		{"am4376"; 18; {{0x00000000, 0x0000, 0}}};
		{"am4377"; 18; {{0x00000000, 0x0000, 0}}};
		{"am4378"; 18; {{0x00000000, 0x0000, 0}}};
		{"am4379"; 18; {{0x00000000, 0x0000, 0}}};
		{"am5726_a15"; 20; {{0x00000000, 0x0000, 0}}};
		{"am5726_m4_0"; 8; {{0x00000000, 0x0000, 0}}};
		{"am5726_m4_1"; 8; {{0x00000000, 0x0000, 0}}};
		{"am5728_a15"; 20; {{0x00000000, 0x0000, 0}}};
		{"am5728_m4_0"; 8; {{0x00000000, 0x0000, 0}}};
		{"am5728_m4_1"; 8; {{0x00000000, 0x0000, 0}}};
		{"cc1310f128"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc1310f32"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x8000, 1}}};
		{"cc1310f64"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"cc1311p3"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc1312r1f3"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc1312r7"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0xB0000, 1}}};
		{"cc1314r10"; 11; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x50000000, 0x0800, 1}}};
		{"cc1350f128"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc1352p1f3"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc1352p7"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0xB0000, 1}}};
		{"cc1352r1f3"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc1354p10"; 11; {{0x20000000, 0x4000, 0}; {0x00000000, 0x100000, 1}; {0x50000000, 0x0800, 1}}};
		{"cc2340r5"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}; {0x4E020000, 0x0800, 1}}};
		{"cc2538"; 7; {{0x20000000, 0x4000, 0}; {0x00200000, 0x80000, 1}}};
		{"cc2538nf11"; 7; {{0x20000000, 0x4000, 0}; {0x00200000, 0x20000, 1}}};
		{"cc2538nf23"; 7; {{0x20000000, 0x8000, 0}; {0x00200000, 0x40000, 1}}};
		{"cc2538nf53"; 7; {{0x20000000, 0x8000, 0}; {0x00200000, 0x80000, 1}}};
		{"cc2538sf23"; 7; {{0x20000000, 0x8000, 0}; {0x00200000, 0x40000, 1}}};
		{"cc2538sf53"; 7; {{0x20000000, 0x8000, 0}; {0x00200000, 0x80000, 1}}};
		{"cc2620f128"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc2630f128"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc2640f128"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc2640r2f"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc2642r1f"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc2650f128"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"cc2652p7"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0xB0000, 1}}};
		{"cc2652r1f"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc2652r7"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0xB0000, 1}}};
		{"cc2652rb"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc2662r1"; 8; {{0x20000000, 0x14000, 0}; {0x00000000, 0x58000, 1}}};
		{"cc3200"; 8; {{0x20000000, 0x10000, 0}}};
		{"cc3220r"; 8; {{0x20000000, 0x40000, 0}; {0x01000000, 0x80000, 1}; {0x01080000, 0x80000, 1}}};
		{"cc3220s"; 8; {{0x20000000, 0x40000, 0}; {0x01000000, 0x80000, 1}; {0x01080000, 0x80000, 1}}};
		{"cc3220sf"; 8; {{0x20000000, 0x40000, 0}; {0x01000000, 0x80000, 1}; {0x01080000, 0x80000, 1}}};
		{"cm2538sf23"; 7; {{0x20000000, 0x8000, 0}; {0x00200000, 0x40000, 1}}};
		{"cm2538sf53"; 7; {{0x20000000, 0x8000, 0}; {0x00200000, 0x80000, 1}}};
		{"dm3730"; 17; {{0x00000000, 0x0000, 0}}};
		{"dra821_main_r5_0_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra821_main_r5_0_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra821_mcu_r5_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra821_mcu_r5_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra829_main_r5_0_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra829_main_r5_0_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra829_main_r5_1_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra829_main_r5_1_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra829_mcu_r5_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"dra829_mcu_r5_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"lm3s101"; 7; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lm3s102"; 7; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}}};
		{"lm3s1110"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1133"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1138"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1150"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1162"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1165"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1166"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1332"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s1435"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s1439"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s1512"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s1538"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s1601"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1607"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1608"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1620"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1621"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1625"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1626"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1627"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1635"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1636"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1637"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1651"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1751"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1776"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1811"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1816"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1850"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1911"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1918"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1937"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1958"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1960"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1968"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1969"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1b21"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1c21"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1c26"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1c58"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1d21"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1d26"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1f11"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s1f16"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s1g21"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s1g58"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s1h11"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1h16"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s1j11"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1j16"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s1n11"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1n16"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1p51"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s1r21"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1r26"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s1w16"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s1z16"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s2016"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s2110"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s2139"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s2276"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s2410"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s2412"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s2432"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s2533"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s2601"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2608"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2616"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2620"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2637"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2651"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2671"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2678"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2730"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2739"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2776"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2793"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s2911"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2918"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2919"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2939"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2948"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2950"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2965"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2b93"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s2d93"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s2u93"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s300"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s301"; 7; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s308"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s310"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s315"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s316"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s317"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s328"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s3634"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3651"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3654"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3739"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3748"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3749"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3826"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s3j26"; 7; {{0x20000000, 0x5000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s3n26"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s3w26"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s3z26"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s5632"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5651"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5652"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5656"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5662"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5732"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5737"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5739"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5747"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5749"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5752"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5762"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5791"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5951"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s5956"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s5b91"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s5c31"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s5c36"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s5c51"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s5c56"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s5k31"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5k36"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s5p31"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s5p36"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s5p3b"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s5p51"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s5p56"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s5r31"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s5r36"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s5t36"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s5u91"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s5y36"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x4000, 1}}};
		{"lm3s600"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s601"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s608"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s610"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s6100"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s611"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s6110"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s612"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s613"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s615"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s617"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s618"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s628"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm3s6420"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s6422"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s6432"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s6537"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s6610"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6611"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6618"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6633"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6637"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6730"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6753"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s6911"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6916"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6918"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6938"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6950"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6952"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6965"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s6c11"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s6c65"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s6g11"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s6g65"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s800"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s801"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s808"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s811"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s812"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s815"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s817"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s818"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s828"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm3s8530"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s8538"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x18000, 1}}};
		{"lm3s8630"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s8730"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s8733"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s8738"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s8930"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s8933"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s8938"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s8962"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s8970"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s8971"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s8c62"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s8g62"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9781"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s9790"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s9792"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s9971"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9997"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9b81"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9b90"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9b92"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9b95"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9b96"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9bn2"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9bn5"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9bn6"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm3s9c97"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9cn5"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9d81"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9d90"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9d92"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9d95"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9d96"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9dn5"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9dn6"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}}};
		{"lm3s9g97"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9gn5"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9l71"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s9l97"; 7; {{0x20000000, 0xC000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm3s9u81"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9u90"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9u92"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9u95"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm3s9u96"; 7; {{0x20000000, 0x18000, 0}; {0x00000000, 0x60000, 1}}};
		{"lm4f110b2qr"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm4f110c4qr"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f110e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f110h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f111b2qr"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm4f111c4qr"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f111e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f111h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f112c4qc"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f112e5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f112h5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f112h5qd"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f120b2qr"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm4f120c4qr"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f120e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f120h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f121b2qr"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"lm4f121c4qr"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f121e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f121h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f122c4qc"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f122e5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f122h5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f122h5qd"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f130c4qr"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f130e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f130h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f131c4qr"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f131e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f131h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f132c4qc"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"lm4f132e5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f132h5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f132h5qd"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f210e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f210h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f211e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f211h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f212e5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f212h5bb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f212h5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f212h5qd"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f230e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f230h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f231e5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f231h5qr"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f232e5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"lm4f232h5bb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f232h5qc"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4f232h5qd"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"lm4fs99h5bb"; 8; {{0x00000000, 0x0000, 0}}};
		{"lm4fsxah5bb"; 8; {{0x00000000, 0x0000, 0}}};
		{"lm4fsxlh5bb"; 8; {{0x00000000, 0x0000, 0}}};
		{"msp432e401y"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"msp432e411y"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"msp432p4011"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x200000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x6000, 1}}};
		{"msp432p401m"; 8; {{0x01000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x2000, 1}}};
		{"msp432p401r"; 8; {{0x01000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x2000, 1}}};
		{"msp432p401v"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x6000, 1}}};
		{"msp432p401y"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x6000, 1}}};
		{"msp432p4111"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x200000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x6000, 1}}};
		{"msp432p411v"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x6000, 1}}};
		{"msp432p411y"; 8; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}; {0x00200000, 0x1000, 1}; {0x00202000, 0x6000, 1}}};
		{"mspm0c1103"; 4; {{0x20000000, 0x0400, 0}; {0x00000000, 0x2000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0c1104"; 4; {{0x20000000, 0x0400, 0}; {0x00000000, 0x4000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g1105"; 4; {{0x20200000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g1106"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g1107"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g1505"; 4; {{0x20200000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g1506"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g1507"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g3105"; 4; {{0x20200000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g3106"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g3107"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g3505"; 4; {{0x20200000, 0x4000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g3506"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0g3507"; 4; {{0x20200000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1105"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1106"; 4; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1303"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1304"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1305"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1306"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1343"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x2000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1344"; 4; {{0x20000000, 0x0800, 0}; {0x00000000, 0x4000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1345"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x8000, 1}; {0x41C00000, 0x0200, 1}}};
		{"mspm0l1346"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}; {0x41C00000, 0x0200, 1}}};
		{"omap4430"; 18; {{0x00000000, 0x0000, 0}}};
		{"omap5432"; 20; {{0x00000000, 0x0000, 0}}};
		{"pga900"; 4; {{0x20000000, 0x0400, 0}; {0x00000000, 0x2000, 1}; {0x40000000, 0x0080, 1}}};
		{"rm42l432"; 32; {{0x08000000, 0x8000, 0}; {0x00000000, 0x60000, 1}; {0xF0000000, 0x0400, 1}; {0xF0200000, 0x4000, 1}}};
		{"rm44l520"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0xC0000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm44l522"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0xC0000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm44l920"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm44l922"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l430"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l440"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l450"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l630"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l640"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l650"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l830"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l840"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l850"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm46l852"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm48l5x"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm48l7x"; 32; {{0x08000000, 0x40000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm48l9x"; 32; {{0x08000000, 0x40000, 0}; {0x00000000, 0x300000, 1}; {0xF0000000, 0x1000, 1}; {0xF0200000, 0x10000, 1}}};
		{"rm57l843zwt"; 33; {{0x08000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x00200000, 0x200000, 1}; {0xF0200000, 0x20000, 1}}};
		{"tda4vm_main_r5_0_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"tda4vm_main_r5_0_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"tda4vm_main_r5_1_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"tda4vm_main_r5_1_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"tda4vm_mcu_r5_0"; 33; {{0x00000000, 0x0000, 0}}};
		{"tda4vm_mcu_r5_1"; 33; {{0x00000000, 0x0000, 0}}};
		{"tm4c1230c3pm"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"tm4c1230d5pm"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1230e6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1230h6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1231c3pm"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"tm4c1231d5pm"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1231d5pz"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1231e6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1231e6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1231h6pge"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1231h6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1231h6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1232c3pm"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"tm4c1232d5pm"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1232e6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1232h6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1233c3pm"; 8; {{0x20000000, 0x3000, 0}; {0x00000000, 0x8000, 1}}};
		{"tm4c1233d5pm"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1233d5pz"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1233e6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1233e6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1233h6pge"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1233h6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1233h6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1236d5pm"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1236e6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1236h6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1237d5pm"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1237d5pz"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x10000, 1}}};
		{"tm4c1237e6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1237e6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c1237h6pge"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1237h6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1237h6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123ae6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c123ah6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123be6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c123be6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c123bh6pge"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123bh6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123bh6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123bh6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123fe6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c123fh6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123ge6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c123ge6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4c123gh6pge"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123gh6pm"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123gh6pz"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c123gh6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tm4c1290ncpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1290nczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1292ncpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1292nczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1294kcpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x80000, 1}}};
		{"tm4c1294ncpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1294nczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1297nczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c1299kczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x80000, 1}}};
		{"tm4c1299nczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129cncpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129cnczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129dncpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129dnczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129ekcpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x80000, 1}}};
		{"tm4c129encpdt"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129enczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129lnczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4c129xkczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x80000, 1}}};
		{"tm4c129xnczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4e1111e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1111e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1113e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1113e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1115e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1115e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1117e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1117e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e111ae6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e111ae6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e111be6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e111be6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e111ce6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e111ce6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1231h6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e1237h6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e123gh6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4e129bnczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4e129snczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4e129xnczad"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tm4e1g31h6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4eh110e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4eh110e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4eh115e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4eh115e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4eh117e6pdt"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tm4eh117e6zrb"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tms470mf03107"; 7; {{0x00000000, 0x0000, 0}}};
		{"tms470mf04207"; 7; {{0x00000000, 0x0000, 0}}};
		{"tms470mf06607"; 7; {{0x00000000, 0x0000, 0}}};
		{"tms570lc4357"; 33; {{0x08000000, 0x80000, 0}; {0x00000000, 0x200000, 1}; {0x00200000, 0x200000, 1}; {0xF0200000, 0x20000, 1}}};
		{"tms570ls0232"; 32; {{0x08000000, 0x8000, 0}; {0x00000000, 0x20000, 1}; {0xF0200000, 0x4000, 1}}};
		{"tms570ls0332"; 32; {{0x08000000, 0x8000, 0}; {0x00000000, 0x40000, 1}; {0xF0200000, 0x4000, 1}}};
		{"tms570ls0432"; 32; {{0x08000000, 0x8000, 0}; {0x00000000, 0x60000, 1}; {0xF0200000, 0x4000, 1}}};
		{"tms570ls0714"; 32; {{0x08000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}}};
		{"tms570ls0914"; 32; {{0x08000000, 0x18000, 0}; {0x00000000, 0x100000, 1}}};
		{"tms570ls10106"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"tms570ls10116"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"tms570ls10206"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"tms570ls10216"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}}};
		{"tms570ls1114"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls1115"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls1124"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls1125"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls1224"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls1225"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls1227"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x140000, 1}; {0xF0000000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls20206"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x200000, 1}}};
		{"tms570ls20216"; 32; {{0x08000000, 0x20000, 0}; {0x00000000, 0x200000, 1}}};
		{"tms570ls2124"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2125"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2126"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2127"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2134"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2135"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2136"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls2137"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x200000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls3134"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x300000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls3135"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x300000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls3136"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x300000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
		{"tms570ls3137"; 32; {{0x08000000, 0x30000, 0}; {0x00000000, 0x300000, 1}; {0xF0000000, 0x1000, 1}; {0xF0002000, 0x1000, 1}; {0xF000E000, 0x0800, 1}; {0xF0200000, 0x10000, 1}}};
	};
	["Toshiba"] = {
		{"tb6865fg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm036fwfg"; 4; {{0x00000000, 0x0000, 0}}};
		{"tmpm037fwug"; 4; {{0x00000000, 0x0000, 0}}};
		{"tmpm061fwfg"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm066fwug"; 4; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm072fsug"; 4; {{0x00000000, 0x0000, 0}}};
		{"tmpm311chdug"; 7; {{0x00000000, 0x0000, 0}}};
		{"tmpm321f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm322f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm323f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm324f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm330fdfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm330fwfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm330fyfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm332fwug"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm333fdfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm333fwfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm333fyfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm341fdxbg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm341fyxbg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm342fyxbg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm343f10xbg"; 7; {{0x20000000, 0xF800, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm343fdxbg"; 7; {{0x20000000, 0xB800, 0}; {0x00000000, 0x81000, 1}}};
		{"tmpm343fexbg"; 7; {{0x20000000, 0xF800, 0}; {0x00000000, 0xC0000, 1}}};
		{"tmpm350fdtfg"; 7; {{0x10000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm351f10t"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm354f10tfg"; 7; {{0x00000000, 0x0000, 0}}};
		{"tmpm358fdtfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm360f20fg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x200000, 1}}};
		{"tmpm361f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm362f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm363f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm364f10fg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm365fyxbg"; 7; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm366fdfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm366fdxbg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm366fwfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm366fwxbg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm366fyfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm366fyxbg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm367fdfg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm367fdxbg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm368fdfg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm368fdxbg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm369fdfg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm369fdxbg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm369fyfg"; 7; {{0x20008000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm36bf10fg"; 7; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm36bfyfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm370fydfg"; 7; {{0x20000000, 0x2800, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm370fyfg"; 7; {{0x20000000, 0x2800, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm372fwug"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm373fwdug"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm374fwug"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm375fsdmg"; 7; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm376fddfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm376fdfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm377fddfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm377fdfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm377fydfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm377fyfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm380fdfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm380fwdfg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm380fwfg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm380fydfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm380fyfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm381fwdfg"; 7; {{0x20000000, 0x2800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm381fwfg"; 7; {{0x20000000, 0x2800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm382fsfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm382fwfg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm383fsefg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm383fsug"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm383fwefg"; 7; {{0x20000000, 0x2800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm383fwug"; 7; {{0x20000000, 0x2800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm384fdfg"; 7; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm390fwfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm395fwxbg"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm3h0fmdug"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h0fsdug"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h1fpug"; 7; {{0x20000000, 0x1800, 0}; {0x00000000, 0xC000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h1fsug"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h1fuug"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h1fwug"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h2fsdug"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h2fsqg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h2fudug"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h2fuqg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h2fwdug"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h2fwqg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h3fsug"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h3fuug"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h3fwug"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h4fsfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h4fufg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h4fuug"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h4fwfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h4fwug"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h5fsdfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h5fsfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h5fudfg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h5fufg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h5fwdfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h5fwfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h6fsdfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h6fsfg"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h6fudfg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h6fufg"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x18000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h6fwdfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3h6fwfg"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hlfdaug"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hlfdug"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hlfyaug"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hlfyug"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hlfzaug"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hlfzug"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hmfdafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hmfdfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hmfyafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hmfyfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hmfzafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hmfzfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfdadfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfdafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfddfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfdfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfyadfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfyafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfydfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfyfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfzadfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfzafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfzdfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hnfzfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfdadfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfdafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfdfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfyadfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfyafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfyfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfzadfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfzafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hpfzfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqf10bfg"; 7; {{0x20000000, 0x20000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqfdafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqfdfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqfyafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqfyfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqfzafg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm3hqfzfg"; 7; {{0x20000000, 0x10000, 0}; {0x00000000, 0x60000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm440f10xbg"; 8; {{0x20000000, 0x2000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm440fexbg"; 8; {{0x20000000, 0x2000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm461f10fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm461f15fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x180000, 1}}};
		{"tmpm462f10fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm462f15fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x180000, 1}}};
		{"tmpm46bf10fg"; 8; {{0x20000000, 0x80800, 0}; {0x00000000, 0x100000, 1}}};
		{"tmpm470fdfg"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm470fyfg"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm470fzfg"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"tmpm475fdfg"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x80000, 1}}};
		{"tmpm475fyfg"; 8; {{0x20000000, 0x4000, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm475fzfg"; 8; {{0x20000000, 0x8000, 0}; {0x00000000, 0x60000, 1}}};
		{"tmpm4g6f10fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g6fdfg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g6fefg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g7f10fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g7fdfg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g7fefg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8f10fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8f10xbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8f15fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8f15xbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8fdfg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8fdxbg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8fefg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g8fexbg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9f10fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9f10xbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9f15fg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9f15xbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9fdfg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9fdxbg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9fefg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4g9fexbg"; 8; {{0x20000000, 0x18000, 0}; {0x00000000, 0xC0000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gnf10fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gnf15fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gnf20fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gnfdfg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqf10fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqf10xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqf15fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqf15xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqf20fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqf20xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqfdfg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4gqfdxbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grf10fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grf10xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grf15fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grf15xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grf20fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grf20xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grfdfg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4grfdxbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4k0fsadug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm4k1fsaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm4k1fuaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x18000, 1}}};
		{"tmpm4k1fwaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm4k1fyaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm4k2fsadug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm4k2fuadug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x18000, 1}}};
		{"tmpm4k2fwadug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm4k2fyadug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm4k4fsafg"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm4k4fsaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x10000, 1}}};
		{"tmpm4k4fuafg"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x18000, 1}}};
		{"tmpm4k4fuaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x18000, 1}}};
		{"tmpm4k4fwafg"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm4k4fwaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm4k4fyafg"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm4k4fyaug"; 8; {{0x20000000, 0x4800, 0}; {0x00000000, 0x40000, 1}}};
		{"tmpm4khfwaug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4khfyaug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfdug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfwafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfwaug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfwfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfwug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfyafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfyaug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfyfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4klfyug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfddfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfwafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfwdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfwfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfyafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfydfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kmfyfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfddfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfwadfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfwafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfwdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfwfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfyadfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfyafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfydfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4knfyfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kpfddfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kpfwdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kpfydfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kqfdfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kqfwfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4kqfyfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4l1fwug"; 8; {{0x20000000, 0x1800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm4l2fwdug"; 8; {{0x20000000, 0x1800, 0}; {0x00000000, 0x20000, 1}}};
		{"tmpm4mlfwafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mlfwaug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mlfyafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mlfyaug"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mmfwafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mmfyafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mnfwadfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mnfwafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x20000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mnfyadfg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4mnfyafg"; 8; {{0x20000000, 0x6000, 0}; {0x00000000, 0x40000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nnf10fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nnf15fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nnf20fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nnfdfg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqf10fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqf10xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqf15fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqf15xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqf20fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqf20xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqfdfg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nqfdxbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrf10fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrf10xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrf15fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrf15xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrf20fg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrf20xbg"; 8; {{0x20000000, 0x40000, 0}; {0x00000000, 0x100000, 1}; {0x00100000, 0x100000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrfdfg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpm4nrfdxbg"; 8; {{0x20000000, 0x30000, 0}; {0x00000000, 0x80000, 1}; {0x30000000, 0x8000, 1}}};
		{"tmpr454f10tfg"; 32; {{0x00000000, 0x0000, 0}}};
		{"tz1001"; 8; {{0x10000000, 0x38000, 0}; {0x00000000, 0x100000, 1}}};
		{"tz1011"; 8; {{0x10000000, 0x38000, 0}; {0x00000000, 0x100000, 1}}};
		{"tz1021"; 8; {{0x10000000, 0x38000, 0}; {0x00000000, 0x100000, 1}}};
		{"tz1031"; 8; {{0x10000000, 0x38000, 0}; {0x00000000, 0x100000, 1}}};
		{"tz2000xbg"; 18; {{0x00000000, 0x0000, 0}}};
		{"tz2001xbg"; 18; {{0x00000000, 0x0000, 0}}};
		{"tz2002xbg"; 18; {{0x00000000, 0x0000, 0}}};
		{"tz2003xbg"; 18; {{0x00000000, 0x0000, 0}}};
		{"tz2100xbg"; 18; {{0x00000000, 0x0000, 0}}};
	};
	["XHSC"] = {
		{"hc32f460xc"; 8; {{0x1FFF8000, 0x2F000, 0}; {0x00000000, 0x40000, 1}}};
		{"hc32f460xe"; 8; {{0x1FFF8000, 0x2F000, 0}; {0x00000000, 0x7FFE0, 1}}};
	};
	["Zilog"] = {
		{"z32f0323"; 4; {{0x20000000, 0x1000, 0}; {0x10000000, 0x8000, 1}; {0x1FFFF200, 0x0080, 1}; {0x1FFFF400, 0x0080, 1}; {0x1FFFF600, 0x0080, 1}}};
		{"z32f0641"; 7; {{0x20000000, 0x2000, 0}; {0x00000000, 0x10000, 1}}};
		{"z32f0642"; 4; {{0x20000000, 0x1000, 0}; {0x00000000, 0x10000, 1}}};
		{"z32f0643"; 4; {{0x20000000, 0x1800, 0}; {0x10000000, 0x10000, 1}; {0x1FFFF200, 0x0080, 1}; {0x1FFFF400, 0x0080, 1}; {0x1FFFF600, 0x0080, 1}}};
		{"z32f1281"; 7; {{0x20000000, 0x3000, 0}; {0x00000000, 0x20000, 1}}};
		{"z32f3841"; 7; {{0x20000000, 0x4000, 0}; {0x00000000, 0x60000, 1}}};
	};
};
